diff -r -u xemacs-21.4.23/ChangeLog xemacs-21.4.24/ChangeLog
--- xemacs-21.4.23/ChangeLog	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/ChangeLog	2015-03-25 07:25:33.000000000 -0400
@@ -1,3 +1,18 @@
+2015-03-24 Vin Shelton <acs@xemacs.org>
+
+	* XEmacs 21.4.24 is released
+
+2015-02-23  Vin Shelton  <acs@xemacs.org>
+
+	* configure.in: Add LIBOSSAUDIO as appropriate.  Patch from netbsd
+	via Hauke Fath.
+	* configure: Rebuild.
+
+2015-02-15  Vin Shelton  <acs@xemacs.org>
+
+	* configure.in: Additional netbsd platform definitions.
+	* configure: Rebuild.
+
 2015-01-29  Vin Shelton <acs@xemacs.org>
  
 	* XEmacs 21.4.23 is released
diff -r -u xemacs-21.4.23/configure xemacs-21.4.24/configure
--- xemacs-21.4.23/configure	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/configure	2015-03-25 07:25:33.000000000 -0400
@@ -1130,6 +1130,7 @@
 machine='' opsys=''
 
 case "$canonical" in
+  arm-*-*	   ) machine=arm ;;
   sparc-*-*        ) machine=sparc ;;
   alpha*-*-*       ) machine=alpha ;;
   vax-*-*          ) machine=vax ;;
@@ -1202,9 +1203,10 @@
     case "$canonical" in
       i[3-9]86-*-netbsd*) machine=intel386 ;;
       hp300-*-netbsd* | amiga-*-netbsd* | sun3-*-netbsd* | mac68k-*-netbsd* | da30-*-netbsd* | m68k-*-netbsd* )
-                                            machine=hp9000s300 ;;
+                      machine=m68k ;;
       pc532-*-netbsd* | ns32k-*-netbsd* )  machine=ns32000 ;;
       pmax-*-netbsd*  | mips-*-netbsd*  )  machine=pmax ;;
+      alpha-*-netbsd* ) machine=alpha ;;
     esac
   ;;
 
@@ -1508,6 +1510,7 @@
       *-sysv5* )		opsys=sco7 ;;
       *-386bsd* )	        opsys=386bsd ;;
       *-freebsd* )		opsys=freebsd ;;
+      *-dragonfly* )		opsys=dragonfly ;;
       *-nextstep* )		opsys=nextstep ;;
       *-pc-cygwin* )		opsys=cygwin32 ;;
       *-pc-mingw* )		opsys=mingw32 ;
@@ -1654,7 +1657,7 @@
 # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1658: checking for $ac_word" >&5
+echo "configure:1661: checking for $ac_word" >&5
 
 if test -n "$CC"; then
   ac_cv_prog_CC="$CC" # Let the user override the test.
@@ -1681,7 +1684,7 @@
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1685: checking for $ac_word" >&5
+echo "configure:1688: checking for $ac_word" >&5
 
 if test -n "$CC"; then
   ac_cv_prog_CC="$CC" # Let the user override the test.
@@ -1729,7 +1732,7 @@
       # Extract the first word of "cl", so it can be a program name with args.
 set dummy cl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1733: checking for $ac_word" >&5
+echo "configure:1736: checking for $ac_word" >&5
 
 if test -n "$CC"; then
   ac_cv_prog_CC="$CC" # Let the user override the test.
@@ -1758,7 +1761,7 @@
 fi
 
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:1762: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
+echo "configure:1765: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
 
 ac_ext=c
 xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
@@ -1771,12 +1774,12 @@
 
 cat > conftest.$ac_ext << EOF
 
-#line 1775 "configure"
+#line 1778 "configure"
 #include "confdefs.h"
 
 main(){return(0);}
 EOF
-if { (eval echo configure:1780: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1783: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
   if (./conftest; exit) 2>/dev/null; then
@@ -1804,19 +1807,19 @@
   { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
 fi
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:1808: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo "configure:1811: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
 cross_compiling=$ac_cv_prog_cc_cross
 
 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:1813: checking whether we are using GNU C" >&5
+echo "configure:1816: checking whether we are using GNU C" >&5
 
 cat > conftest.c <<EOF
 #ifdef __GNUC__
   yes;
 #endif
 EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1820: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1823: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gcc=yes
 else
   ac_cv_prog_gcc=no
@@ -1834,7 +1837,7 @@
 ac_save_CFLAGS="$CFLAGS"
 CFLAGS=
 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:1838: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:1841: checking whether ${CC-cc} accepts -g" >&5
 
 echo 'void f(){}' > conftest.c
 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
@@ -1867,7 +1870,7 @@
   # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1871: checking for $ac_word" >&5
+echo "configure:1874: checking for $ac_word" >&5
 
 if test -n "$CC"; then
   ac_cv_prog_CC="$CC" # Let the user override the test.
@@ -1894,7 +1897,7 @@
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1898: checking for $ac_word" >&5
+echo "configure:1901: checking for $ac_word" >&5
 
 if test -n "$CC"; then
   ac_cv_prog_CC="$CC" # Let the user override the test.
@@ -1942,7 +1945,7 @@
       # Extract the first word of "cl", so it can be a program name with args.
 set dummy cl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1946: checking for $ac_word" >&5
+echo "configure:1949: checking for $ac_word" >&5
 
 if test -n "$CC"; then
   ac_cv_prog_CC="$CC" # Let the user override the test.
@@ -1971,7 +1974,7 @@
 fi
 
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:1975: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
+echo "configure:1978: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
 
 ac_ext=c
 xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
@@ -1984,12 +1987,12 @@
 
 cat > conftest.$ac_ext << EOF
 
-#line 1988 "configure"
+#line 1991 "configure"
 #include "confdefs.h"
 
 main(){return(0);}
 EOF
-if { (eval echo configure:1993: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:1996: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
   if (./conftest; exit) 2>/dev/null; then
@@ -2017,19 +2020,19 @@
   { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
 fi
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:2021: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo "configure:2024: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
 cross_compiling=$ac_cv_prog_cc_cross
 
 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:2026: checking whether we are using GNU C" >&5
+echo "configure:2029: checking whether we are using GNU C" >&5
 
 cat > conftest.c <<EOF
 #ifdef __GNUC__
   yes;
 #endif
 EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:2033: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:2036: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gcc=yes
 else
   ac_cv_prog_gcc=no
@@ -2047,7 +2050,7 @@
 ac_save_CFLAGS="$CFLAGS"
 CFLAGS=
 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:2051: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:2054: checking whether ${CC-cc} accepts -g" >&5
 
 echo 'void f(){}' > conftest.c
 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
@@ -2080,7 +2083,7 @@
   # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2084: checking for $ac_word" >&5
+echo "configure:2087: checking for $ac_word" >&5
 
 if test -n "$CC"; then
   ac_cv_prog_CC="$CC" # Let the user override the test.
@@ -2107,7 +2110,7 @@
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2111: checking for $ac_word" >&5
+echo "configure:2114: checking for $ac_word" >&5
 
 if test -n "$CC"; then
   ac_cv_prog_CC="$CC" # Let the user override the test.
@@ -2155,7 +2158,7 @@
       # Extract the first word of "cl", so it can be a program name with args.
 set dummy cl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:2159: checking for $ac_word" >&5
+echo "configure:2162: checking for $ac_word" >&5
 
 if test -n "$CC"; then
   ac_cv_prog_CC="$CC" # Let the user override the test.
@@ -2184,7 +2187,7 @@
 fi
 
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
-echo "configure:2188: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
+echo "configure:2191: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
 
 ac_ext=c
 xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
@@ -2197,12 +2200,12 @@
 
 cat > conftest.$ac_ext << EOF
 
-#line 2201 "configure"
+#line 2204 "configure"
 #include "confdefs.h"
 
 main(){return(0);}
 EOF
-if { (eval echo configure:2206: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2209: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
   if (./conftest; exit) 2>/dev/null; then
@@ -2230,19 +2233,19 @@
   { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
 fi
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
-echo "configure:2234: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
+echo "configure:2237: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
 cross_compiling=$ac_cv_prog_cc_cross
 
 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:2239: checking whether we are using GNU C" >&5
+echo "configure:2242: checking whether we are using GNU C" >&5
 
 cat > conftest.c <<EOF
 #ifdef __GNUC__
   yes;
 #endif
 EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:2246: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:2249: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gcc=yes
 else
   ac_cv_prog_gcc=no
@@ -2260,7 +2263,7 @@
 ac_save_CFLAGS="$CFLAGS"
 CFLAGS=
 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:2264: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:2267: checking whether ${CC-cc} accepts -g" >&5
 
 echo 'void f(){}' > conftest.c
 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
@@ -2297,7 +2300,7 @@
 test -n "$NON_GNU_CPP" -a "$GCC" != "yes" -a -z "$CPP" && CPP="$NON_GNU_CPP"
 
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
-echo "configure:2301: checking how to run the C preprocessor" >&5
+echo "configure:2304: checking how to run the C preprocessor" >&5
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
   CPP=
@@ -2310,13 +2313,13 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp.
   cat > conftest.$ac_ext <<EOF
-#line 2314 "configure"
+#line 2317 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2320: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2323: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -2327,13 +2330,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -E -traditional-cpp"
   cat > conftest.$ac_ext <<EOF
-#line 2331 "configure"
+#line 2334 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2337: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2340: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -2344,13 +2347,13 @@
   rm -rf conftest*
   CPP="${CC-cc} -nologo -E"
   cat > conftest.$ac_ext <<EOF
-#line 2348 "configure"
+#line 2351 "configure"
 #include "confdefs.h"
 #include <assert.h>
 Syntax Error
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2354: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2357: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   :
@@ -2376,9 +2379,9 @@
 
 
 echo $ac_n "checking for AIX""... $ac_c" 1>&6
-echo "configure:2380: checking for AIX" >&5
+echo "configure:2383: checking for AIX" >&5
 cat > conftest.$ac_ext <<EOF
-#line 2382 "configure"
+#line 2385 "configure"
 #include "confdefs.h"
 #ifdef _AIX
   yes
@@ -2405,9 +2408,9 @@
  
 
 echo $ac_n "checking for GNU libc""... $ac_c" 1>&6
-echo "configure:2409: checking for GNU libc" >&5
+echo "configure:2412: checking for GNU libc" >&5
 cat > conftest.$ac_ext <<EOF
-#line 2411 "configure"
+#line 2414 "configure"
 #include "confdefs.h"
 #include <features.h>
 int main() {
@@ -2419,7 +2422,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:2423: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2426: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   have_glibc=yes
 else
@@ -2496,7 +2499,7 @@
 esac
 
 cat > conftest.$ac_ext <<EOF
-#line 2500 "configure"
+#line 2503 "configure"
 #include "confdefs.h"
 int main () {
 #if defined __SUNPRO_C
@@ -2512,7 +2515,7 @@
 #endif
 }
 EOF
-if { (eval echo configure:2516: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:2519: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   :
 else
@@ -2748,17 +2751,17 @@
 
 if test "$__USLC__" = yes; then
   echo $ac_n "checking for whether the -Kalloca compiler flag is needed""... $ac_c" 1>&6
-echo "configure:2752: checking for whether the -Kalloca compiler flag is needed" >&5
+echo "configure:2755: checking for whether the -Kalloca compiler flag is needed" >&5
   need_kalloca=no
   cat > conftest.$ac_ext <<EOF
-#line 2755 "configure"
+#line 2758 "configure"
 #include "confdefs.h"
 
 int main() {
 void *x = alloca(4);
 ; return 0; }
 EOF
-if { (eval echo configure:2762: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2765: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   :
 else
@@ -2769,14 +2772,14 @@
     xe_save_c_switch_system="$c_switch_system"
     c_switch_system="$c_switch_system -Kalloca"
     cat > conftest.$ac_ext <<EOF
-#line 2773 "configure"
+#line 2776 "configure"
 #include "confdefs.h"
 
 int main() {
 void *x = alloca(4);
 ; return 0; }
 EOF
-if { (eval echo configure:2780: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2783: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
    need_kalloca=yes 
 else
@@ -2819,7 +2822,7 @@
 
 if test "$GCC" = "yes"; then
 echo $ac_n "checking for buggy gcc versions""... $ac_c" 1>&6
-echo "configure:2823: checking for buggy gcc versions" >&5
+echo "configure:2826: checking for buggy gcc versions" >&5
 GCC_VERSION=`$CC --version`
 case `uname -s`:`uname -m`:$GCC_VERSION in
 		    *:sun4*:2.8.1|*:sun4*:egcs-2.90.*)
@@ -2877,7 +2880,7 @@
 
 if test "$pdump" != "yes"; then
   echo $ac_n "checking for \"-z nocombreloc\" linker flag""... $ac_c" 1>&6
-echo "configure:2881: checking for \"-z nocombreloc\" linker flag" >&5
+echo "configure:2884: checking for \"-z nocombreloc\" linker flag" >&5
   case "`ld --help 2>&1`" in
     *-z\ nocombreloc* ) echo "$ac_t""yes" 1>&6
       ld_switch_site="-z nocombreloc $ld_switch_site" &&  if test "$extra_verbose" = "yes"; then echo "    Prepending \"-z nocombreloc\" to \$ld_switch_site"; fi ;;
@@ -2966,7 +2969,7 @@
  fi
 
 echo $ac_n "checking for dynodump""... $ac_c" 1>&6
-echo "configure:2970: checking for dynodump" >&5
+echo "configure:2973: checking for dynodump" >&5
 if test "$unexec" != "unexsol2.o"; then
   echo "$ac_t""no" 1>&6
 else
@@ -3002,12 +3005,12 @@
   done
   
 echo $ac_n "checking for terminateAndUnload in -lC""... $ac_c" 1>&6
-echo "configure:3006: checking for terminateAndUnload in -lC" >&5
+echo "configure:3009: checking for terminateAndUnload in -lC" >&5
 ac_lib_var=`echo C'_'terminateAndUnload | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lC "
 cat > conftest.$ac_ext <<EOF
-#line 3011 "configure"
+#line 3014 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -3018,7 +3021,7 @@
 terminateAndUnload()
 ; return 0; }
 EOF
-if { (eval echo configure:3022: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3025: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -3126,13 +3129,13 @@
 
 if test "$add_runtime_path" = "yes"; then
       echo $ac_n "checking "for runtime libraries flag"""... $ac_c" 1>&6
-echo "configure:3130: checking "for runtime libraries flag"" >&5
+echo "configure:3133: checking "for runtime libraries flag"" >&5
   case "$opsys" in
     sol2 ) dash_r="-R" ;;
     decosf* | linux* | irix*) dash_r="-rpath " ;;
     *)
       dash_r=""
-      for try_dash_r in "-R" "-R " "-rpath "; do
+      for try_dash_r in "-Wl,-R" "-R" "-R " "-rpath "; do
         xe_check_libs="${try_dash_r}/no/such/file-or-directory"
         
 if test "$GCC" = "yes"; then
@@ -3148,14 +3151,14 @@
   done
 fi
         cat > conftest.$ac_ext <<EOF
-#line 3152 "configure"
+#line 3155 "configure"
 #include "confdefs.h"
 
 int main() {
 
 ; return 0; }
 EOF
-if { (eval echo configure:3159: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3162: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   dash_r="$try_dash_r"
 else
@@ -3256,10 +3259,10 @@
 fi
 after_morecore_hook_exists=yes
 echo $ac_n "checking for malloc_set_state""... $ac_c" 1>&6
-echo "configure:3260: checking for malloc_set_state" >&5
+echo "configure:3263: checking for malloc_set_state" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 3263 "configure"
+#line 3266 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char malloc_set_state(); below.  */
@@ -3282,7 +3285,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3286: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3289: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_malloc_set_state=yes"
 else
@@ -3302,16 +3305,16 @@
 fi
 
 echo $ac_n "checking whether __after_morecore_hook exists""... $ac_c" 1>&6
-echo "configure:3306: checking whether __after_morecore_hook exists" >&5
+echo "configure:3309: checking whether __after_morecore_hook exists" >&5
 cat > conftest.$ac_ext <<EOF
-#line 3308 "configure"
+#line 3311 "configure"
 #include "confdefs.h"
 extern void (* __after_morecore_hook)();
 int main() {
 __after_morecore_hook = 0
 ; return 0; }
 EOF
-if { (eval echo configure:3315: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3318: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 else
@@ -3367,7 +3370,7 @@
 # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3371: checking for $ac_word" >&5
+echo "configure:3374: checking for $ac_word" >&5
 
 if test -n "$RANLIB"; then
   ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
@@ -3422,7 +3425,7 @@
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # ./install, which can be erroneously created by make from ./install.sh.
 echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
-echo "configure:3426: checking for a BSD compatible install" >&5
+echo "configure:3429: checking for a BSD compatible install" >&5
 if test -z "$INSTALL"; then
 
   IFS="${IFS= 	}"; ac_save_IFS="$IFS"; IFS=":"
@@ -3476,7 +3479,7 @@
 # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:3480: checking for $ac_word" >&5
+echo "configure:3483: checking for $ac_word" >&5
 
 if test -n "$YACC"; then
   ac_cv_prog_YACC="$YACC" # Let the user override the test.
@@ -3508,15 +3511,15 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:3512: checking for $ac_hdr" >&5
+echo "configure:3515: checking for $ac_hdr" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 3515 "configure"
+#line 3518 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3520: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3523: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -3546,10 +3549,10 @@
 done
 
 echo $ac_n "checking for sys/wait.h that is POSIX.1 compatible""... $ac_c" 1>&6
-echo "configure:3550: checking for sys/wait.h that is POSIX.1 compatible" >&5
+echo "configure:3553: checking for sys/wait.h that is POSIX.1 compatible" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 3553 "configure"
+#line 3556 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/wait.h>
@@ -3565,7 +3568,7 @@
 s = WIFEXITED (s) ? WEXITSTATUS (s) : 1;
 ; return 0; }
 EOF
-if { (eval echo configure:3569: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3572: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_header_sys_wait_h=yes
 else
@@ -3589,10 +3592,10 @@
 fi
 
 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
-echo "configure:3593: checking for ANSI C header files" >&5
+echo "configure:3596: checking for ANSI C header files" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 3596 "configure"
+#line 3599 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -3600,7 +3603,7 @@
 #include <float.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:3604: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:3607: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -3617,7 +3620,7 @@
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 3621 "configure"
+#line 3624 "configure"
 #include "confdefs.h"
 #include <string.h>
 EOF
@@ -3635,7 +3638,7 @@
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 3639 "configure"
+#line 3642 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 EOF
@@ -3653,7 +3656,7 @@
 if test $ac_cv_header_stdc = yes; then
   # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
 cat > conftest.$ac_ext <<EOF
-#line 3657 "configure"
+#line 3660 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
@@ -3664,7 +3667,7 @@
 exit (0); }
 
 EOF
-if { (eval echo configure:3668: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:3671: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   :
 else
@@ -3690,10 +3693,10 @@
 fi
 
 echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
-echo "configure:3694: checking whether time.h and sys/time.h may both be included" >&5
+echo "configure:3697: checking whether time.h and sys/time.h may both be included" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 3697 "configure"
+#line 3700 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/time.h>
@@ -3702,7 +3705,7 @@
 struct tm *tp;
 ; return 0; }
 EOF
-if { (eval echo configure:3706: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3709: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_header_time=yes
 else
@@ -3726,10 +3729,10 @@
 fi
 
 echo $ac_n "checking for sys_siglist declaration in signal.h or unistd.h""... $ac_c" 1>&6
-echo "configure:3730: checking for sys_siglist declaration in signal.h or unistd.h" >&5
+echo "configure:3733: checking for sys_siglist declaration in signal.h or unistd.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 3733 "configure"
+#line 3736 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <signal.h>
@@ -3741,7 +3744,7 @@
 char *msg = *(sys_siglist + 1);
 ; return 0; }
 EOF
-if { (eval echo configure:3745: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3748: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_decl_sys_siglist=yes
 else
@@ -3767,9 +3770,9 @@
 
 
 echo $ac_n "checking for utime""... $ac_c" 1>&6
-echo "configure:3771: checking for utime" >&5
+echo "configure:3774: checking for utime" >&5
 cat > conftest.$ac_ext <<EOF
-#line 3773 "configure"
+#line 3776 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <utime.h>
@@ -3777,7 +3780,7 @@
 struct utimbuf x; x.actime = x.modtime = 0; utime ("/", &x);
 ; return 0; }
 EOF
-if { (eval echo configure:3781: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3784: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
    { test "$extra_verbose" = "yes" && cat << \EOF
@@ -3796,10 +3799,10 @@
       for ac_func in utimes
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:3800: checking for $ac_func" >&5
+echo "configure:3803: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 3803 "configure"
+#line 3806 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -3822,7 +3825,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:3826: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3829: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -3854,10 +3857,10 @@
 
 
 echo $ac_n "checking return type of signal handlers""... $ac_c" 1>&6
-echo "configure:3858: checking return type of signal handlers" >&5
+echo "configure:3861: checking return type of signal handlers" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 3861 "configure"
+#line 3864 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <signal.h>
@@ -3874,7 +3877,7 @@
 int i;
 ; return 0; }
 EOF
-if { (eval echo configure:3878: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3881: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_type_signal=void
 else
@@ -3896,10 +3899,10 @@
 
 
 echo $ac_n "checking for size_t""... $ac_c" 1>&6
-echo "configure:3900: checking for size_t" >&5
+echo "configure:3903: checking for size_t" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 3903 "configure"
+#line 3906 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -3930,10 +3933,10 @@
 fi
 
 echo $ac_n "checking for pid_t""... $ac_c" 1>&6
-echo "configure:3934: checking for pid_t" >&5
+echo "configure:3937: checking for pid_t" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 3937 "configure"
+#line 3940 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -3964,10 +3967,10 @@
 fi
 
 echo $ac_n "checking for uid_t in sys/types.h""... $ac_c" 1>&6
-echo "configure:3968: checking for uid_t in sys/types.h" >&5
+echo "configure:3971: checking for uid_t in sys/types.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 3971 "configure"
+#line 3974 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 EOF
@@ -4003,10 +4006,10 @@
 fi
 
 echo $ac_n "checking for mode_t""... $ac_c" 1>&6
-echo "configure:4007: checking for mode_t" >&5
+echo "configure:4010: checking for mode_t" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4010 "configure"
+#line 4013 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -4037,10 +4040,10 @@
 fi
 
 echo $ac_n "checking for off_t""... $ac_c" 1>&6
-echo "configure:4041: checking for off_t" >&5
+echo "configure:4044: checking for off_t" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4044 "configure"
+#line 4047 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -4071,10 +4074,10 @@
 fi
 
 echo $ac_n "checking for ssize_t""... $ac_c" 1>&6
-echo "configure:4075: checking for ssize_t" >&5
+echo "configure:4078: checking for ssize_t" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4078 "configure"
+#line 4081 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -4106,9 +4109,9 @@
 
 
 echo $ac_n "checking for socklen_t""... $ac_c" 1>&6
-echo "configure:4110: checking for socklen_t" >&5
+echo "configure:4113: checking for socklen_t" >&5
 cat > conftest.$ac_ext <<EOF
-#line 4112 "configure"
+#line 4115 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/socket.h>
@@ -4118,7 +4121,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4122: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4125: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 else
@@ -4127,7 +4130,7 @@
   rm -rf conftest*
   
 cat > conftest.$ac_ext <<EOF
-#line 4131 "configure"
+#line 4134 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/socket.h>
@@ -4137,7 +4140,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4141: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4144: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   
 echo "$ac_t""size_t" 1>&6
@@ -4169,9 +4172,9 @@
 rm -f conftest*
 
 echo $ac_n "checking for struct timeval""... $ac_c" 1>&6
-echo "configure:4173: checking for struct timeval" >&5
+echo "configure:4176: checking for struct timeval" >&5
 cat > conftest.$ac_ext <<EOF
-#line 4175 "configure"
+#line 4178 "configure"
 #include "confdefs.h"
 #ifdef TIME_WITH_SYS_TIME
 #include <sys/time.h>
@@ -4187,7 +4190,7 @@
 static struct timeval x; x.tv_sec = x.tv_usec;
 ; return 0; }
 EOF
-if { (eval echo configure:4191: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4194: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
   HAVE_TIMEVAL=yes
@@ -4209,10 +4212,10 @@
 rm -f conftest*
 
 echo $ac_n "checking whether struct tm is in sys/time.h or time.h""... $ac_c" 1>&6
-echo "configure:4213: checking whether struct tm is in sys/time.h or time.h" >&5
+echo "configure:4216: checking whether struct tm is in sys/time.h or time.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4216 "configure"
+#line 4219 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <time.h>
@@ -4220,7 +4223,7 @@
 struct tm *tp; tp->tm_sec;
 ; return 0; }
 EOF
-if { (eval echo configure:4224: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4227: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_struct_tm=time.h
 else
@@ -4244,10 +4247,10 @@
 fi
 
 echo $ac_n "checking for tm_zone in struct tm""... $ac_c" 1>&6
-echo "configure:4248: checking for tm_zone in struct tm" >&5
+echo "configure:4251: checking for tm_zone in struct tm" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4251 "configure"
+#line 4254 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <$ac_cv_struct_tm>
@@ -4255,7 +4258,7 @@
 struct tm tm; tm.tm_zone;
 ; return 0; }
 EOF
-if { (eval echo configure:4259: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4262: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_struct_tm_zone=yes
 else
@@ -4278,10 +4281,10 @@
 
 else
   echo $ac_n "checking for tzname""... $ac_c" 1>&6
-echo "configure:4282: checking for tzname" >&5
+echo "configure:4285: checking for tzname" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4285 "configure"
+#line 4288 "configure"
 #include "confdefs.h"
 #include <time.h>
 #ifndef tzname /* For SGI.  */
@@ -4291,7 +4294,7 @@
 atoi(*tzname);
 ; return 0; }
 EOF
-if { (eval echo configure:4295: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4298: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   ac_cv_var_tzname=yes
 else
@@ -4317,10 +4320,10 @@
 
 
 echo $ac_n "checking for working const""... $ac_c" 1>&6
-echo "configure:4321: checking for working const" >&5
+echo "configure:4324: checking for working const" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4324 "configure"
+#line 4327 "configure"
 #include "confdefs.h"
 
 int main() {
@@ -4369,7 +4372,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4373: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4376: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_c_const=yes
 else
@@ -4394,7 +4397,7 @@
 
 
 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
-echo "configure:4398: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "configure:4401: checking whether ${MAKE-make} sets \${MAKE}" >&5
 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
 
 cat > conftestmake <<\EOF
@@ -4419,12 +4422,12 @@
 
 
 echo $ac_n "checking whether byte ordering is bigendian""... $ac_c" 1>&6
-echo "configure:4423: checking whether byte ordering is bigendian" >&5
+echo "configure:4426: checking whether byte ordering is bigendian" >&5
 
 ac_cv_c_bigendian=unknown
 # See if sys/param.h defines the BYTE_ORDER macro.
 cat > conftest.$ac_ext <<EOF
-#line 4428 "configure"
+#line 4431 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/param.h>
@@ -4435,11 +4438,11 @@
 #endif
 ; return 0; }
 EOF
-if { (eval echo configure:4439: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4442: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   # It does; now see whether it defined to BIG_ENDIAN or not.
 cat > conftest.$ac_ext <<EOF
-#line 4443 "configure"
+#line 4446 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <sys/param.h>
@@ -4450,7 +4453,7 @@
 #endif
 ; return 0; }
 EOF
-if { (eval echo configure:4454: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:4457: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_c_bigendian=yes
 else
@@ -4467,7 +4470,7 @@
 rm -f conftest*
 if test $ac_cv_c_bigendian = unknown; then
 cat > conftest.$ac_ext <<EOF
-#line 4471 "configure"
+#line 4474 "configure"
 #include "confdefs.h"
 main () {
   /* Are we little or big endian?  From Harbison&Steele.  */
@@ -4480,7 +4483,7 @@
   exit (u.c[sizeof (long) - 1] == 1);
 }
 EOF
-if { (eval echo configure:4484: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:4487: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ac_cv_c_bigendian=no
 else
@@ -4507,10 +4510,10 @@
 
 
 echo $ac_n "checking size of short""... $ac_c" 1>&6
-echo "configure:4511: checking size of short" >&5
+echo "configure:4514: checking size of short" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4514 "configure"
+#line 4517 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 #include <sys/types.h>
@@ -4522,7 +4525,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:4526: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:4529: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ac_cv_sizeof_short=`cat conftestval`
 else
@@ -4550,10 +4553,10 @@
   exit 1
 fi
 echo $ac_n "checking size of int""... $ac_c" 1>&6
-echo "configure:4554: checking size of int" >&5
+echo "configure:4557: checking size of int" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4557 "configure"
+#line 4560 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 #include <sys/types.h>
@@ -4565,7 +4568,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:4569: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:4572: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ac_cv_sizeof_int=`cat conftestval`
 else
@@ -4587,10 +4590,10 @@
 
 
 echo $ac_n "checking size of long""... $ac_c" 1>&6
-echo "configure:4591: checking size of long" >&5
+echo "configure:4594: checking size of long" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4594 "configure"
+#line 4597 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 #include <sys/types.h>
@@ -4602,7 +4605,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:4606: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:4609: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ac_cv_sizeof_long=`cat conftestval`
 else
@@ -4624,10 +4627,10 @@
 
 
 echo $ac_n "checking size of long long""... $ac_c" 1>&6
-echo "configure:4628: checking size of long long" >&5
+echo "configure:4631: checking size of long long" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4631 "configure"
+#line 4634 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 #include <sys/types.h>
@@ -4639,7 +4642,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:4643: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:4646: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ac_cv_sizeof_long_long=`cat conftestval`
 else
@@ -4661,10 +4664,10 @@
 
 
 echo $ac_n "checking size of void *""... $ac_c" 1>&6
-echo "configure:4665: checking size of void *" >&5
+echo "configure:4668: checking size of void *" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4668 "configure"
+#line 4671 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 #include <sys/types.h>
@@ -4676,7 +4679,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:4680: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:4683: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ac_cv_sizeof_void_p=`cat conftestval`
 else
@@ -4700,7 +4703,7 @@
 
 case $opsys in
   cygwin* ) cat > conftest.$ac_ext <<EOF
-#line 4704 "configure"
+#line 4707 "configure"
 #include "confdefs.h"
 #include <cygwin/types.h>
 EOF
@@ -4725,7 +4728,7 @@
 esac
 
 echo $ac_n "checking for long file names""... $ac_c" 1>&6
-echo "configure:4729: checking for long file names" >&5
+echo "configure:4732: checking for long file names" >&5
 
 ac_cv_sys_long_file_names=yes
 # Test for long file names in all the places we know might matter:
@@ -4771,10 +4774,10 @@
 
 
 echo $ac_n "checking for sin""... $ac_c" 1>&6
-echo "configure:4775: checking for sin" >&5
+echo "configure:4778: checking for sin" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4778 "configure"
+#line 4781 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char sin(); below.  */
@@ -4797,7 +4800,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4801: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4804: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_sin=yes"
 else
@@ -4815,12 +4818,12 @@
   echo "$ac_t""no" 1>&6
 
 echo $ac_n "checking for sin in -lm""... $ac_c" 1>&6
-echo "configure:4819: checking for sin in -lm" >&5
+echo "configure:4822: checking for sin in -lm" >&5
 ac_lib_var=`echo m'_'sin | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lm "
 cat > conftest.$ac_ext <<EOF
-#line 4824 "configure"
+#line 4827 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -4831,7 +4834,7 @@
 sin()
 ; return 0; }
 EOF
-if { (eval echo configure:4835: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4838: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -4875,14 +4878,14 @@
 
 
 cat > conftest.$ac_ext <<EOF
-#line 4879 "configure"
+#line 4882 "configure"
 #include "confdefs.h"
 #include <math.h>
 int main() {
 return atanh(1.0) + asinh(1.0) + acosh(1.0); 
 ; return 0; }
 EOF
-if { (eval echo configure:4886: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4889: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   { test "$extra_verbose" = "yes" && cat << \EOF
     Defining HAVE_INVERSE_HYPERBOLIC
@@ -4899,14 +4902,14 @@
 rm -f conftest*
 
 echo "checking type of mail spool file locking" 1>&6
-echo "configure:4903: checking type of mail spool file locking" >&5
+echo "configure:4906: checking type of mail spool file locking" >&5
 for ac_func in lockf flock
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:4907: checking for $ac_func" >&5
+echo "configure:4910: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 4910 "configure"
+#line 4913 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -4929,7 +4932,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:4933: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4936: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -5011,12 +5014,12 @@
 case "$opsys" in decosf*)
   
 echo $ac_n "checking for cma_open in -lpthreads""... $ac_c" 1>&6
-echo "configure:5015: checking for cma_open in -lpthreads" >&5
+echo "configure:5018: checking for cma_open in -lpthreads" >&5
 ac_lib_var=`echo pthreads'_'cma_open | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lpthreads "
 cat > conftest.$ac_ext <<EOF
-#line 5020 "configure"
+#line 5023 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -5027,7 +5030,7 @@
 cma_open()
 ; return 0; }
 EOF
-if { (eval echo configure:5031: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5034: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -5064,7 +5067,7 @@
 
 
 echo $ac_n "checking whether the -xildoff compiler flag is required""... $ac_c" 1>&6
-echo "configure:5068: checking whether the -xildoff compiler flag is required" >&5
+echo "configure:5071: checking whether the -xildoff compiler flag is required" >&5
 if   ${CC-cc} '-###' -xildon  no_such_file.c 2>&1 | grep '^[^ ]*/ild ' > /dev/null ; then
   if ${CC-cc} '-###' -xildoff no_such_file.c 2>&1 | grep '^[^ ]*/ild ' > /dev/null ;
     then echo "$ac_t""no" 1>&6;
@@ -5076,7 +5079,7 @@
 if test "$opsys" = "sol2"; then
   if test "$os_release" -ge 506; then
     echo $ac_n "checking for \"-z ignore\" linker flag""... $ac_c" 1>&6
-echo "configure:5080: checking for \"-z ignore\" linker flag" >&5
+echo "configure:5083: checking for \"-z ignore\" linker flag" >&5
     case "`ld -h 2>&1`" in
       *-z\ ignore\|record* ) echo "$ac_t""yes" 1>&6
         ld_switch_site="-z ignore $ld_switch_site" &&  if test "$extra_verbose" = "yes"; then echo "    Prepending \"-z ignore\" to \$ld_switch_site"; fi ;;
@@ -5087,7 +5090,7 @@
 
 
 echo "checking "for specified window system"" 1>&6
-echo "configure:5091: checking "for specified window system"" >&5
+echo "configure:5094: checking "for specified window system"" >&5
 
 
 GNOME_CONFIG=no
@@ -5095,7 +5098,7 @@
 
 if test "$with_gnome" != "no"; then
    echo $ac_n "checking for GNOME configuration script""... $ac_c" 1>&6
-echo "configure:5099: checking for GNOME configuration script" >&5
+echo "configure:5102: checking for GNOME configuration script" >&5
    for possible in gnome-config
    do
       possible_version=`${possible} --version 2> /dev/null`
@@ -5126,7 +5129,7 @@
 
 if test "$with_gtk" != "no";then
    echo $ac_n "checking for GTK configuration script""... $ac_c" 1>&6
-echo "configure:5130: checking for GTK configuration script" >&5
+echo "configure:5133: checking for GTK configuration script" >&5
    for possible in gtk12-config gtk14-config gtk-config
    do
       possible_version=`${possible} --version 2> /dev/null`
@@ -5148,18 +5151,18 @@
 
 if test "${GTK_CONFIG}" != "no"; then
       echo $ac_n "checking gtk version""... $ac_c" 1>&6
-echo "configure:5152: checking gtk version" >&5
+echo "configure:5155: checking gtk version" >&5
       GTK_VERSION=`${GTK_CONFIG} --version`
       echo "$ac_t""${GTK_VERSION}" 1>&6
 
       echo $ac_n "checking gtk libs""... $ac_c" 1>&6
-echo "configure:5157: checking gtk libs" >&5
+echo "configure:5160: checking gtk libs" >&5
       GTK_LIBS=`${GTK_CONFIG} --libs`
       libs_gtk="$libs_gtk ${GTK_LIBS}" &&  if test "$extra_verbose" = "yes"; then echo "    Appending \"${GTK_LIBS}\" to \$libs_gtk"; fi
       echo "$ac_t""${GTK_LIBS}" 1>&6
 
       echo $ac_n "checking gtk cflags""... $ac_c" 1>&6
-echo "configure:5163: checking gtk cflags" >&5
+echo "configure:5166: checking gtk cflags" >&5
       GTK_CFLAGS=`${GTK_CONFIG} --cflags`
       if test "$GCC" = "yes"; then
       	GTK_CFLAGS="${GTK_CFLAGS} -Wno-shadow"
@@ -5169,19 +5172,19 @@
 
       
 echo $ac_n "checking for main in -lgdk_imlib""... $ac_c" 1>&6
-echo "configure:5173: checking for main in -lgdk_imlib" >&5
+echo "configure:5176: checking for main in -lgdk_imlib" >&5
 ac_lib_var=`echo gdk_imlib'_'main | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lgdk_imlib "
 cat > conftest.$ac_ext <<EOF
-#line 5178 "configure"
+#line 5181 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:5185: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5188: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -5203,12 +5206,12 @@
 
       
 echo $ac_n "checking for Imlib_init in -lImlib""... $ac_c" 1>&6
-echo "configure:5207: checking for Imlib_init in -lImlib" >&5
+echo "configure:5210: checking for Imlib_init in -lImlib" >&5
 ac_lib_var=`echo Imlib'_'Imlib_init | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lImlib "
 cat > conftest.$ac_ext <<EOF
-#line 5212 "configure"
+#line 5215 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -5219,7 +5222,7 @@
 Imlib_init()
 ; return 0; }
 EOF
-if { (eval echo configure:5223: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5226: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -5242,10 +5245,10 @@
       for ac_func in gdk_imlib_init
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:5246: checking for $ac_func" >&5
+echo "configure:5249: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 5249 "configure"
+#line 5252 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -5268,7 +5271,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:5272: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5275: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -5347,15 +5350,15 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:5351: checking for $ac_hdr" >&5
+echo "configure:5354: checking for $ac_hdr" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 5354 "configure"
+#line 5357 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:5359: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:5362: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -5386,19 +5389,19 @@
 
       
 echo $ac_n "checking for main in -lxml""... $ac_c" 1>&6
-echo "configure:5390: checking for main in -lxml" >&5
+echo "configure:5393: checking for main in -lxml" >&5
 ac_lib_var=`echo xml'_'main | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lxml "
 cat > conftest.$ac_ext <<EOF
-#line 5395 "configure"
+#line 5398 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:5402: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5405: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -5420,19 +5423,19 @@
 
       
 echo $ac_n "checking for main in -lglade""... $ac_c" 1>&6
-echo "configure:5424: checking for main in -lglade" >&5
+echo "configure:5427: checking for main in -lglade" >&5
 ac_lib_var=`echo glade'_'main | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lglade "
 cat > conftest.$ac_ext <<EOF
-#line 5429 "configure"
+#line 5432 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:5436: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5439: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -5454,19 +5457,19 @@
 
       
 echo $ac_n "checking for main in -lglade-gnome""... $ac_c" 1>&6
-echo "configure:5458: checking for main in -lglade-gnome" >&5
+echo "configure:5461: checking for main in -lglade-gnome" >&5
 ac_lib_var=`echo glade-gnome'_'main | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lglade-gnome "
 cat > conftest.$ac_ext <<EOF
-#line 5463 "configure"
+#line 5466 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:5470: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5473: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -5487,7 +5490,7 @@
 
 
       cat > conftest.$ac_ext <<EOF
-#line 5491 "configure"
+#line 5494 "configure"
 #include "confdefs.h"
 #include <glade/glade-xml.h>
 EOF
@@ -5546,7 +5549,7 @@
 # Uses ac_ vars as temps to allow command line to override cache and checks.
 # --without-x overrides everything else, but does not touch the cache.
 echo $ac_n "checking for X""... $ac_c" 1>&6
-echo "configure:5550: checking for X" >&5
+echo "configure:5553: checking for X" >&5
 
 # Check whether --with-x or --without-x was given.
 if test "${with_x+set}" = set; then
@@ -5606,12 +5609,12 @@
 
   # First, try using that file with no special directory specified.
 cat > conftest.$ac_ext <<EOF
-#line 5610 "configure"
+#line 5613 "configure"
 #include "confdefs.h"
 #include <$x_direct_test_include>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:5615: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:5618: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -5680,14 +5683,14 @@
   ac_save_LIBS="$LIBS"
   LIBS="-l$x_direct_test_library $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 5684 "configure"
+#line 5687 "configure"
 #include "confdefs.h"
 
 int main() {
 ${x_direct_test_function}()
 ; return 0; }
 EOF
-if { (eval echo configure:5691: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5694: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   LIBS="$ac_save_LIBS"
 # We can link X programs with no special library path.
@@ -5796,17 +5799,17 @@
     case "`(uname -sr) 2>/dev/null`" in
     "SunOS 5"*)
       echo $ac_n "checking whether -R must be followed by a space""... $ac_c" 1>&6
-echo "configure:5800: checking whether -R must be followed by a space" >&5
+echo "configure:5803: checking whether -R must be followed by a space" >&5
       ac_xsave_LIBS="$LIBS"; LIBS="$LIBS -R$x_libraries"
       cat > conftest.$ac_ext <<EOF
-#line 5803 "configure"
+#line 5806 "configure"
 #include "confdefs.h"
 
 int main() {
 
 ; return 0; }
 EOF
-if { (eval echo configure:5810: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5813: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   ac_R_nospace=yes
 else
@@ -5822,14 +5825,14 @@
       else
 	LIBS="$ac_xsave_LIBS -R $x_libraries"
 	cat > conftest.$ac_ext <<EOF
-#line 5826 "configure"
+#line 5829 "configure"
 #include "confdefs.h"
 
 int main() {
 
 ; return 0; }
 EOF
-if { (eval echo configure:5833: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5836: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   ac_R_space=yes
 else
@@ -5865,12 +5868,12 @@
 else
 
 echo $ac_n "checking for dnet_ntoa in -ldnet""... $ac_c" 1>&6
-echo "configure:5869: checking for dnet_ntoa in -ldnet" >&5
+echo "configure:5872: checking for dnet_ntoa in -ldnet" >&5
 ac_lib_var=`echo dnet'_'dnet_ntoa | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -ldnet "
 cat > conftest.$ac_ext <<EOF
-#line 5874 "configure"
+#line 5877 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -5881,7 +5884,7 @@
 dnet_ntoa()
 ; return 0; }
 EOF
-if { (eval echo configure:5885: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5888: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -5905,12 +5908,12 @@
     if test $ac_cv_lib_dnet_dnet_ntoa = no; then
       
 echo $ac_n "checking for dnet_ntoa in -ldnet_stub""... $ac_c" 1>&6
-echo "configure:5909: checking for dnet_ntoa in -ldnet_stub" >&5
+echo "configure:5912: checking for dnet_ntoa in -ldnet_stub" >&5
 ac_lib_var=`echo dnet_stub'_'dnet_ntoa | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -ldnet_stub "
 cat > conftest.$ac_ext <<EOF
-#line 5914 "configure"
+#line 5917 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -5921,7 +5924,7 @@
 dnet_ntoa()
 ; return 0; }
 EOF
-if { (eval echo configure:5925: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5928: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -5950,10 +5953,10 @@
     # The nsl library prevents programs from opening the X display
     # on Irix 5.2, according to dickey@clark.net.
     echo $ac_n "checking for gethostbyname""... $ac_c" 1>&6
-echo "configure:5954: checking for gethostbyname" >&5
+echo "configure:5957: checking for gethostbyname" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 5957 "configure"
+#line 5960 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char gethostbyname(); below.  */
@@ -5976,7 +5979,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:5980: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:5983: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_gethostbyname=yes"
 else
@@ -5997,12 +6000,12 @@
     if test $ac_cv_func_gethostbyname = no; then
       
 echo $ac_n "checking for gethostbyname in -lnsl""... $ac_c" 1>&6
-echo "configure:6001: checking for gethostbyname in -lnsl" >&5
+echo "configure:6004: checking for gethostbyname in -lnsl" >&5
 ac_lib_var=`echo nsl'_'gethostbyname | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lnsl "
 cat > conftest.$ac_ext <<EOF
-#line 6006 "configure"
+#line 6009 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -6013,7 +6016,7 @@
 gethostbyname()
 ; return 0; }
 EOF
-if { (eval echo configure:6017: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6020: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6043,10 +6046,10 @@
     # -lsocket must be given before -lnsl if both are needed.
     # We assume that if connect needs -lnsl, so does gethostbyname.
     echo $ac_n "checking for connect""... $ac_c" 1>&6
-echo "configure:6047: checking for connect" >&5
+echo "configure:6050: checking for connect" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 6050 "configure"
+#line 6053 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char connect(); below.  */
@@ -6069,7 +6072,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:6073: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6076: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_connect=yes"
 else
@@ -6092,12 +6095,12 @@
 xe_msg_checking="for connect in -lsocket"
 test -n "$X_EXTRA_LIBS" && xe_msg_checking="$xe_msg_checking using extra libs $X_EXTRA_LIBS"
 echo $ac_n "checking "$xe_msg_checking"""... $ac_c" 1>&6
-echo "configure:6096: checking "$xe_msg_checking"" >&5
+echo "configure:6099: checking "$xe_msg_checking"" >&5
 ac_lib_var=`echo socket'_'connect | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lsocket $X_EXTRA_LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 6101 "configure"
+#line 6104 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -6108,7 +6111,7 @@
 connect()
 ; return 0; }
 EOF
-if { (eval echo configure:6112: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6115: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6132,10 +6135,10 @@
 
     # gomez@mi.uni-erlangen.de says -lposix is necessary on A/UX.
     echo $ac_n "checking for remove""... $ac_c" 1>&6
-echo "configure:6136: checking for remove" >&5
+echo "configure:6139: checking for remove" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 6139 "configure"
+#line 6142 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char remove(); below.  */
@@ -6158,7 +6161,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:6162: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6165: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_remove=yes"
 else
@@ -6179,12 +6182,12 @@
     if test $ac_cv_func_remove = no; then
       
 echo $ac_n "checking for remove in -lposix""... $ac_c" 1>&6
-echo "configure:6183: checking for remove in -lposix" >&5
+echo "configure:6186: checking for remove in -lposix" >&5
 ac_lib_var=`echo posix'_'remove | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lposix "
 cat > conftest.$ac_ext <<EOF
-#line 6188 "configure"
+#line 6191 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -6195,7 +6198,7 @@
 remove()
 ; return 0; }
 EOF
-if { (eval echo configure:6199: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6202: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6219,10 +6222,10 @@
 
     # BSDI BSD/OS 2.1 needs -lipc for XOpenDisplay.
     echo $ac_n "checking for shmat""... $ac_c" 1>&6
-echo "configure:6223: checking for shmat" >&5
+echo "configure:6226: checking for shmat" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 6226 "configure"
+#line 6229 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char shmat(); below.  */
@@ -6245,7 +6248,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:6249: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6252: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_shmat=yes"
 else
@@ -6266,12 +6269,12 @@
     if test $ac_cv_func_shmat = no; then
       
 echo $ac_n "checking for shmat in -lipc""... $ac_c" 1>&6
-echo "configure:6270: checking for shmat in -lipc" >&5
+echo "configure:6273: checking for shmat in -lipc" >&5
 ac_lib_var=`echo ipc'_'shmat | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lipc "
 cat > conftest.$ac_ext <<EOF
-#line 6275 "configure"
+#line 6278 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -6282,7 +6285,7 @@
 shmat()
 ; return 0; }
 EOF
-if { (eval echo configure:6286: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6289: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6318,12 +6321,12 @@
 xe_msg_checking="for IceConnectionNumber in -lICE"
 test -n "$X_EXTRA_LIBS" && xe_msg_checking="$xe_msg_checking using extra libs $X_EXTRA_LIBS"
 echo $ac_n "checking "$xe_msg_checking"""... $ac_c" 1>&6
-echo "configure:6322: checking "$xe_msg_checking"" >&5
+echo "configure:6325: checking "$xe_msg_checking"" >&5
 ac_lib_var=`echo ICE'_'IceConnectionNumber | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lICE $X_EXTRA_LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 6327 "configure"
+#line 6330 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -6334,7 +6337,7 @@
 IceConnectionNumber()
 ; return 0; }
 EOF
-if { (eval echo configure:6338: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6341: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6380,15 +6383,15 @@
 
     ac_safe=`echo "Xm/Xm.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for Xm/Xm.h""... $ac_c" 1>&6
-echo "configure:6384: checking for Xm/Xm.h" >&5
+echo "configure:6387: checking for Xm/Xm.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 6387 "configure"
+#line 6390 "configure"
 #include "confdefs.h"
 #include <Xm/Xm.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:6392: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:6395: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -6405,12 +6408,12 @@
   echo "$ac_t""yes" 1>&6
   
 echo $ac_n "checking for XmStringFree in -lXm""... $ac_c" 1>&6
-echo "configure:6409: checking for XmStringFree in -lXm" >&5
+echo "configure:6412: checking for XmStringFree in -lXm" >&5
 ac_lib_var=`echo Xm'_'XmStringFree | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lXm "
 cat > conftest.$ac_ext <<EOF
-#line 6414 "configure"
+#line 6417 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -6421,7 +6424,7 @@
 XmStringFree()
 ; return 0; }
 EOF
-if { (eval echo configure:6425: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6428: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6573,7 +6576,7 @@
 
 
     echo "checking for X defines extracted by xmkmf" 1>&6
-echo "configure:6577: checking for X defines extracted by xmkmf" >&5
+echo "configure:6580: checking for X defines extracted by xmkmf" >&5
   rm -fr conftestdir
   if mkdir conftestdir; then
     cd conftestdir
@@ -6622,15 +6625,15 @@
 
     ac_safe=`echo "X11/Intrinsic.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for X11/Intrinsic.h""... $ac_c" 1>&6
-echo "configure:6626: checking for X11/Intrinsic.h" >&5
+echo "configure:6629: checking for X11/Intrinsic.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 6629 "configure"
+#line 6632 "configure"
 #include "confdefs.h"
 #include <X11/Intrinsic.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:6634: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:6637: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -6654,12 +6657,12 @@
 
       
 echo $ac_n "checking for XOpenDisplay in -lX11""... $ac_c" 1>&6
-echo "configure:6658: checking for XOpenDisplay in -lX11" >&5
+echo "configure:6661: checking for XOpenDisplay in -lX11" >&5
 ac_lib_var=`echo X11'_'XOpenDisplay | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lX11 "
 cat > conftest.$ac_ext <<EOF
-#line 6663 "configure"
+#line 6666 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -6670,7 +6673,7 @@
 XOpenDisplay()
 ; return 0; }
 EOF
-if { (eval echo configure:6674: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6677: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6695,12 +6698,12 @@
 xe_msg_checking="for XGetFontProperty in -lX11"
 test -n "-b i486-linuxaout" && xe_msg_checking="$xe_msg_checking using extra libs -b i486-linuxaout"
 echo $ac_n "checking "$xe_msg_checking"""... $ac_c" 1>&6
-echo "configure:6699: checking "$xe_msg_checking"" >&5
+echo "configure:6702: checking "$xe_msg_checking"" >&5
 ac_lib_var=`echo X11'_'XGetFontProperty | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lX11 -b i486-linuxaout"
 cat > conftest.$ac_ext <<EOF
-#line 6704 "configure"
+#line 6707 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -6711,7 +6714,7 @@
 XGetFontProperty()
 ; return 0; }
 EOF
-if { (eval echo configure:6715: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6718: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6738,12 +6741,12 @@
 
     
 echo $ac_n "checking for XShapeSelectInput in -lXext""... $ac_c" 1>&6
-echo "configure:6742: checking for XShapeSelectInput in -lXext" >&5
+echo "configure:6745: checking for XShapeSelectInput in -lXext" >&5
 ac_lib_var=`echo Xext'_'XShapeSelectInput | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lXext "
 cat > conftest.$ac_ext <<EOF
-#line 6747 "configure"
+#line 6750 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -6754,7 +6757,7 @@
 XShapeSelectInput()
 ; return 0; }
 EOF
-if { (eval echo configure:6758: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6761: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6777,12 +6780,12 @@
 
     
 echo $ac_n "checking for XtOpenDisplay in -lXt""... $ac_c" 1>&6
-echo "configure:6781: checking for XtOpenDisplay in -lXt" >&5
+echo "configure:6784: checking for XtOpenDisplay in -lXt" >&5
 ac_lib_var=`echo Xt'_'XtOpenDisplay | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lXt "
 cat > conftest.$ac_ext <<EOF
-#line 6786 "configure"
+#line 6789 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -6793,7 +6796,7 @@
 XtOpenDisplay()
 ; return 0; }
 EOF
-if { (eval echo configure:6797: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6800: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6816,14 +6819,14 @@
 
 
   echo $ac_n "checking the version of X11 being used""... $ac_c" 1>&6
-echo "configure:6820: checking the version of X11 being used" >&5
+echo "configure:6823: checking the version of X11 being used" >&5
   cat > conftest.$ac_ext <<EOF
-#line 6822 "configure"
+#line 6825 "configure"
 #include "confdefs.h"
 #include <X11/Intrinsic.h>
     int main(int c, char *v[]) { return c>1 ? XlibSpecificationRelease : 0; }
 EOF
-if { (eval echo configure:6827: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:6830: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ./conftest foobar; x11_release=$?
 else
@@ -6854,10 +6857,10 @@
   for ac_func in XConvertCase XtRegisterDrawable
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:6858: checking for $ac_func" >&5
+echo "configure:6861: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 6861 "configure"
+#line 6864 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -6880,7 +6883,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:6884: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6887: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -6912,15 +6915,15 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:6916: checking for $ac_hdr" >&5
+echo "configure:6919: checking for $ac_hdr" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 6919 "configure"
+#line 6922 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:6924: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:6927: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -6953,10 +6956,10 @@
     for ac_func in XRegisterIMInstantiateCallback
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:6957: checking for $ac_func" >&5
+echo "configure:6960: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 6960 "configure"
+#line 6963 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -6979,7 +6982,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:6983: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:6986: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -7007,9 +7010,9 @@
 done
 
   echo $ac_n "checking for standard XRegisterIMInstantiateCallback prototype""... $ac_c" 1>&6
-echo "configure:7011: checking for standard XRegisterIMInstantiateCallback prototype" >&5
+echo "configure:7014: checking for standard XRegisterIMInstantiateCallback prototype" >&5
   cat > conftest.$ac_ext <<EOF
-#line 7013 "configure"
+#line 7016 "configure"
 #include "confdefs.h"
 
 #define NeedFunctionPrototypes 1
@@ -7021,7 +7024,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:7025: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:7028: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 else
@@ -7042,12 +7045,12 @@
 
     test -z "$with_xmu" && { 
 echo $ac_n "checking for XmuReadBitmapDataFromFile in -lXmu""... $ac_c" 1>&6
-echo "configure:7046: checking for XmuReadBitmapDataFromFile in -lXmu" >&5
+echo "configure:7049: checking for XmuReadBitmapDataFromFile in -lXmu" >&5
 ac_lib_var=`echo Xmu'_'XmuReadBitmapDataFromFile | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lXmu "
 cat > conftest.$ac_ext <<EOF
-#line 7051 "configure"
+#line 7054 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7058,7 +7061,7 @@
 XmuReadBitmapDataFromFile()
 ; return 0; }
 EOF
-if { (eval echo configure:7062: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7065: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7097,19 +7100,19 @@
 
       
 echo $ac_n "checking for main in -lXbsd""... $ac_c" 1>&6
-echo "configure:7101: checking for main in -lXbsd" >&5
+echo "configure:7104: checking for main in -lXbsd" >&5
 ac_lib_var=`echo Xbsd'_'main | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lXbsd "
 cat > conftest.$ac_ext <<EOF
-#line 7106 "configure"
+#line 7109 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:7113: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7116: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7133,7 +7136,7 @@
     if test "$unexec" = "unexaix.o" -a "$x11_release" = "6"; then
         if test "$GCC" = "yes"; then
                   echo $ac_n "checking for name of AIX gcc threads option""... $ac_c" 1>&6
-echo "configure:7137: checking for name of AIX gcc threads option" >&5
+echo "configure:7140: checking for name of AIX gcc threads option" >&5
       case `$CC -v --help 2>&1` in
         *-mthreads*) aix_threads=-mthreads ;;
                   *) aix_threads=-pthread  ;;
@@ -7147,10 +7150,10 @@
          xe_save_CC="$CC"
          CC="${CC}_r"
          echo $ac_n "checking size of short""... $ac_c" 1>&6
-echo "configure:7151: checking size of short" >&5
+echo "configure:7154: checking size of short" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 7154 "configure"
+#line 7157 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 #include <sys/types.h>
@@ -7162,7 +7165,7 @@
   exit(0);
 }
 EOF
-if { (eval echo configure:7166: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:7169: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ac_cv_sizeof_short=`cat conftestval`
 else
@@ -7191,22 +7194,22 @@
 fi 
 if test "$with_msw" != "no"; then
   echo "checking for MS-Windows" 1>&6
-echo "configure:7195: checking for MS-Windows" >&5
+echo "configure:7198: checking for MS-Windows" >&5
   
 echo $ac_n "checking for main in -lgdi32""... $ac_c" 1>&6
-echo "configure:7198: checking for main in -lgdi32" >&5
+echo "configure:7201: checking for main in -lgdi32" >&5
 ac_lib_var=`echo gdi32'_'main | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lgdi32 "
 cat > conftest.$ac_ext <<EOF
-#line 7203 "configure"
+#line 7206 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:7210: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7213: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7279,12 +7282,12 @@
  fi
     fi
         cat > conftest.$ac_ext <<EOF
-#line 7283 "configure"
+#line 7286 "configure"
 #include "confdefs.h"
 #include <fcntl.h>
     int main() { return (open("/dev/windows", O_RDONLY, 0) > 0)? 0 : 1; }
 EOF
-if { (eval echo configure:7288: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:7291: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   need_event_unixoid=yes; { test "$extra_verbose" = "yes" && cat << \EOF
     Defining HAVE_MSG_SELECT
@@ -7348,15 +7351,15 @@
 if test "$with_x11" = "yes"; then
   ac_safe=`echo "X11/extensions/shape.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for X11/extensions/shape.h""... $ac_c" 1>&6
-echo "configure:7352: checking for X11/extensions/shape.h" >&5
+echo "configure:7355: checking for X11/extensions/shape.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 7355 "configure"
+#line 7358 "configure"
 #include "confdefs.h"
 #include <X11/extensions/shape.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:7360: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:7363: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -7408,7 +7411,7 @@
 esac
 
 echo "checking for WM_COMMAND option" 1>&6
-echo "configure:7412: checking for WM_COMMAND option" >&5;
+echo "configure:7415: checking for WM_COMMAND option" >&5;
 if test "$with_wmcommand" != "no"; then
   { test "$extra_verbose" = "yes" && cat << \EOF
     Defining HAVE_WMCOMMAND
@@ -7423,15 +7426,15 @@
 test -z "$with_xauth" && test "$window_system" = "none" && with_xauth=no
 test -z "$with_xauth" && { ac_safe=`echo "X11/Xauth.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for X11/Xauth.h""... $ac_c" 1>&6
-echo "configure:7427: checking for X11/Xauth.h" >&5
+echo "configure:7430: checking for X11/Xauth.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 7430 "configure"
+#line 7433 "configure"
 #include "confdefs.h"
 #include <X11/Xauth.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:7435: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:7438: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -7454,12 +7457,12 @@
  }
 test -z "$with_xauth" && { 
 echo $ac_n "checking for XauGetAuthByAddr in -lXau""... $ac_c" 1>&6
-echo "configure:7458: checking for XauGetAuthByAddr in -lXau" >&5
+echo "configure:7461: checking for XauGetAuthByAddr in -lXau" >&5
 ac_lib_var=`echo Xau'_'XauGetAuthByAddr | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lXau "
 cat > conftest.$ac_ext <<EOF
-#line 7463 "configure"
+#line 7466 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7470,7 +7473,7 @@
 XauGetAuthByAddr()
 ; return 0; }
 EOF
-if { (eval echo configure:7474: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7477: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7515,15 +7518,15 @@
       for dir in "" "Tt/" "desktop/" ; do
     ac_safe=`echo "${dir}tt_c.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for ${dir}tt_c.h""... $ac_c" 1>&6
-echo "configure:7519: checking for ${dir}tt_c.h" >&5
+echo "configure:7522: checking for ${dir}tt_c.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 7522 "configure"
+#line 7525 "configure"
 #include "confdefs.h"
 #include <${dir}tt_c.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:7527: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:7530: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -7559,12 +7562,12 @@
 xe_msg_checking="for tt_message_create in -ltt"
 test -n "$extra_libs" && xe_msg_checking="$xe_msg_checking using extra libs $extra_libs"
 echo $ac_n "checking "$xe_msg_checking"""... $ac_c" 1>&6
-echo "configure:7563: checking "$xe_msg_checking"" >&5
+echo "configure:7566: checking "$xe_msg_checking"" >&5
 ac_lib_var=`echo tt'_'tt_message_create | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -ltt $extra_libs"
 cat > conftest.$ac_ext <<EOF
-#line 7568 "configure"
+#line 7571 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7575,7 +7578,7 @@
 tt_message_create()
 ; return 0; }
 EOF
-if { (eval echo configure:7579: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7582: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7632,15 +7635,15 @@
 
 test -z "$with_cde" && { ac_safe=`echo "Dt/Dt.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for Dt/Dt.h""... $ac_c" 1>&6
-echo "configure:7636: checking for Dt/Dt.h" >&5
+echo "configure:7639: checking for Dt/Dt.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 7639 "configure"
+#line 7642 "configure"
 #include "confdefs.h"
 #include <Dt/Dt.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:7644: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:7647: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -7663,12 +7666,12 @@
  }
 test -z "$with_cde" && { 
 echo $ac_n "checking for DtDndDragStart in -lDtSvc""... $ac_c" 1>&6
-echo "configure:7667: checking for DtDndDragStart in -lDtSvc" >&5
+echo "configure:7670: checking for DtDndDragStart in -lDtSvc" >&5
 ac_lib_var=`echo DtSvc'_'DtDndDragStart | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lDtSvc "
 cat > conftest.$ac_ext <<EOF
-#line 7672 "configure"
+#line 7675 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7679,7 +7682,7 @@
 DtDndDragStart()
 ; return 0; }
 EOF
-if { (eval echo configure:7683: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7686: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7752,7 +7755,7 @@
 
 if test "$with_dragndrop" != "no" ; then
   echo $ac_n "checking if drag and drop API is needed""... $ac_c" 1>&6
-echo "configure:7756: checking if drag and drop API is needed" >&5
+echo "configure:7759: checking if drag and drop API is needed" >&5
   if test -n "$dragndrop_proto" ; then
     with_dragndrop=yes
     echo "$ac_t""yes (${dragndrop_proto} )" 1>&6
@@ -7772,18 +7775,18 @@
 fi
 
 echo "checking for LDAP" 1>&6
-echo "configure:7776: checking for LDAP" >&5
+echo "configure:7779: checking for LDAP" >&5
 test -z "$with_ldap" && { ac_safe=`echo "ldap.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for ldap.h""... $ac_c" 1>&6
-echo "configure:7779: checking for ldap.h" >&5
+echo "configure:7782: checking for ldap.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 7782 "configure"
+#line 7785 "configure"
 #include "confdefs.h"
 #include <ldap.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:7787: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:7790: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -7806,15 +7809,15 @@
  }
 test -z "$with_ldap" && { ac_safe=`echo "lber.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for lber.h""... $ac_c" 1>&6
-echo "configure:7810: checking for lber.h" >&5
+echo "configure:7813: checking for lber.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 7813 "configure"
+#line 7816 "configure"
 #include "confdefs.h"
 #include <lber.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:7818: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:7821: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -7839,10 +7842,10 @@
   if test . != "${ldap_libs+.}";then
     ldap_libs=
     echo $ac_n "checking for ldap_open""... $ac_c" 1>&6
-echo "configure:7843: checking for ldap_open" >&5
+echo "configure:7846: checking for ldap_open" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 7846 "configure"
+#line 7849 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char ldap_open(); below.  */
@@ -7865,7 +7868,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:7869: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7872: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_ldap_open=yes"
 else
@@ -7885,12 +7888,12 @@
   echo "$ac_t""no" 1>&6
       
 echo $ac_n "checking for ldap_open in -lldap""... $ac_c" 1>&6
-echo "configure:7889: checking for ldap_open in -lldap" >&5
+echo "configure:7892: checking for ldap_open in -lldap" >&5
 ac_lib_var=`echo ldap'_'ldap_open | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lldap "
 cat > conftest.$ac_ext <<EOF
-#line 7894 "configure"
+#line 7897 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7901,7 +7904,7 @@
 ldap_open()
 ; return 0; }
 EOF
-if { (eval echo configure:7905: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7908: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7923,12 +7926,12 @@
 xe_msg_checking="for ldap_open in -lldap"
 test -n "$ldap_other_libs" && xe_msg_checking="$xe_msg_checking using extra libs $ldap_other_libs"
 echo $ac_n "checking "$xe_msg_checking"""... $ac_c" 1>&6
-echo "configure:7927: checking "$xe_msg_checking"" >&5
+echo "configure:7930: checking "$xe_msg_checking"" >&5
 ac_lib_var=`echo ldap'_'ldap_open | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lldap $ldap_other_libs"
 cat > conftest.$ac_ext <<EOF
-#line 7932 "configure"
+#line 7935 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7939,7 +7942,7 @@
 ldap_open()
 ; return 0; }
 EOF
-if { (eval echo configure:7943: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7946: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7961,12 +7964,12 @@
 xe_msg_checking="for ldap_open in -lldap"
 test -n "$ldap_other_libs" && xe_msg_checking="$xe_msg_checking using extra libs $ldap_other_libs"
 echo $ac_n "checking "$xe_msg_checking"""... $ac_c" 1>&6
-echo "configure:7965: checking "$xe_msg_checking"" >&5
+echo "configure:7968: checking "$xe_msg_checking"" >&5
 ac_lib_var=`echo ldap'_'ldap_open | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lldap $ldap_other_libs"
 cat > conftest.$ac_ext <<EOF
-#line 7970 "configure"
+#line 7973 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7977,7 +7980,7 @@
 ldap_open()
 ; return 0; }
 EOF
-if { (eval echo configure:7981: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7984: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7999,12 +8002,12 @@
 xe_msg_checking="for ldap_open in -lldap"
 test -n "$ldap_other_libs" && xe_msg_checking="$xe_msg_checking using extra libs $ldap_other_libs"
 echo $ac_n "checking "$xe_msg_checking"""... $ac_c" 1>&6
-echo "configure:8003: checking "$xe_msg_checking"" >&5
+echo "configure:8006: checking "$xe_msg_checking"" >&5
 ac_lib_var=`echo ldap'_'ldap_open | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lldap $ldap_other_libs"
 cat > conftest.$ac_ext <<EOF
-#line 8008 "configure"
+#line 8011 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -8015,7 +8018,7 @@
 ldap_open()
 ; return 0; }
 EOF
-if { (eval echo configure:8019: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8022: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -8047,10 +8050,10 @@
 
       if test yes = "$with_ldap" -a yes != "$ldap_needs_lber";then
 	echo $ac_n "checking for LDAP_OPT_ON definition""... $ac_c" 1>&6
-echo "configure:8051: checking for LDAP_OPT_ON definition" >&5
+echo "configure:8054: checking for LDAP_OPT_ON definition" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 8054 "configure"
+#line 8057 "configure"
 #include "confdefs.h"
 #include <lber.h>
 #include <ldap.h>
@@ -8064,7 +8067,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:8068: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:8071: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   xe_cv_have_LDAP_OPT_ON=yes
 else
@@ -8078,12 +8081,12 @@
 echo "$ac_t""$xe_cv_have_LDAP_OPT_ON" 1>&6
 	if test yes = "$xe_cv_have_LDAP_OPT_ON";then
 	  echo $ac_n "checking LDAP_OPT_ON linking""... $ac_c" 1>&6
-echo "configure:8082: checking LDAP_OPT_ON linking" >&5
+echo "configure:8085: checking LDAP_OPT_ON linking" >&5
 
 xe_save_LIBS="$LIBS"
 	    LIBS="-lldap $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 8087 "configure"
+#line 8090 "configure"
 #include "confdefs.h"
 #include <lber.h>
 #include <ldap.h>
@@ -8092,7 +8095,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:8096: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8099: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   xe_cv_LDAP_OPT_ON_links=yes
 else
@@ -8108,12 +8111,12 @@
 	  if test yes != "$xe_cv_LDAP_OPT_ON_links";then
 	    ldap_needs_lber=yes ldap_other_libs=-llber
 	    echo $ac_n "checking LDAP_OPT_ON linking with -llber""... $ac_c" 1>&6
-echo "configure:8112: checking LDAP_OPT_ON linking with -llber" >&5
+echo "configure:8115: checking LDAP_OPT_ON linking with -llber" >&5
 
 xe_save_LIBS="$LIBS"
 	      LIBS="-lldap $ldap_other_libs $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 8117 "configure"
+#line 8120 "configure"
 #include "confdefs.h"
 #include <lber.h>
 #include <ldap.h>
@@ -8122,7 +8125,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:8126: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8129: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   xe_cv_LDAP_OPT_ON_links_w_lber=yes
 else
@@ -8158,10 +8161,10 @@
   else
     save_LIBS="$LIBS" LIBS="$ldap_libs $LIBS"
     echo $ac_n "checking for ldap_open""... $ac_c" 1>&6
-echo "configure:8162: checking for ldap_open" >&5
+echo "configure:8165: checking for ldap_open" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 8165 "configure"
+#line 8168 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char ldap_open(); below.  */
@@ -8184,7 +8187,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:8188: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8191: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_ldap_open=yes"
 else
@@ -8224,10 +8227,10 @@
   for ac_func in ldap_set_option ldap_get_lderrno ldap_result2error ldap_parse_result
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:8228: checking for $ac_func" >&5
+echo "configure:8231: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 8231 "configure"
+#line 8234 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -8250,7 +8253,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:8254: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8257: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -8281,20 +8284,20 @@
 
 if test "$with_postgresql" != "no"; then
   echo "checking for PostgreSQL" 1>&6
-echo "configure:8285: checking for PostgreSQL" >&5
+echo "configure:8288: checking for PostgreSQL" >&5
 
   for header_dir in "" "pgsql/" "postgresql/"; do
     ac_safe=`echo "${header_dir}libpq-fe.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for ${header_dir}libpq-fe.h""... $ac_c" 1>&6
-echo "configure:8290: checking for ${header_dir}libpq-fe.h" >&5
+echo "configure:8293: checking for ${header_dir}libpq-fe.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 8293 "configure"
+#line 8296 "configure"
 #include "confdefs.h"
 #include <${header_dir}libpq-fe.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:8298: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:8301: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -8318,12 +8321,12 @@
 
   test -n "$libpq_fe_h_file" && { 
 echo $ac_n "checking for PQconnectdb in -lpq""... $ac_c" 1>&6
-echo "configure:8322: checking for PQconnectdb in -lpq" >&5
+echo "configure:8325: checking for PQconnectdb in -lpq" >&5
 ac_lib_var=`echo pq'_'PQconnectdb | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lpq "
 cat > conftest.$ac_ext <<EOF
-#line 8327 "configure"
+#line 8330 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -8334,7 +8337,7 @@
 PQconnectdb()
 ; return 0; }
 EOF
-if { (eval echo configure:8338: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8341: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -8367,12 +8370,12 @@
 
     
 echo $ac_n "checking for PQconnectStart in -lpq""... $ac_c" 1>&6
-echo "configure:8371: checking for PQconnectStart in -lpq" >&5
+echo "configure:8374: checking for PQconnectStart in -lpq" >&5
 ac_lib_var=`echo pq'_'PQconnectStart | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lpq "
 cat > conftest.$ac_ext <<EOF
-#line 8376 "configure"
+#line 8379 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -8383,7 +8386,7 @@
 PQconnectStart()
 ; return 0; }
 EOF
-if { (eval echo configure:8387: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8390: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -8431,7 +8434,7 @@
 
 if test "$window_system" != "none"; then
   echo "checking for graphics libraries" 1>&6
-echo "configure:8435: checking for graphics libraries" >&5
+echo "configure:8438: checking for graphics libraries" >&5
 
       libpath_xpm=
   incpath_xpm=
@@ -8458,10 +8461,10 @@
     CFLAGS=""$incpath_xpm" $CFLAGS" &&  if test "$extra_verbose" = "yes"; then echo "    Prepending \""$incpath_xpm"\" to \$CFLAGS"; fi
     LDFLAGS=""$libpath_xpm" $LDFLAGS" &&  if test "$extra_verbose" = "yes"; then echo "    Prepending \""$libpath_xpm"\" to \$LDFLAGS"; fi
     echo $ac_n "checking for Xpm - no older than 3.4f""... $ac_c" 1>&6
-echo "configure:8462: checking for Xpm - no older than 3.4f" >&5
+echo "configure:8465: checking for Xpm - no older than 3.4f" >&5
     xe_check_libs="$libname_xpm"
     cat > conftest.$ac_ext <<EOF
-#line 8465 "configure"
+#line 8468 "configure"
 #include "confdefs.h"
 #define XPM_NUMBERS
 #include <X11/xpm.h>
@@ -8470,7 +8473,7 @@
       XpmIncludeVersion != XpmLibraryVersion() ? 1 :
       XpmIncludeVersion < 30406 ? 2 : 0 ;}
 EOF
-if { (eval echo configure:8474: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:8477: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ./conftest dummy_arg; xpm_status=$?;
       if test "$xpm_status" = "0"; then
@@ -8514,17 +8517,17 @@
     libs_x=""$libname_xpm" $libs_x" &&  if test "$extra_verbose" = "yes"; then echo "    Prepending \""$libname_xpm"\" to \$libs_x"; fi
     CFLAGS=""$incpath_xpm" $CFLAGS" &&  if test "$extra_verbose" = "yes"; then echo "    Prepending \""$incpath_xpm"\" to \$CFLAGS"; fi
     echo $ac_n "checking for \"FOR_MSW\" xpm""... $ac_c" 1>&6
-echo "configure:8518: checking for \"FOR_MSW\" xpm" >&5
+echo "configure:8521: checking for \"FOR_MSW\" xpm" >&5
     xe_check_libs="$libname_xpm"
     cat > conftest.$ac_ext <<EOF
-#line 8521 "configure"
+#line 8524 "configure"
 #include "confdefs.h"
 
 int main() {
 XpmCreatePixmapFromData()
 ; return 0; }
 EOF
-if { (eval echo configure:8528: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8531: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   xpm_for_msw=no
 else
@@ -8550,15 +8553,15 @@
 
     test -z "$with_xface" && { ac_safe=`echo "compface.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for compface.h""... $ac_c" 1>&6
-echo "configure:8554: checking for compface.h" >&5
+echo "configure:8557: checking for compface.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 8557 "configure"
+#line 8560 "configure"
 #include "confdefs.h"
 #include <compface.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:8562: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:8565: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -8581,12 +8584,12 @@
  }
   test -z "$with_xface" && { 
 echo $ac_n "checking for UnGenFace in -lcompface""... $ac_c" 1>&6
-echo "configure:8585: checking for UnGenFace in -lcompface" >&5
+echo "configure:8588: checking for UnGenFace in -lcompface" >&5
 ac_lib_var=`echo compface'_'UnGenFace | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lcompface "
 cat > conftest.$ac_ext <<EOF
-#line 8590 "configure"
+#line 8593 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -8597,7 +8600,7 @@
 UnGenFace()
 ; return 0; }
 EOF
-if { (eval echo configure:8601: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8604: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -8649,12 +8652,12 @@
       if test "$with_png $with_tiff" != "no no"; then
     
 echo $ac_n "checking for inflate in -lc""... $ac_c" 1>&6
-echo "configure:8653: checking for inflate in -lc" >&5
+echo "configure:8656: checking for inflate in -lc" >&5
 ac_lib_var=`echo c'_'inflate | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lc "
 cat > conftest.$ac_ext <<EOF
-#line 8658 "configure"
+#line 8661 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -8665,7 +8668,7 @@
 inflate()
 ; return 0; }
 EOF
-if { (eval echo configure:8669: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8672: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -8684,12 +8687,12 @@
   echo "$ac_t""no" 1>&6
 
 echo $ac_n "checking for inflate in -lz""... $ac_c" 1>&6
-echo "configure:8688: checking for inflate in -lz" >&5
+echo "configure:8691: checking for inflate in -lz" >&5
 ac_lib_var=`echo z'_'inflate | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lz "
 cat > conftest.$ac_ext <<EOF
-#line 8693 "configure"
+#line 8696 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -8700,7 +8703,7 @@
 inflate()
 ; return 0; }
 EOF
-if { (eval echo configure:8704: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8707: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -8719,12 +8722,12 @@
   echo "$ac_t""no" 1>&6
 
 echo $ac_n "checking for inflate in -lgz""... $ac_c" 1>&6
-echo "configure:8723: checking for inflate in -lgz" >&5
+echo "configure:8726: checking for inflate in -lgz" >&5
 ac_lib_var=`echo gz'_'inflate | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lgz "
 cat > conftest.$ac_ext <<EOF
-#line 8728 "configure"
+#line 8731 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -8735,7 +8738,7 @@
 inflate()
 ; return 0; }
 EOF
-if { (eval echo configure:8739: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8742: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -8765,15 +8768,15 @@
 
     test -z "$with_jpeg" && { ac_safe=`echo "jpeglib.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for jpeglib.h""... $ac_c" 1>&6
-echo "configure:8769: checking for jpeglib.h" >&5
+echo "configure:8772: checking for jpeglib.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 8772 "configure"
+#line 8775 "configure"
 #include "confdefs.h"
 #include <jpeglib.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:8777: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:8780: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -8796,12 +8799,12 @@
  }
   test -z "$with_jpeg" && { 
 echo $ac_n "checking for jpeg_destroy_decompress in -ljpeg""... $ac_c" 1>&6
-echo "configure:8800: checking for jpeg_destroy_decompress in -ljpeg" >&5
+echo "configure:8803: checking for jpeg_destroy_decompress in -ljpeg" >&5
 ac_lib_var=`echo jpeg'_'jpeg_destroy_decompress | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -ljpeg "
 cat > conftest.$ac_ext <<EOF
-#line 8805 "configure"
+#line 8808 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -8812,7 +8815,7 @@
 jpeg_destroy_decompress()
 ; return 0; }
 EOF
-if { (eval echo configure:8816: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8819: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -8848,10 +8851,10 @@
 
     png_problem=""
   test -z "$with_png" && { echo $ac_n "checking for pow""... $ac_c" 1>&6
-echo "configure:8852: checking for pow" >&5
+echo "configure:8855: checking for pow" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 8855 "configure"
+#line 8858 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char pow(); below.  */
@@ -8874,7 +8877,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:8878: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8881: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_pow=yes"
 else
@@ -8895,15 +8898,15 @@
  }
   test -z "$with_png" && { ac_safe=`echo "png.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for png.h""... $ac_c" 1>&6
-echo "configure:8899: checking for png.h" >&5
+echo "configure:8902: checking for png.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 8902 "configure"
+#line 8905 "configure"
 #include "confdefs.h"
 #include <png.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:8907: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:8910: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -8926,12 +8929,12 @@
  }
   test -z "$with_png" && { 
 echo $ac_n "checking for png_read_image in -lpng""... $ac_c" 1>&6
-echo "configure:8930: checking for png_read_image in -lpng" >&5
+echo "configure:8933: checking for png_read_image in -lpng" >&5
 ac_lib_var=`echo png'_'png_read_image | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lpng "
 cat > conftest.$ac_ext <<EOF
-#line 8935 "configure"
+#line 8938 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -8942,7 +8945,7 @@
 png_read_image()
 ; return 0; }
 EOF
-if { (eval echo configure:8946: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8949: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -8965,10 +8968,10 @@
  }
   if test -z "$with_png"; then
     echo $ac_n "checking for workable png version information""... $ac_c" 1>&6
-echo "configure:8969: checking for workable png version information" >&5
+echo "configure:8972: checking for workable png version information" >&5
     xe_check_libs="-lpng -lz"
     cat > conftest.$ac_ext <<EOF
-#line 8972 "configure"
+#line 8975 "configure"
 #include "confdefs.h"
 #include <png.h>
     int main(int c, char **v) {
@@ -8976,7 +8979,7 @@
     if (strcmp(png_libpng_ver, PNG_LIBPNG_VER_STRING) != 0) return 1;
     return (PNG_LIBPNG_VER < 10002) ? 2 : 0 ;}
 EOF
-if { (eval echo configure:8980: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:8983: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ./conftest dummy_arg; png_status=$?;
       if test "$png_status" = "0"; then
@@ -9019,15 +9022,15 @@
 
     test -z "$with_tiff" && { ac_safe=`echo "tiffio.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for tiffio.h""... $ac_c" 1>&6
-echo "configure:9023: checking for tiffio.h" >&5
+echo "configure:9026: checking for tiffio.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9026 "configure"
+#line 9029 "configure"
 #include "confdefs.h"
 #include <tiffio.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9031: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9034: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9050,12 +9053,12 @@
  }
   test -z "$with_tiff" && { 
 echo $ac_n "checking for TIFFClientOpen in -ltiff""... $ac_c" 1>&6
-echo "configure:9054: checking for TIFFClientOpen in -ltiff" >&5
+echo "configure:9057: checking for TIFFClientOpen in -ltiff" >&5
 ac_lib_var=`echo tiff'_'TIFFClientOpen | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -ltiff "
 cat > conftest.$ac_ext <<EOF
-#line 9059 "configure"
+#line 9062 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -9066,7 +9069,7 @@
 TIFFClientOpen()
 ; return 0; }
 EOF
-if { (eval echo configure:9070: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:9073: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -9105,15 +9108,15 @@
 if test "$with_gtk" = "yes"; then
     test -z "$with_xface" && { ac_safe=`echo "compface.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for compface.h""... $ac_c" 1>&6
-echo "configure:9109: checking for compface.h" >&5
+echo "configure:9112: checking for compface.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9112 "configure"
+#line 9115 "configure"
 #include "confdefs.h"
 #include <compface.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9117: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9120: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9136,12 +9139,12 @@
  }
   test -z "$with_xface" && { 
 echo $ac_n "checking for UnGenFace in -lcompface""... $ac_c" 1>&6
-echo "configure:9140: checking for UnGenFace in -lcompface" >&5
+echo "configure:9143: checking for UnGenFace in -lcompface" >&5
 ac_lib_var=`echo compface'_'UnGenFace | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lcompface "
 cat > conftest.$ac_ext <<EOF
-#line 9145 "configure"
+#line 9148 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -9152,7 +9155,7 @@
 UnGenFace()
 ; return 0; }
 EOF
-if { (eval echo configure:9156: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:9159: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -9191,12 +9194,12 @@
 
 if test "$with_x11" = "yes"; then
   echo "checking for X11 graphics libraries" 1>&6
-echo "configure:9195: checking for X11 graphics libraries" >&5
+echo "configure:9198: checking for X11 graphics libraries" >&5
 fi
 
 if test "$with_x11" = "yes"; then
   echo "checking for the Athena widgets" 1>&6
-echo "configure:9200: checking for the Athena widgets" >&5
+echo "configure:9203: checking for the Athena widgets" >&5
 
     case "$with_athena" in
         "xaw" | "")	athena_variant=Xaw	athena_3d=no  ;;
@@ -9212,12 +9215,12 @@
     if test "$athena_3d" = "no"; then
     
 echo $ac_n "checking for XawScrollbarSetThumb in -l$athena_variant""... $ac_c" 1>&6
-echo "configure:9216: checking for XawScrollbarSetThumb in -l$athena_variant" >&5
+echo "configure:9219: checking for XawScrollbarSetThumb in -l$athena_variant" >&5
 ac_lib_var=`echo $athena_variant'_'XawScrollbarSetThumb | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -l$athena_variant "
 cat > conftest.$ac_ext <<EOF
-#line 9221 "configure"
+#line 9224 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -9228,7 +9231,7 @@
 XawScrollbarSetThumb()
 ; return 0; }
 EOF
-if { (eval echo configure:9232: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:9235: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -9244,12 +9247,12 @@
   echo "$ac_t""yes" 1>&6
           
 echo $ac_n "checking for $athena_3d_function in -l$athena_variant""... $ac_c" 1>&6
-echo "configure:9248: checking for $athena_3d_function in -l$athena_variant" >&5
+echo "configure:9251: checking for $athena_3d_function in -l$athena_variant" >&5
 ac_lib_var=`echo $athena_variant'_'$athena_3d_function | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -l$athena_variant "
 cat > conftest.$ac_ext <<EOF
-#line 9253 "configure"
+#line 9256 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -9260,7 +9263,7 @@
 $athena_3d_function()
 ; return 0; }
 EOF
-if { (eval echo configure:9264: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:9267: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -9291,12 +9294,12 @@
   else
         
 echo $ac_n "checking for $athena_3d_function in -l$athena_variant""... $ac_c" 1>&6
-echo "configure:9295: checking for $athena_3d_function in -l$athena_variant" >&5
+echo "configure:9298: checking for $athena_3d_function in -l$athena_variant" >&5
 ac_lib_var=`echo $athena_variant'_'$athena_3d_function | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -l$athena_variant "
 cat > conftest.$ac_ext <<EOF
-#line 9300 "configure"
+#line 9303 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -9307,7 +9310,7 @@
 $athena_3d_function()
 ; return 0; }
 EOF
-if { (eval echo configure:9311: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:9314: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -9325,12 +9328,12 @@
 else
   echo "$ac_t""no" 1>&6
 echo $ac_n "checking for $athena_3d_function in -lXaw""... $ac_c" 1>&6
-echo "configure:9329: checking for $athena_3d_function in -lXaw" >&5
+echo "configure:9332: checking for $athena_3d_function in -lXaw" >&5
 ac_lib_var=`echo Xaw'_'$athena_3d_function | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lXaw "
 cat > conftest.$ac_ext <<EOF
-#line 9334 "configure"
+#line 9337 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -9341,7 +9344,7 @@
 $athena_3d_function()
 ; return 0; }
 EOF
-if { (eval echo configure:9345: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:9348: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -9372,15 +9375,15 @@
     if test "$athena_3d" = "no"; then
     ac_safe=`echo "X11/Xaw/ThreeD.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for X11/Xaw/ThreeD.h""... $ac_c" 1>&6
-echo "configure:9376: checking for X11/Xaw/ThreeD.h" >&5
+echo "configure:9379: checking for X11/Xaw/ThreeD.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9379 "configure"
+#line 9382 "configure"
 #include "confdefs.h"
 #include <X11/Xaw/ThreeD.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9384: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9387: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9400,15 +9403,15 @@
   echo "$ac_t""no" 1>&6
 ac_safe=`echo "X11/Xaw/XawInit.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for X11/Xaw/XawInit.h""... $ac_c" 1>&6
-echo "configure:9404: checking for X11/Xaw/XawInit.h" >&5
+echo "configure:9407: checking for X11/Xaw/XawInit.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9407 "configure"
+#line 9410 "configure"
 #include "confdefs.h"
 #include <X11/Xaw/XawInit.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9412: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9415: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9434,15 +9437,15 @@
   else
             ac_safe=`echo "X11/$athena_variant/XawInit.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for X11/$athena_variant/XawInit.h""... $ac_c" 1>&6
-echo "configure:9438: checking for X11/$athena_variant/XawInit.h" >&5
+echo "configure:9441: checking for X11/$athena_variant/XawInit.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9441 "configure"
+#line 9444 "configure"
 #include "confdefs.h"
 #include <X11/$athena_variant/XawInit.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9446: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9449: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9459,15 +9462,15 @@
   echo "$ac_t""yes" 1>&6
   ac_safe=`echo "X11/$athena_variant/ThreeD.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for X11/$athena_variant/ThreeD.h""... $ac_c" 1>&6
-echo "configure:9463: checking for X11/$athena_variant/ThreeD.h" >&5
+echo "configure:9466: checking for X11/$athena_variant/ThreeD.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9466 "configure"
+#line 9469 "configure"
 #include "confdefs.h"
 #include <X11/$athena_variant/ThreeD.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9471: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9474: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9495,15 +9498,15 @@
         if test -z "$athena_h_path"; then
       ac_safe=`echo "$athena_variant/XawInit.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $athena_variant/XawInit.h""... $ac_c" 1>&6
-echo "configure:9499: checking for $athena_variant/XawInit.h" >&5
+echo "configure:9502: checking for $athena_variant/XawInit.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9502 "configure"
+#line 9505 "configure"
 #include "confdefs.h"
 #include <$athena_variant/XawInit.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9507: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9510: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9520,15 +9523,15 @@
   echo "$ac_t""yes" 1>&6
   ac_safe=`echo "$athena_variant/ThreeD.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $athena_variant/ThreeD.h""... $ac_c" 1>&6
-echo "configure:9524: checking for $athena_variant/ThreeD.h" >&5
+echo "configure:9527: checking for $athena_variant/ThreeD.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9527 "configure"
+#line 9530 "configure"
 #include "confdefs.h"
 #include <$athena_variant/ThreeD.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9532: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9535: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9557,15 +9560,15 @@
         if test -z "$athena_h_path" -a "$athena_variant" != "Xaw3d"; then
       ac_safe=`echo "X11/Xaw3d/XawInit.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for X11/Xaw3d/XawInit.h""... $ac_c" 1>&6
-echo "configure:9561: checking for X11/Xaw3d/XawInit.h" >&5
+echo "configure:9564: checking for X11/Xaw3d/XawInit.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9564 "configure"
+#line 9567 "configure"
 #include "confdefs.h"
 #include <X11/Xaw3d/XawInit.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9569: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9572: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9582,15 +9585,15 @@
   echo "$ac_t""yes" 1>&6
   ac_safe=`echo "X11/Xaw3d/ThreeD.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for X11/Xaw3d/ThreeD.h""... $ac_c" 1>&6
-echo "configure:9586: checking for X11/Xaw3d/ThreeD.h" >&5
+echo "configure:9589: checking for X11/Xaw3d/ThreeD.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9589 "configure"
+#line 9592 "configure"
 #include "confdefs.h"
 #include <X11/Xaw3d/ThreeD.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9594: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9597: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9622,15 +9625,15 @@
         if test -z "$athena_h_path" -a "$athena_variant" != "Xaw3d"; then
       ac_safe=`echo "Xaw3d/XawInit.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for Xaw3d/XawInit.h""... $ac_c" 1>&6
-echo "configure:9626: checking for Xaw3d/XawInit.h" >&5
+echo "configure:9629: checking for Xaw3d/XawInit.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9629 "configure"
+#line 9632 "configure"
 #include "confdefs.h"
 #include <Xaw3d/XawInit.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9634: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9637: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9647,15 +9650,15 @@
   echo "$ac_t""yes" 1>&6
   ac_safe=`echo "Xaw3d/ThreeD.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for Xaw3d/ThreeD.h""... $ac_c" 1>&6
-echo "configure:9651: checking for Xaw3d/ThreeD.h" >&5
+echo "configure:9654: checking for Xaw3d/ThreeD.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9654 "configure"
+#line 9657 "configure"
 #include "confdefs.h"
 #include <Xaw3d/ThreeD.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9659: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9662: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9687,15 +9690,15 @@
             if test -z "$athena_h_path"; then
       ac_safe=`echo "X11/Xaw/ThreeD.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for X11/Xaw/ThreeD.h""... $ac_c" 1>&6
-echo "configure:9691: checking for X11/Xaw/ThreeD.h" >&5
+echo "configure:9694: checking for X11/Xaw/ThreeD.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9694 "configure"
+#line 9697 "configure"
 #include "confdefs.h"
 #include <X11/Xaw/ThreeD.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9699: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9702: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9729,10 +9732,10 @@
       save_libs_x=$libs_x
       libs_x="-lXaw3d $libs_x" &&  if test "$extra_verbose" = "yes"; then echo "    Prepending \"-lXaw3d\" to \$libs_x"; fi
             echo $ac_n "checking for "international" resource in Xaw3d SimpleWidget""... $ac_c" 1>&6
-echo "configure:9733: checking for "international" resource in Xaw3d SimpleWidget" >&5
+echo "configure:9736: checking for "international" resource in Xaw3d SimpleWidget" >&5
 
       cat > conftest.$ac_ext <<EOF
-#line 9736 "configure"
+#line 9739 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
         #include <string.h>
@@ -9746,7 +9749,7 @@
              exit(0);
          exit(253);}
 EOF
-if { (eval echo configure:9750: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:9753: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ./conftest dummy_arg; xaw_intl_status=$?;
 	  if test "$xaw_intl_status" = "0"; then
@@ -9773,15 +9776,15 @@
 if test "$with_x11" = "yes"; then
     ac_safe=`echo "Xm/Xm.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for Xm/Xm.h""... $ac_c" 1>&6
-echo "configure:9777: checking for Xm/Xm.h" >&5
+echo "configure:9780: checking for Xm/Xm.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 9780 "configure"
+#line 9783 "configure"
 #include "confdefs.h"
 #include <Xm/Xm.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:9785: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:9788: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -9798,12 +9801,12 @@
   echo "$ac_t""yes" 1>&6
   
 echo $ac_n "checking for XmStringFree in -lXm""... $ac_c" 1>&6
-echo "configure:9802: checking for XmStringFree in -lXm" >&5
+echo "configure:9805: checking for XmStringFree in -lXm" >&5
 ac_lib_var=`echo Xm'_'XmStringFree | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lXm "
 cat > conftest.$ac_ext <<EOF
-#line 9807 "configure"
+#line 9810 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -9814,7 +9817,7 @@
 XmStringFree()
 ; return 0; }
 EOF
-if { (eval echo configure:9818: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:9821: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -9843,9 +9846,9 @@
 
   if test "$have_motif" = "yes"; then
         echo $ac_n "checking for Lesstif""... $ac_c" 1>&6
-echo "configure:9847: checking for Lesstif" >&5
+echo "configure:9850: checking for Lesstif" >&5
     cat > conftest.$ac_ext <<EOF
-#line 9849 "configure"
+#line 9852 "configure"
 #include "confdefs.h"
 #include <Xm/Xm.h>
 #ifdef LESSTIF_VERSION
@@ -10301,7 +10304,7 @@
 
 if test "$with_mule" = "yes" ; then
   echo "checking for Mule-related features" 1>&6
-echo "configure:10305: checking for Mule-related features" >&5
+echo "configure:10308: checking for Mule-related features" >&5
   { test "$extra_verbose" = "yes" && cat << \EOF
     Defining MULE
 EOF
@@ -10326,15 +10329,15 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:10330: checking for $ac_hdr" >&5
+echo "configure:10333: checking for $ac_hdr" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 10333 "configure"
+#line 10336 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:10338: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:10341: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -10365,12 +10368,12 @@
 
   
 echo $ac_n "checking for strerror in -lintl""... $ac_c" 1>&6
-echo "configure:10369: checking for strerror in -lintl" >&5
+echo "configure:10372: checking for strerror in -lintl" >&5
 ac_lib_var=`echo intl'_'strerror | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lintl "
 cat > conftest.$ac_ext <<EOF
-#line 10374 "configure"
+#line 10377 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -10381,7 +10384,7 @@
 strerror()
 ; return 0; }
 EOF
-if { (eval echo configure:10385: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:10388: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -10414,18 +10417,18 @@
 
 
   echo "checking for Mule input methods" 1>&6
-echo "configure:10418: checking for Mule input methods" >&5
+echo "configure:10421: checking for Mule input methods" >&5
         case "$with_xim" in "" | "yes" )
     echo "checking for XIM" 1>&6
-echo "configure:10421: checking for XIM" >&5
+echo "configure:10424: checking for XIM" >&5
     
 echo $ac_n "checking for XOpenIM in -lX11""... $ac_c" 1>&6
-echo "configure:10424: checking for XOpenIM in -lX11" >&5
+echo "configure:10427: checking for XOpenIM in -lX11" >&5
 ac_lib_var=`echo X11'_'XOpenIM | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lX11 "
 cat > conftest.$ac_ext <<EOF
-#line 10429 "configure"
+#line 10432 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -10436,7 +10439,7 @@
 XOpenIM()
 ; return 0; }
 EOF
-if { (eval echo configure:10440: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:10443: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -10460,12 +10463,12 @@
             if test "$need_motif $have_lesstif" = "yes no"; then
       
 echo $ac_n "checking for XmImMbLookupString in -lXm""... $ac_c" 1>&6
-echo "configure:10464: checking for XmImMbLookupString in -lXm" >&5
+echo "configure:10467: checking for XmImMbLookupString in -lXm" >&5
 ac_lib_var=`echo Xm'_'XmImMbLookupString | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lXm "
 cat > conftest.$ac_ext <<EOF
-#line 10469 "configure"
+#line 10472 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -10476,7 +10479,7 @@
 XmImMbLookupString()
 ; return 0; }
 EOF
-if { (eval echo configure:10480: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:10483: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -10499,12 +10502,12 @@
     elif test "$have_motif $have_lesstif $with_xim" = "yes no no"; then
       
 echo $ac_n "checking for XmImMbLookupString in -lXm""... $ac_c" 1>&6
-echo "configure:10503: checking for XmImMbLookupString in -lXm" >&5
+echo "configure:10506: checking for XmImMbLookupString in -lXm" >&5
 ac_lib_var=`echo Xm'_'XmImMbLookupString | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lXm "
 cat > conftest.$ac_ext <<EOF
-#line 10508 "configure"
+#line 10511 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -10515,7 +10518,7 @@
 XmImMbLookupString()
 ; return 0; }
 EOF
-if { (eval echo configure:10519: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:10522: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -10580,15 +10583,15 @@
 
     if test "$with_xfs" = "yes" ; then
     echo "checking for XFontSet" 1>&6
-echo "configure:10584: checking for XFontSet" >&5
+echo "configure:10587: checking for XFontSet" >&5
     
 echo $ac_n "checking for XmbDrawString in -lX11""... $ac_c" 1>&6
-echo "configure:10587: checking for XmbDrawString in -lX11" >&5
+echo "configure:10590: checking for XmbDrawString in -lX11" >&5
 ac_lib_var=`echo X11'_'XmbDrawString | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lX11 "
 cat > conftest.$ac_ext <<EOF
-#line 10592 "configure"
+#line 10595 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -10599,7 +10602,7 @@
 XmbDrawString()
 ; return 0; }
 EOF
-if { (eval echo configure:10603: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:10606: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -10639,15 +10642,15 @@
     test "$with_wnn6" = "yes" && with_wnn=yes # wnn6 implies wnn support
   test -z "$with_wnn" && { ac_safe=`echo "wnn/jllib.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for wnn/jllib.h""... $ac_c" 1>&6
-echo "configure:10643: checking for wnn/jllib.h" >&5
+echo "configure:10646: checking for wnn/jllib.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 10646 "configure"
+#line 10649 "configure"
 #include "confdefs.h"
 #include <wnn/jllib.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:10651: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:10654: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -10670,15 +10673,15 @@
  }
     test -z "$with_wnn" && { ac_safe=`echo "wnn/commonhd.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for wnn/commonhd.h""... $ac_c" 1>&6
-echo "configure:10674: checking for wnn/commonhd.h" >&5
+echo "configure:10677: checking for wnn/commonhd.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 10677 "configure"
+#line 10680 "configure"
 #include "confdefs.h"
 #include <wnn/commonhd.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:10682: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:10685: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -10703,10 +10706,10 @@
     for ac_func in crypt
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:10707: checking for $ac_func" >&5
+echo "configure:10710: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 10710 "configure"
+#line 10713 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -10729,7 +10732,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:10733: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:10736: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -10758,12 +10761,12 @@
 
     test "$ac_cv_func_crypt" != "yes" && { 
 echo $ac_n "checking for crypt in -lcrypt""... $ac_c" 1>&6
-echo "configure:10762: checking for crypt in -lcrypt" >&5
+echo "configure:10765: checking for crypt in -lcrypt" >&5
 ac_lib_var=`echo crypt'_'crypt | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lcrypt "
 cat > conftest.$ac_ext <<EOF
-#line 10767 "configure"
+#line 10770 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -10774,7 +10777,7 @@
 crypt()
 ; return 0; }
 EOF
-if { (eval echo configure:10778: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:10781: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -10809,12 +10812,12 @@
     if test -z "$with_wnn" -o "$with_wnn" = "yes"; then
     
 echo $ac_n "checking for jl_dic_list_e in -lwnn""... $ac_c" 1>&6
-echo "configure:10813: checking for jl_dic_list_e in -lwnn" >&5
+echo "configure:10816: checking for jl_dic_list_e in -lwnn" >&5
 ac_lib_var=`echo wnn'_'jl_dic_list_e | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lwnn "
 cat > conftest.$ac_ext <<EOF
-#line 10818 "configure"
+#line 10821 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -10825,7 +10828,7 @@
 jl_dic_list_e()
 ; return 0; }
 EOF
-if { (eval echo configure:10829: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:10832: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -10843,12 +10846,12 @@
 else
   echo "$ac_t""no" 1>&6
 echo $ac_n "checking for jl_dic_list_e in -lwnn4""... $ac_c" 1>&6
-echo "configure:10847: checking for jl_dic_list_e in -lwnn4" >&5
+echo "configure:10850: checking for jl_dic_list_e in -lwnn4" >&5
 ac_lib_var=`echo wnn4'_'jl_dic_list_e | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lwnn4 "
 cat > conftest.$ac_ext <<EOF
-#line 10852 "configure"
+#line 10855 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -10859,7 +10862,7 @@
 jl_dic_list_e()
 ; return 0; }
 EOF
-if { (eval echo configure:10863: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:10866: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -10877,12 +10880,12 @@
 else
   echo "$ac_t""no" 1>&6
 echo $ac_n "checking for jl_dic_list_e in -lwnn6""... $ac_c" 1>&6
-echo "configure:10881: checking for jl_dic_list_e in -lwnn6" >&5
+echo "configure:10884: checking for jl_dic_list_e in -lwnn6" >&5
 ac_lib_var=`echo wnn6'_'jl_dic_list_e | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lwnn6 "
 cat > conftest.$ac_ext <<EOF
-#line 10886 "configure"
+#line 10889 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -10893,7 +10896,7 @@
 jl_dic_list_e()
 ; return 0; }
 EOF
-if { (eval echo configure:10897: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:10900: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -10911,12 +10914,12 @@
 else
   echo "$ac_t""no" 1>&6
 echo $ac_n "checking for dic_list_e in -lwnn6_fromsrc""... $ac_c" 1>&6
-echo "configure:10915: checking for dic_list_e in -lwnn6_fromsrc" >&5
+echo "configure:10918: checking for dic_list_e in -lwnn6_fromsrc" >&5
 ac_lib_var=`echo wnn6_fromsrc'_'dic_list_e | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lwnn6_fromsrc "
 cat > conftest.$ac_ext <<EOF
-#line 10920 "configure"
+#line 10923 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -10927,7 +10930,7 @@
 dic_list_e()
 ; return 0; }
 EOF
-if { (eval echo configure:10931: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:10934: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -10975,12 +10978,12 @@
     if test "$with_wnn6" != "no"; then
       
 echo $ac_n "checking for jl_fi_dic_list in -l$libwnn""... $ac_c" 1>&6
-echo "configure:10979: checking for jl_fi_dic_list in -l$libwnn" >&5
+echo "configure:10982: checking for jl_fi_dic_list in -l$libwnn" >&5
 ac_lib_var=`echo $libwnn'_'jl_fi_dic_list | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -l$libwnn "
 cat > conftest.$ac_ext <<EOF
-#line 10984 "configure"
+#line 10987 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -10991,7 +10994,7 @@
 jl_fi_dic_list()
 ; return 0; }
 EOF
-if { (eval echo configure:10995: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:10998: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -11026,15 +11029,15 @@
   if test "$with_canna" != "no"; then
     ac_safe=`echo "canna/jrkanji.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for canna/jrkanji.h""... $ac_c" 1>&6
-echo "configure:11030: checking for canna/jrkanji.h" >&5
+echo "configure:11033: checking for canna/jrkanji.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 11033 "configure"
+#line 11036 "configure"
 #include "confdefs.h"
 #include <canna/jrkanji.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:11038: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:11041: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -11061,15 +11064,15 @@
     c_switch_site="$c_switch_site -I/usr/local/canna/include"
     ac_safe=`echo "canna/jrkanji.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for canna/jrkanji.h""... $ac_c" 1>&6
-echo "configure:11065: checking for canna/jrkanji.h" >&5
+echo "configure:11068: checking for canna/jrkanji.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 11068 "configure"
+#line 11071 "configure"
 #include "confdefs.h"
 #include <canna/jrkanji.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:11073: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:11076: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -11097,15 +11100,15 @@
 
   test -z "$with_canna" && { ac_safe=`echo "canna/RK.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for canna/RK.h""... $ac_c" 1>&6
-echo "configure:11101: checking for canna/RK.h" >&5
+echo "configure:11104: checking for canna/RK.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 11104 "configure"
+#line 11107 "configure"
 #include "confdefs.h"
 #include <canna/RK.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:11109: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:11112: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -11128,12 +11131,12 @@
  }
   test -z "$with_canna" && { 
 echo $ac_n "checking for RkBgnBun in -lRKC""... $ac_c" 1>&6
-echo "configure:11132: checking for RkBgnBun in -lRKC" >&5
+echo "configure:11135: checking for RkBgnBun in -lRKC" >&5
 ac_lib_var=`echo RKC'_'RkBgnBun | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lRKC "
 cat > conftest.$ac_ext <<EOF
-#line 11137 "configure"
+#line 11140 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -11144,7 +11147,7 @@
 RkBgnBun()
 ; return 0; }
 EOF
-if { (eval echo configure:11148: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:11151: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -11167,12 +11170,12 @@
  }
   test -z "$with_canna" && { 
 echo $ac_n "checking for jrKanjiControl in -lcanna""... $ac_c" 1>&6
-echo "configure:11171: checking for jrKanjiControl in -lcanna" >&5
+echo "configure:11174: checking for jrKanjiControl in -lcanna" >&5
 ac_lib_var=`echo canna'_'jrKanjiControl | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lcanna "
 cat > conftest.$ac_ext <<EOF
-#line 11176 "configure"
+#line 11179 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -11183,7 +11186,7 @@
 jrKanjiControl()
 ; return 0; }
 EOF
-if { (eval echo configure:11187: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:11190: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -11232,12 +11235,12 @@
   libs_x="-lXm $libs_x" &&  if test "$extra_verbose" = "yes"; then echo "    Prepending \"-lXm\" to \$libs_x"; fi
     
 echo $ac_n "checking for layout_object_getvalue in -li18n""... $ac_c" 1>&6
-echo "configure:11236: checking for layout_object_getvalue in -li18n" >&5
+echo "configure:11239: checking for layout_object_getvalue in -li18n" >&5
 ac_lib_var=`echo i18n'_'layout_object_getvalue | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -li18n "
 cat > conftest.$ac_ext <<EOF
-#line 11241 "configure"
+#line 11244 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -11248,7 +11251,7 @@
 layout_object_getvalue()
 ; return 0; }
 EOF
-if { (eval echo configure:11252: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:11255: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -11335,10 +11338,10 @@
 for ac_func in cbrt closedir dup2 eaccess fmod fpathconf frexp ftime getaddrinfo gethostname getnameinfo getpagesize gettimeofday getcwd getwd logb lrand48 matherr mkdir mktime perror poll random rename res_init rint rmdir select setitimer setpgid setlocale setsid sigblock sighold sigprocmask snprintf stpcpy strerror tzset ulimit usleep waitpid vsnprintf fsync ftruncate umask
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:11339: checking for $ac_func" >&5
+echo "configure:11342: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 11342 "configure"
+#line 11345 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -11361,7 +11364,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:11365: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:11368: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -11402,10 +11405,10 @@
 for ac_func in getpt _getpty grantpt unlockpt ptsname killpg tcgetpgrp
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:11406: checking for $ac_func" >&5
+echo "configure:11409: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 11409 "configure"
+#line 11412 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -11428,7 +11431,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:11432: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:11435: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -11457,10 +11460,10 @@
 
 
 echo $ac_n "checking for openpty""... $ac_c" 1>&6
-echo "configure:11461: checking for openpty" >&5
+echo "configure:11464: checking for openpty" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 11464 "configure"
+#line 11467 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char openpty(); below.  */
@@ -11483,7 +11486,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:11487: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:11490: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_openpty=yes"
 else
@@ -11502,12 +11505,12 @@
 
   
 echo $ac_n "checking for openpty in -lutil""... $ac_c" 1>&6
-echo "configure:11506: checking for openpty in -lutil" >&5
+echo "configure:11509: checking for openpty in -lutil" >&5
 ac_lib_var=`echo util'_'openpty | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lutil "
 cat > conftest.$ac_ext <<EOF
-#line 11511 "configure"
+#line 11514 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -11518,7 +11521,7 @@
 openpty()
 ; return 0; }
 EOF
-if { (eval echo configure:11522: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:11525: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -11553,15 +11556,15 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:11557: checking for $ac_hdr" >&5
+echo "configure:11560: checking for $ac_hdr" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 11560 "configure"
+#line 11563 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:11565: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:11568: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -11597,15 +11600,15 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:11601: checking for $ac_hdr" >&5
+echo "configure:11604: checking for $ac_hdr" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 11604 "configure"
+#line 11607 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:11609: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:11612: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -11638,10 +11641,10 @@
   for ac_func in isastream
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:11642: checking for $ac_func" >&5
+echo "configure:11645: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 11645 "configure"
+#line 11648 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -11664,7 +11667,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:11668: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:11671: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -11695,15 +11698,15 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:11699: checking for $ac_hdr" >&5
+echo "configure:11702: checking for $ac_hdr" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 11702 "configure"
+#line 11705 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:11707: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:11710: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -11740,10 +11743,10 @@
 for ac_func in getloadavg
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:11744: checking for $ac_func" >&5
+echo "configure:11747: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 11747 "configure"
+#line 11750 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -11766,7 +11769,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:11770: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:11773: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -11799,15 +11802,15 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:11803: checking for $ac_hdr" >&5
+echo "configure:11806: checking for $ac_hdr" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 11806 "configure"
+#line 11809 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:11811: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:11814: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -11843,12 +11846,12 @@
 
     
 echo $ac_n "checking for kstat_open in -lkstat""... $ac_c" 1>&6
-echo "configure:11847: checking for kstat_open in -lkstat" >&5
+echo "configure:11850: checking for kstat_open in -lkstat" >&5
 ac_lib_var=`echo kstat'_'kstat_open | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lkstat "
 cat > conftest.$ac_ext <<EOF
-#line 11852 "configure"
+#line 11855 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -11859,7 +11862,7 @@
 kstat_open()
 ; return 0; }
 EOF
-if { (eval echo configure:11863: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:11866: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -11894,15 +11897,15 @@
 do
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:11898: checking for $ac_hdr" >&5
+echo "configure:11901: checking for $ac_hdr" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 11901 "configure"
+#line 11904 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:11906: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:11909: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -11934,12 +11937,12 @@
 
     
 echo $ac_n "checking for kvm_read in -lkvm""... $ac_c" 1>&6
-echo "configure:11938: checking for kvm_read in -lkvm" >&5
+echo "configure:11941: checking for kvm_read in -lkvm" >&5
 ac_lib_var=`echo kvm'_'kvm_read | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lkvm "
 cat > conftest.$ac_ext <<EOF
-#line 11943 "configure"
+#line 11946 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -11950,7 +11953,7 @@
 kvm_read()
 ; return 0; }
 EOF
-if { (eval echo configure:11954: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:11957: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -11984,16 +11987,16 @@
 fi
 
 echo $ac_n "checking whether netdb declares h_errno""... $ac_c" 1>&6
-echo "configure:11988: checking whether netdb declares h_errno" >&5
+echo "configure:11991: checking whether netdb declares h_errno" >&5
 cat > conftest.$ac_ext <<EOF
-#line 11990 "configure"
+#line 11993 "configure"
 #include "confdefs.h"
 #include <netdb.h>
 int main() {
 return h_errno;
 ; return 0; }
 EOF
-if { (eval echo configure:11997: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:12000: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
    { test "$extra_verbose" = "yes" && cat << \EOF
@@ -12013,16 +12016,16 @@
 rm -f conftest*
 
 echo $ac_n "checking for sigsetjmp""... $ac_c" 1>&6
-echo "configure:12017: checking for sigsetjmp" >&5
+echo "configure:12020: checking for sigsetjmp" >&5
 cat > conftest.$ac_ext <<EOF
-#line 12019 "configure"
+#line 12022 "configure"
 #include "confdefs.h"
 #include <setjmp.h>
 int main() {
 sigjmp_buf bar; sigsetjmp (bar, 0);
 ; return 0; }
 EOF
-if { (eval echo configure:12026: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:12029: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
    { test "$extra_verbose" = "yes" && cat << \EOF
@@ -12042,11 +12045,11 @@
 rm -f conftest*
 
 echo $ac_n "checking whether localtime caches TZ""... $ac_c" 1>&6
-echo "configure:12046: checking whether localtime caches TZ" >&5
+echo "configure:12049: checking whether localtime caches TZ" >&5
 
 if test "$ac_cv_func_tzset" = "yes"; then
 cat > conftest.$ac_ext <<EOF
-#line 12050 "configure"
+#line 12053 "configure"
 #include "confdefs.h"
 #include <time.h>
 #if STDC_HEADERS
@@ -12081,7 +12084,7 @@
   exit (0);
 }
 EOF
-if { (eval echo configure:12085: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:12088: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   emacs_cv_localtime_cache=no
 else
@@ -12111,9 +12114,9 @@
 
 if test "$HAVE_TIMEVAL" = "yes"; then
 echo $ac_n "checking whether gettimeofday accepts one or two arguments""... $ac_c" 1>&6
-echo "configure:12115: checking whether gettimeofday accepts one or two arguments" >&5
+echo "configure:12118: checking whether gettimeofday accepts one or two arguments" >&5
 cat > conftest.$ac_ext <<EOF
-#line 12117 "configure"
+#line 12120 "configure"
 #include "confdefs.h"
 
 #ifdef TIME_WITH_SYS_TIME
@@ -12134,7 +12137,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:12138: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:12141: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   echo "$ac_t""two" 1>&6
 else
@@ -12156,19 +12159,19 @@
 
 
 echo $ac_n "checking for inline""... $ac_c" 1>&6
-echo "configure:12160: checking for inline" >&5
+echo "configure:12163: checking for inline" >&5
 
 ac_cv_c_inline=no
 for ac_kw in inline __inline__ __inline; do
   cat > conftest.$ac_ext <<EOF
-#line 12165 "configure"
+#line 12168 "configure"
 #include "confdefs.h"
 
 int main() {
 } $ac_kw foo() {
 ; return 0; }
 EOF
-if { (eval echo configure:12172: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:12175: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_c_inline=$ac_kw; break
 else
@@ -12209,17 +12212,17 @@
   # The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
 # for constant arguments.  Useless!
 echo $ac_n "checking for working alloca.h""... $ac_c" 1>&6
-echo "configure:12213: checking for working alloca.h" >&5
+echo "configure:12216: checking for working alloca.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 12216 "configure"
+#line 12219 "configure"
 #include "confdefs.h"
 #include <alloca.h>
 int main() {
 char *p = alloca(2 * sizeof(int));
 ; return 0; }
 EOF
-if { (eval echo configure:12223: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:12226: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   ac_cv_header_alloca_h=yes
 else
@@ -12243,10 +12246,10 @@
 fi
 
 echo $ac_n "checking for alloca""... $ac_c" 1>&6
-echo "configure:12247: checking for alloca" >&5
+echo "configure:12250: checking for alloca" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 12250 "configure"
+#line 12253 "configure"
 #include "confdefs.h"
 
 #ifdef __GNUC__
@@ -12274,7 +12277,7 @@
 char *p = (char *) alloca(1);
 ; return 0; }
 EOF
-if { (eval echo configure:12278: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:12281: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   ac_cv_func_alloca_works=yes
 else
@@ -12313,10 +12316,10 @@
 
 
 echo $ac_n "checking whether alloca needs Cray hooks""... $ac_c" 1>&6
-echo "configure:12317: checking whether alloca needs Cray hooks" >&5
+echo "configure:12320: checking whether alloca needs Cray hooks" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 12320 "configure"
+#line 12323 "configure"
 #include "confdefs.h"
 #if defined(CRAY) && ! defined(CRAY2)
 webecray
@@ -12340,10 +12343,10 @@
 if test $ac_cv_os_cray = yes; then
 for ac_func in _getb67 GETB67 getb67; do
   echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:12344: checking for $ac_func" >&5
+echo "configure:12347: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 12347 "configure"
+#line 12350 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -12366,7 +12369,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:12370: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:12373: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -12396,10 +12399,10 @@
 fi
 
 echo $ac_n "checking stack direction for C alloca""... $ac_c" 1>&6
-echo "configure:12400: checking stack direction for C alloca" >&5
+echo "configure:12403: checking stack direction for C alloca" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 12403 "configure"
+#line 12406 "configure"
 #include "confdefs.h"
 find_stack_direction ()
 {
@@ -12418,7 +12421,7 @@
   exit (find_stack_direction() < 0);
 }
 EOF
-if { (eval echo configure:12422: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:12425: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ac_cv_c_stack_direction=1
 else
@@ -12448,15 +12451,15 @@
 
 ac_safe=`echo "vfork.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for vfork.h""... $ac_c" 1>&6
-echo "configure:12452: checking for vfork.h" >&5
+echo "configure:12455: checking for vfork.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 12455 "configure"
+#line 12458 "configure"
 #include "confdefs.h"
 #include <vfork.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:12460: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:12463: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -12484,10 +12487,10 @@
 fi
 
 echo $ac_n "checking for working vfork""... $ac_c" 1>&6
-echo "configure:12488: checking for working vfork" >&5
+echo "configure:12491: checking for working vfork" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 12491 "configure"
+#line 12494 "configure"
 #include "confdefs.h"
 /* Thanks to Paul Eggert for this test.  */
 #include <stdio.h>
@@ -12582,7 +12585,7 @@
   }
 }
 EOF
-if { (eval echo configure:12586: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:12589: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ac_cv_func_vfork_works=yes
 else
@@ -12608,10 +12611,10 @@
 
 
 echo $ac_n "checking for working strcoll""... $ac_c" 1>&6
-echo "configure:12612: checking for working strcoll" >&5
+echo "configure:12615: checking for working strcoll" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 12615 "configure"
+#line 12618 "configure"
 #include "confdefs.h"
 #include <string.h>
 main ()
@@ -12621,7 +12624,7 @@
 	strcoll ("123", "456") >= 0);
 }
 EOF
-if { (eval echo configure:12625: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:12628: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ac_cv_func_strcoll_works=yes
 else
@@ -12649,10 +12652,10 @@
 for ac_func in getpgrp
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:12653: checking for $ac_func" >&5
+echo "configure:12656: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 12656 "configure"
+#line 12659 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -12675,7 +12678,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:12679: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:12682: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -12703,10 +12706,10 @@
 done
 
 echo $ac_n "checking whether getpgrp takes no argument""... $ac_c" 1>&6
-echo "configure:12707: checking whether getpgrp takes no argument" >&5
+echo "configure:12710: checking whether getpgrp takes no argument" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 12710 "configure"
+#line 12713 "configure"
 #include "confdefs.h"
 
 /*
@@ -12761,7 +12764,7 @@
 }
 
 EOF
-if { (eval echo configure:12765: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:12768: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   ac_cv_func_getpgrp_void=yes
 else
@@ -12788,10 +12791,10 @@
 
 
 echo $ac_n "checking for working mmap""... $ac_c" 1>&6
-echo "configure:12792: checking for working mmap" >&5
+echo "configure:12795: checking for working mmap" >&5
 case "$opsys" in ultrix* ) have_mmap=no ;; *)
 cat > conftest.$ac_ext <<EOF
-#line 12795 "configure"
+#line 12798 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 #include <unistd.h>
@@ -12824,7 +12827,7 @@
   return 1;
 }
 EOF
-if { (eval echo configure:12828: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:12831: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   have_mmap=yes
 else
@@ -12853,9 +12856,9 @@
 if test "$rel_alloc $have_mmap" = "default yes"; then
   if test "$doug_lea_malloc" = "yes"; then
         echo $ac_n "checking for M_MMAP_THRESHOLD""... $ac_c" 1>&6
-echo "configure:12857: checking for M_MMAP_THRESHOLD" >&5
+echo "configure:12860: checking for M_MMAP_THRESHOLD" >&5
     cat > conftest.$ac_ext <<EOF
-#line 12859 "configure"
+#line 12862 "configure"
 #include "confdefs.h"
 #include <malloc.h>
 int main() {
@@ -12867,7 +12870,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:12871: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:12874: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   rel_alloc=no; echo "$ac_t""yes" 1>&6;
 else
@@ -12892,15 +12895,15 @@
 
 ac_safe=`echo "termios.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for termios.h""... $ac_c" 1>&6
-echo "configure:12896: checking for termios.h" >&5
+echo "configure:12899: checking for termios.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 12899 "configure"
+#line 12902 "configure"
 #include "confdefs.h"
 #include <termios.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:12904: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:12907: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -12943,15 +12946,15 @@
   echo "$ac_t""no" 1>&6
 ac_safe=`echo "termio.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for termio.h""... $ac_c" 1>&6
-echo "configure:12947: checking for termio.h" >&5
+echo "configure:12950: checking for termio.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 12950 "configure"
+#line 12953 "configure"
 #include "confdefs.h"
 #include <termio.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:12955: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:12958: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -12983,10 +12986,10 @@
 
 
 echo $ac_n "checking for socket""... $ac_c" 1>&6
-echo "configure:12987: checking for socket" >&5
+echo "configure:12990: checking for socket" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 12990 "configure"
+#line 12993 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char socket(); below.  */
@@ -13009,7 +13012,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:13013: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:13016: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_socket=yes"
 else
@@ -13024,15 +13027,15 @@
   echo "$ac_t""yes" 1>&6
   ac_safe=`echo "netinet/in.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for netinet/in.h""... $ac_c" 1>&6
-echo "configure:13028: checking for netinet/in.h" >&5
+echo "configure:13031: checking for netinet/in.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13031 "configure"
+#line 13034 "configure"
 #include "confdefs.h"
 #include <netinet/in.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:13036: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:13039: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -13049,15 +13052,15 @@
   echo "$ac_t""yes" 1>&6
   ac_safe=`echo "arpa/inet.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for arpa/inet.h""... $ac_c" 1>&6
-echo "configure:13053: checking for arpa/inet.h" >&5
+echo "configure:13056: checking for arpa/inet.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13056 "configure"
+#line 13059 "configure"
 #include "confdefs.h"
 #include <arpa/inet.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:13061: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:13064: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -13082,9 +13085,9 @@
 }
 
       echo $ac_n "checking "for sun_len member in struct sockaddr_un"""... $ac_c" 1>&6
-echo "configure:13086: checking "for sun_len member in struct sockaddr_un"" >&5
+echo "configure:13089: checking "for sun_len member in struct sockaddr_un"" >&5
       cat > conftest.$ac_ext <<EOF
-#line 13088 "configure"
+#line 13091 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -13095,7 +13098,7 @@
 static struct sockaddr_un x; x.sun_len = 1;
 ; return 0; }
 EOF
-if { (eval echo configure:13099: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:13102: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6; { test "$extra_verbose" = "yes" && cat << \EOF
     Defining HAVE_SOCKADDR_SUN_LEN
@@ -13113,9 +13116,9 @@
 fi
 rm -f conftest*
       echo $ac_n "checking "for ip_mreq struct in netinet/in.h"""... $ac_c" 1>&6
-echo "configure:13117: checking "for ip_mreq struct in netinet/in.h"" >&5
+echo "configure:13120: checking "for ip_mreq struct in netinet/in.h"" >&5
       cat > conftest.$ac_ext <<EOF
-#line 13119 "configure"
+#line 13122 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -13125,7 +13128,7 @@
 static struct ip_mreq x;
 ; return 0; }
 EOF
-if { (eval echo configure:13129: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:13132: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6; { test "$extra_verbose" = "yes" && cat << \EOF
     Defining HAVE_MULTICAST
@@ -13156,10 +13159,10 @@
 
 
 echo $ac_n "checking for msgget""... $ac_c" 1>&6
-echo "configure:13160: checking for msgget" >&5
+echo "configure:13163: checking for msgget" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13163 "configure"
+#line 13166 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char msgget(); below.  */
@@ -13182,7 +13185,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:13186: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:13189: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_msgget=yes"
 else
@@ -13197,15 +13200,15 @@
   echo "$ac_t""yes" 1>&6
   ac_safe=`echo "sys/ipc.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for sys/ipc.h""... $ac_c" 1>&6
-echo "configure:13201: checking for sys/ipc.h" >&5
+echo "configure:13204: checking for sys/ipc.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13204 "configure"
+#line 13207 "configure"
 #include "confdefs.h"
 #include <sys/ipc.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:13209: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:13212: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -13222,15 +13225,15 @@
   echo "$ac_t""yes" 1>&6
   ac_safe=`echo "sys/msg.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for sys/msg.h""... $ac_c" 1>&6
-echo "configure:13226: checking for sys/msg.h" >&5
+echo "configure:13229: checking for sys/msg.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13229 "configure"
+#line 13232 "configure"
 #include "confdefs.h"
 #include <sys/msg.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:13234: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:13237: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -13268,15 +13271,15 @@
 
 ac_safe=`echo "dirent.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for dirent.h""... $ac_c" 1>&6
-echo "configure:13272: checking for dirent.h" >&5
+echo "configure:13275: checking for dirent.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13275 "configure"
+#line 13278 "configure"
 #include "confdefs.h"
 #include <dirent.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:13280: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:13283: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -13303,15 +13306,15 @@
   echo "$ac_t""no" 1>&6
 ac_safe=`echo "sys/dir.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for sys/dir.h""... $ac_c" 1>&6
-echo "configure:13307: checking for sys/dir.h" >&5
+echo "configure:13310: checking for sys/dir.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13310 "configure"
+#line 13313 "configure"
 #include "confdefs.h"
 #include <sys/dir.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:13315: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:13318: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -13344,15 +13347,15 @@
 
 ac_safe=`echo "nlist.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for nlist.h""... $ac_c" 1>&6
-echo "configure:13348: checking for nlist.h" >&5
+echo "configure:13351: checking for nlist.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13351 "configure"
+#line 13354 "configure"
 #include "confdefs.h"
 #include <nlist.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:13356: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:13359: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -13382,22 +13385,22 @@
 
 
 echo "checking "for sound support"" 1>&6
-echo "configure:13386: checking "for sound support"" >&5
+echo "configure:13389: checking "for sound support"" >&5
 test -z "$with_native_sound" -a -n "$native_sound_lib" && with_native_sound=yes
 
 if test "$with_native_sound" != "no"; then
     if test -n "$native_sound_lib"; then
     ac_safe=`echo "multimedia/audio_device.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for multimedia/audio_device.h""... $ac_c" 1>&6
-echo "configure:13393: checking for multimedia/audio_device.h" >&5
+echo "configure:13396: checking for multimedia/audio_device.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13396 "configure"
+#line 13399 "configure"
 #include "confdefs.h"
 #include <multimedia/audio_device.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:13401: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:13404: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -13453,12 +13456,12 @@
       if test -z "$native_sound_lib"; then
         
 echo $ac_n "checking for ALopenport in -laudio""... $ac_c" 1>&6
-echo "configure:13457: checking for ALopenport in -laudio" >&5
+echo "configure:13460: checking for ALopenport in -laudio" >&5
 ac_lib_var=`echo audio'_'ALopenport | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -laudio "
 cat > conftest.$ac_ext <<EOF
-#line 13462 "configure"
+#line 13465 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -13469,7 +13472,7 @@
 ALopenport()
 ; return 0; }
 EOF
-if { (eval echo configure:13473: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:13476: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -13500,12 +13503,12 @@
       if test -z "$native_sound_lib"; then
 	
 echo $ac_n "checking for AOpenAudio in -lAlib""... $ac_c" 1>&6
-echo "configure:13504: checking for AOpenAudio in -lAlib" >&5
+echo "configure:13507: checking for AOpenAudio in -lAlib" >&5
 ac_lib_var=`echo Alib'_'AOpenAudio | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lAlib "
 cat > conftest.$ac_ext <<EOF
-#line 13509 "configure"
+#line 13512 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -13516,7 +13519,7 @@
 AOpenAudio()
 ; return 0; }
 EOF
-if { (eval echo configure:13520: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:13523: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -13561,15 +13564,15 @@
     for dir in "machine" "sys" "linux"; do
       ac_safe=`echo "${dir}/soundcard.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for ${dir}/soundcard.h""... $ac_c" 1>&6
-echo "configure:13565: checking for ${dir}/soundcard.h" >&5
+echo "configure:13568: checking for ${dir}/soundcard.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13568 "configure"
+#line 13571 "configure"
 #include "confdefs.h"
 #include <${dir}/soundcard.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:13573: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:13576: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -13623,15 +13626,15 @@
 if test "$with_nas_sound" != "no"; then
   ac_safe=`echo "audio/audiolib.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for audio/audiolib.h""... $ac_c" 1>&6
-echo "configure:13627: checking for audio/audiolib.h" >&5
+echo "configure:13630: checking for audio/audiolib.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13630 "configure"
+#line 13633 "configure"
 #include "confdefs.h"
 #include <audio/audiolib.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:13635: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:13638: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -13649,12 +13652,12 @@
   
     
 echo $ac_n "checking for AuOpenServer in -laudio""... $ac_c" 1>&6
-echo "configure:13653: checking for AuOpenServer in -laudio" >&5
+echo "configure:13656: checking for AuOpenServer in -laudio" >&5
 ac_lib_var=`echo audio'_'AuOpenServer | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -laudio "
 cat > conftest.$ac_ext <<EOF
-#line 13658 "configure"
+#line 13661 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -13665,7 +13668,7 @@
 AuOpenServer()
 ; return 0; }
 EOF
-if { (eval echo configure:13669: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:13672: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -13704,7 +13707,7 @@
  fi
     libs_x="-laudio $libs_x" &&  if test "$extra_verbose" = "yes"; then echo "    Prepending \"-laudio\" to \$libs_x"; fi
             cat > conftest.$ac_ext <<EOF
-#line 13708 "configure"
+#line 13711 "configure"
 #include "confdefs.h"
 #include <audio/Xtutil.h>
 EOF
@@ -13735,7 +13738,7 @@
   # Extract the first word of "esd-config", so it can be a program name with args.
 set dummy esd-config; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:13739: checking for $ac_word" >&5
+echo "configure:13742: checking for $ac_word" >&5
 
 if test -n "$have_esd_config"; then
   ac_cv_prog_have_esd_config="$have_esd_config" # Let the user override the test.
@@ -13764,10 +13767,10 @@
     c_switch_site="$c_switch_site `esd-config --cflags`" &&  if test "$extra_verbose" = "yes"; then echo "    Appending \"`esd-config --cflags`\" to \$c_switch_site"; fi
     LIBS="`esd-config --libs` $LIBS" &&  if test "$extra_verbose" = "yes"; then echo "    Prepending \"`esd-config --libs`\" to \$LIBS"; fi
     echo $ac_n "checking for esd_play_stream""... $ac_c" 1>&6
-echo "configure:13768: checking for esd_play_stream" >&5
+echo "configure:13771: checking for esd_play_stream" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13771 "configure"
+#line 13774 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char esd_play_stream(); below.  */
@@ -13790,7 +13793,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:13794: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:13797: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_esd_play_stream=yes"
 else
@@ -13841,7 +13844,7 @@
 
 if test "$with_tty" = "yes"  ; then
   echo "checking for TTY-related features" 1>&6
-echo "configure:13845: checking for TTY-related features" >&5
+echo "configure:13848: checking for TTY-related features" >&5
   { test "$extra_verbose" = "yes" && cat << \EOF
     Defining HAVE_TTY
 EOF
@@ -13857,12 +13860,12 @@
     if test -z "$with_ncurses"; then
     
 echo $ac_n "checking for tgetent in -lncurses""... $ac_c" 1>&6
-echo "configure:13861: checking for tgetent in -lncurses" >&5
+echo "configure:13864: checking for tgetent in -lncurses" >&5
 ac_lib_var=`echo ncurses'_'tgetent | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lncurses "
 cat > conftest.$ac_ext <<EOF
-#line 13866 "configure"
+#line 13869 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -13873,7 +13876,7 @@
 tgetent()
 ; return 0; }
 EOF
-if { (eval echo configure:13877: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:13880: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -13906,15 +13909,15 @@
 
     ac_safe=`echo "ncurses/curses.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for ncurses/curses.h""... $ac_c" 1>&6
-echo "configure:13910: checking for ncurses/curses.h" >&5
+echo "configure:13913: checking for ncurses/curses.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13913 "configure"
+#line 13916 "configure"
 #include "confdefs.h"
 #include <ncurses/curses.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:13918: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:13921: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -13936,15 +13939,15 @@
 
     ac_safe=`echo "ncurses/term.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for ncurses/term.h""... $ac_c" 1>&6
-echo "configure:13940: checking for ncurses/term.h" >&5
+echo "configure:13943: checking for ncurses/term.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13943 "configure"
+#line 13946 "configure"
 #include "confdefs.h"
 #include <ncurses/term.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:13948: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:13951: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -13974,15 +13977,15 @@
       c_switch_site="$c_switch_site -I/usr/include/ncurses"
       ac_safe=`echo "ncurses/curses.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for ncurses/curses.h""... $ac_c" 1>&6
-echo "configure:13978: checking for ncurses/curses.h" >&5
+echo "configure:13981: checking for ncurses/curses.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 13981 "configure"
+#line 13984 "configure"
 #include "confdefs.h"
 #include <ncurses/curses.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:13986: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:13989: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -14017,12 +14020,12 @@
 	for lib in curses termlib termcap; do
 	  
 echo $ac_n "checking for tgetent in -l$lib""... $ac_c" 1>&6
-echo "configure:14021: checking for tgetent in -l$lib" >&5
+echo "configure:14024: checking for tgetent in -l$lib" >&5
 ac_lib_var=`echo $lib'_'tgetent | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -l$lib "
 cat > conftest.$ac_ext <<EOF
-#line 14026 "configure"
+#line 14029 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -14033,7 +14036,7 @@
 tgetent()
 ; return 0; }
 EOF
-if { (eval echo configure:14037: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:14040: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -14058,12 +14061,12 @@
     else       if test -n "$libs_termcap" -a "$opsys" = "openbsd"; then
                                 
 echo $ac_n "checking for tgoto in -ltermcap""... $ac_c" 1>&6
-echo "configure:14062: checking for tgoto in -ltermcap" >&5
+echo "configure:14065: checking for tgoto in -ltermcap" >&5
 ac_lib_var=`echo termcap'_'tgoto | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -ltermcap "
 cat > conftest.$ac_ext <<EOF
-#line 14067 "configure"
+#line 14070 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -14074,7 +14077,7 @@
 tgoto()
 ; return 0; }
 EOF
-if { (eval echo configure:14078: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:14081: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -14119,12 +14122,12 @@
       else
 	
 echo $ac_n "checking for tgetent in -lcurses""... $ac_c" 1>&6
-echo "configure:14123: checking for tgetent in -lcurses" >&5
+echo "configure:14126: checking for tgetent in -lcurses" >&5
 ac_lib_var=`echo curses'_'tgetent | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lcurses "
 cat > conftest.$ac_ext <<EOF
-#line 14128 "configure"
+#line 14131 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -14135,7 +14138,7 @@
 tgetent()
 ; return 0; }
 EOF
-if { (eval echo configure:14139: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:14142: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -14153,12 +14156,12 @@
 else
   echo "$ac_t""no" 1>&6
 echo $ac_n "checking for tgetent in -ltermcap""... $ac_c" 1>&6
-echo "configure:14157: checking for tgetent in -ltermcap" >&5
+echo "configure:14160: checking for tgetent in -ltermcap" >&5
 ac_lib_var=`echo termcap'_'tgetent | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -ltermcap "
 cat > conftest.$ac_ext <<EOF
-#line 14162 "configure"
+#line 14165 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -14169,7 +14172,7 @@
 tgetent()
 ; return 0; }
 EOF
-if { (eval echo configure:14173: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:14176: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -14218,15 +14221,15 @@
     if test "$with_gpm" != "no"; then
     ac_safe=`echo "gpm.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for gpm.h""... $ac_c" 1>&6
-echo "configure:14222: checking for gpm.h" >&5
+echo "configure:14225: checking for gpm.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 14225 "configure"
+#line 14228 "configure"
 #include "confdefs.h"
 #include <gpm.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:14230: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:14233: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -14244,12 +14247,12 @@
   
       
 echo $ac_n "checking for Gpm_Open in -lgpm""... $ac_c" 1>&6
-echo "configure:14248: checking for Gpm_Open in -lgpm" >&5
+echo "configure:14251: checking for Gpm_Open in -lgpm" >&5
 ac_lib_var=`echo gpm'_'Gpm_Open | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lgpm "
 cat > conftest.$ac_ext <<EOF
-#line 14253 "configure"
+#line 14256 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -14260,7 +14263,7 @@
 Gpm_Open()
 ; return 0; }
 EOF
-if { (eval echo configure:14264: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:14267: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -14312,6 +14315,43 @@
     eval "with_${feature}=no"
   done
 fi 
+
+echo $ac_n "checking for main in -lossaudio""... $ac_c" 1>&6
+echo "configure:14321: checking for main in -lossaudio" >&5
+ac_lib_var=`echo ossaudio'_'main | sed 'y%./+-%__p_%'`
+
+xe_check_libs=" -lossaudio "
+cat > conftest.$ac_ext <<EOF
+#line 14326 "configure"
+#include "confdefs.h"
+
+int main() {
+main()
+; return 0; }
+EOF
+if { (eval echo configure:14333: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+xe_check_libs=""
+
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes" ; then
+  echo "$ac_t""yes" 1>&6
+  LIBOSSAUDIO=-lossaudio
+else
+  echo "$ac_t""no" 1>&6
+fi
+
+
+
+LIBS=""$LIBOSSAUDIO" $LIBS" &&  if test "$extra_verbose" = "yes"; then echo "    Prepending \""$LIBOSSAUDIO"\" to \$LIBS"; fi
+
 test "$with_x11" = "yes" -o "$with_tty" = "yes" -o "$need_event_unixoid" = "yes" && extra_objs="$extra_objs event-unixoid.o" &&  if test "$extra_verbose" = "yes"; then
    echo "    xemacs will be linked with \"event-unixoid.o\""
  fi
@@ -14319,20 +14359,20 @@
 
 test "$with_database_gdbm $with_database_dbm $with_database_berkdb" \
   != "no no no" && echo "checking for database support" 1>&6
-echo "configure:14323: checking for database support" >&5
+echo "configure:14363: checking for database support" >&5
 
 if test "$with_database_gdbm $with_database_dbm" != "no no"; then
   ac_safe=`echo "ndbm.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for ndbm.h""... $ac_c" 1>&6
-echo "configure:14328: checking for ndbm.h" >&5
+echo "configure:14368: checking for ndbm.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 14331 "configure"
+#line 14371 "configure"
 #include "confdefs.h"
 #include <ndbm.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:14336: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:14376: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -14362,12 +14402,12 @@
 if test "$with_database_gdbm" != "no"; then
   
 echo $ac_n "checking for dbm_open in -lgdbm""... $ac_c" 1>&6
-echo "configure:14366: checking for dbm_open in -lgdbm" >&5
+echo "configure:14406: checking for dbm_open in -lgdbm" >&5
 ac_lib_var=`echo gdbm'_'dbm_open | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lgdbm "
 cat > conftest.$ac_ext <<EOF
-#line 14371 "configure"
+#line 14411 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -14378,7 +14418,7 @@
 dbm_open()
 ; return 0; }
 EOF
-if { (eval echo configure:14382: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:14422: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -14406,10 +14446,10 @@
 
 if test "$with_database_dbm" != "no"; then
   echo $ac_n "checking for dbm_open""... $ac_c" 1>&6
-echo "configure:14410: checking for dbm_open" >&5
+echo "configure:14450: checking for dbm_open" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 14413 "configure"
+#line 14453 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char dbm_open(); below.  */
@@ -14432,7 +14472,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:14436: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:14476: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_dbm_open=yes"
 else
@@ -14451,12 +14491,12 @@
 
     
 echo $ac_n "checking for dbm_open in -ldbm""... $ac_c" 1>&6
-echo "configure:14455: checking for dbm_open in -ldbm" >&5
+echo "configure:14495: checking for dbm_open in -ldbm" >&5
 ac_lib_var=`echo dbm'_'dbm_open | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -ldbm "
 cat > conftest.$ac_ext <<EOF
-#line 14460 "configure"
+#line 14500 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -14467,7 +14507,7 @@
 dbm_open()
 ; return 0; }
 EOF
-if { (eval echo configure:14471: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:14511: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -14507,10 +14547,10 @@
 
 
 echo $ac_n "checking for u_int8_t""... $ac_c" 1>&6
-echo "configure:14511: checking for u_int8_t" >&5
+echo "configure:14551: checking for u_int8_t" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 14514 "configure"
+#line 14554 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -14551,10 +14591,10 @@
 
 fi
 echo $ac_n "checking for u_int16_t""... $ac_c" 1>&6
-echo "configure:14555: checking for u_int16_t" >&5
+echo "configure:14595: checking for u_int16_t" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 14558 "configure"
+#line 14598 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -14595,10 +14635,10 @@
 
 fi
 echo $ac_n "checking for u_int32_t""... $ac_c" 1>&6
-echo "configure:14599: checking for u_int32_t" >&5
+echo "configure:14639: checking for u_int32_t" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 14602 "configure"
+#line 14642 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -14639,10 +14679,10 @@
 
 fi
 echo $ac_n "checking for u_int64_t""... $ac_c" 1>&6
-echo "configure:14643: checking for u_int64_t" >&5
+echo "configure:14683: checking for u_int64_t" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 14646 "configure"
+#line 14686 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #if STDC_HEADERS
@@ -14685,12 +14725,12 @@
 
 if test "$with_database_berkdb" != "no"; then
   echo $ac_n "checking for Berkeley db.h""... $ac_c" 1>&6
-echo "configure:14689: checking for Berkeley db.h" >&5
+echo "configure:14729: checking for Berkeley db.h" >&5
   for header in "db/db.h" "db.h"; do
     case "$opsys" in
         *freebsd*)
     cat > conftest.$ac_ext <<EOF
-#line 14694 "configure"
+#line 14734 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -14706,7 +14746,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:14710: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:14750: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   db_h_file="$header"; break
 else
@@ -14717,7 +14757,7 @@
         ;;
         *)
     cat > conftest.$ac_ext <<EOF
-#line 14721 "configure"
+#line 14761 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -14747,7 +14787,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:14751: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:14791: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   db_h_file="$header"; break
 else
@@ -14765,9 +14805,9 @@
 
   if test "$with_database_berkdb" != "no"; then
     echo $ac_n "checking for Berkeley DB version""... $ac_c" 1>&6
-echo "configure:14769: checking for Berkeley DB version" >&5
+echo "configure:14809: checking for Berkeley DB version" >&5
     cat > conftest.$ac_ext <<EOF
-#line 14771 "configure"
+#line 14811 "configure"
 #include "confdefs.h"
 #include <$db_h_file>
 #if DB_VERSION_MAJOR > 1
@@ -14779,7 +14819,7 @@
   egrep "yes" >/dev/null 2>&1; then
   rm -rf conftest*
   cat > conftest.$ac_ext <<EOF
-#line 14783 "configure"
+#line 14823 "configure"
 #include "confdefs.h"
 #include <$db_h_file>
 #if DB_VERSION_MAJOR > 2
@@ -14806,10 +14846,10 @@
 rm -f conftest*
 
     echo $ac_n "checking for $dbfunc""... $ac_c" 1>&6
-echo "configure:14810: checking for $dbfunc" >&5
+echo "configure:14850: checking for $dbfunc" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 14813 "configure"
+#line 14853 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $dbfunc(); below.  */
@@ -14832,7 +14872,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:14836: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:14876: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$dbfunc=yes"
 else
@@ -14851,12 +14891,12 @@
 
     
 echo $ac_n "checking for $dbfunc in -ldb""... $ac_c" 1>&6
-echo "configure:14855: checking for $dbfunc in -ldb" >&5
+echo "configure:14895: checking for $dbfunc in -ldb" >&5
 ac_lib_var=`echo db'_'$dbfunc | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -ldb "
 cat > conftest.$ac_ext <<EOF
-#line 14860 "configure"
+#line 14900 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -14867,7 +14907,7 @@
 $dbfunc()
 ; return 0; }
 EOF
-if { (eval echo configure:14871: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:14911: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -14931,12 +14971,12 @@
 if test "$with_socks" = "yes"; then
   
 echo $ac_n "checking for SOCKSinit in -lsocks""... $ac_c" 1>&6
-echo "configure:14935: checking for SOCKSinit in -lsocks" >&5
+echo "configure:14975: checking for SOCKSinit in -lsocks" >&5
 ac_lib_var=`echo socks'_'SOCKSinit | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -lsocks "
 cat > conftest.$ac_ext <<EOF
-#line 14940 "configure"
+#line 14980 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -14947,7 +14987,7 @@
 SOCKSinit()
 ; return 0; }
 EOF
-if { (eval echo configure:14951: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:14991: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -15002,7 +15042,7 @@
 
 if test "$with_modules" != "no"; then
   echo "checking for module support" 1>&6
-echo "configure:15006: checking for module support" >&5
+echo "configure:15046: checking for module support" >&5
 
     if test "$with_msw" = "yes"; then
     have_dl=yes;
@@ -15018,15 +15058,15 @@
  ;;
       *)          ac_safe=`echo "dlfcn.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for dlfcn.h""... $ac_c" 1>&6
-echo "configure:15022: checking for dlfcn.h" >&5
+echo "configure:15062: checking for dlfcn.h" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 15025 "configure"
+#line 15065 "configure"
 #include "confdefs.h"
 #include <dlfcn.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:15030: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:15070: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -15043,16 +15083,16 @@
   echo "$ac_t""yes" 1>&6
   
            echo $ac_n "checking for dlopen in -lc""... $ac_c" 1>&6
-echo "configure:15047: checking for dlopen in -lc" >&5
+echo "configure:15087: checking for dlopen in -lc" >&5
            cat > conftest.$ac_ext <<EOF
-#line 15049 "configure"
+#line 15089 "configure"
 #include "confdefs.h"
 #include <dlfcn.h>
 int main() {
 	      dlopen ("", 0);
 ; return 0; }
 EOF
-if { (eval echo configure:15056: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:15096: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
    have_dl=yes 
 else
@@ -15061,18 +15101,18 @@
   rm -rf conftest*
   
                echo $ac_n "checking for dlopen in -ldl""... $ac_c" 1>&6
-echo "configure:15065: checking for dlopen in -ldl" >&5
+echo "configure:15105: checking for dlopen in -ldl" >&5
                ac_save_LIBS="$LIBS"
                LIBS="-ldl $LIBS"
                cat > conftest.$ac_ext <<EOF
-#line 15069 "configure"
+#line 15109 "configure"
 #include "confdefs.h"
 #include <dlfcn.h>
 int main() {
 	         dlopen ("", 0);
 ; return 0; }
 EOF
-if { (eval echo configure:15076: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:15116: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
    have_dl=yes 
 else
@@ -15101,12 +15141,12 @@
         else
            
 echo $ac_n "checking for shl_load in -ldld""... $ac_c" 1>&6
-echo "configure:15105: checking for shl_load in -ldld" >&5
+echo "configure:15145: checking for shl_load in -ldld" >&5
 ac_lib_var=`echo dld'_'shl_load | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -ldld "
 cat > conftest.$ac_ext <<EOF
-#line 15110 "configure"
+#line 15150 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -15117,7 +15157,7 @@
 shl_load()
 ; return 0; }
 EOF
-if { (eval echo configure:15121: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:15161: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -15144,12 +15184,12 @@
   echo "$ac_t""no" 1>&6
 
 echo $ac_n "checking for dld_init in -ldld""... $ac_c" 1>&6
-echo "configure:15148: checking for dld_init in -ldld" >&5
+echo "configure:15188: checking for dld_init in -ldld" >&5
 ac_lib_var=`echo dld'_'dld_init | sed 'y%./+-%__p_%'`
 
 xe_check_libs=" -ldld "
 cat > conftest.$ac_ext <<EOF
-#line 15153 "configure"
+#line 15193 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -15160,7 +15200,7 @@
 dld_init()
 ; return 0; }
 EOF
-if { (eval echo configure:15164: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:15204: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -15207,7 +15247,7 @@
 xealias=$internal_configuration
 
 echo "checking how to build dynamic libraries for ${xehost}" 1>&6
-echo "configure:15211: checking how to build dynamic libraries for ${xehost}" >&5
+echo "configure:15251: checking how to build dynamic libraries for ${xehost}" >&5
 # Transform *-*-linux* to *-*-linux-gnu*, to support old configure scripts.
 case "$xehost" in
 *-*-linux-gnu*) ;;
@@ -15235,9 +15275,9 @@
   XEGCC=yes
 else
   echo $ac_n "checking checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:15239: checking checking whether we are using GNU C" >&5
+echo "configure:15279: checking checking whether we are using GNU C" >&5
   cat > conftest.$ac_ext <<EOF
-#line 15241 "configure"
+#line 15281 "configure"
 #include "confdefs.h"
 
 #ifdef __GNUC__
@@ -15259,7 +15299,7 @@
 fi
 
 echo $ac_n "checking how to produce PIC code""... $ac_c" 1>&6
-echo "configure:15263: checking how to produce PIC code" >&5
+echo "configure:15303: checking how to produce PIC code" >&5
 wl=
 
 can_build_shared=yes
@@ -15360,18 +15400,18 @@
 
   # Check to make sure the dll_cflags actually works.
   echo $ac_n "checking if PIC flag ${dll_cflags} really works""... $ac_c" 1>&6
-echo "configure:15364: checking if PIC flag ${dll_cflags} really works" >&5
+echo "configure:15404: checking if PIC flag ${dll_cflags} really works" >&5
   save_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS $dll_cflags -DPIC"
   cat > conftest.$ac_ext <<EOF
-#line 15368 "configure"
+#line 15408 "configure"
 #include "confdefs.h"
 
 int main() {
 int x=0;
 ; return 0; }
 EOF
-if { (eval echo configure:15375: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:15415: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   
     # On HP-UX, the stripped-down bundled CC doesn't accept +Z, but also
@@ -15402,7 +15442,7 @@
 xldf=
 xcldf=
 echo $ac_n "checking if C compiler can produce shared libraries""... $ac_c" 1>&6
-echo "configure:15406: checking if C compiler can produce shared libraries" >&5
+echo "configure:15446: checking if C compiler can produce shared libraries" >&5
 if test "$XEGCC" = yes -o "$__ICC" = yes; then
   xcldf="-shared"
   xldf="-shared"
@@ -15453,14 +15493,14 @@
   xe_libs=
   ac_link='${CC-cc} -o conftest $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' 1>&5'
   cat > conftest.$ac_ext <<EOF
-#line 15457 "configure"
+#line 15497 "configure"
 #include "confdefs.h"
 
 int main() {
 int x=0;
 ; return 0; }
 EOF
-if { (eval echo configure:15464: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:15504: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   cc_produces_so=yes
 else
@@ -15485,7 +15525,7 @@
   if test "$XEGCC" = yes; then
     # Check if gcc -print-prog-name=ld gives a path.
     echo $ac_n "checking for ld used by GCC""... $ac_c" 1>&6
-echo "configure:15489: checking for ld used by GCC" >&5
+echo "configure:15529: checking for ld used by GCC" >&5
     ac_prog=`($CC -print-prog-name=ld) 2>&5`
     case "$ac_prog" in
     # Accept absolute paths.
@@ -15511,7 +15551,7 @@
     esac
   else
     echo $ac_n "checking for GNU ld""... $ac_c" 1>&6
-echo "configure:15515: checking for GNU ld" >&5
+echo "configure:15555: checking for GNU ld" >&5
   fi
 
   if test -z "$LTLD"; then
@@ -15549,7 +15589,7 @@
 
 # Check to see if it really is or isn't GNU ld.
 echo $ac_n "checking if the linker is GNU ld""... $ac_c" 1>&6
-echo "configure:15553: checking if the linker is GNU ld" >&5
+echo "configure:15593: checking if the linker is GNU ld" >&5
 # I'd rather use --version here, but apparently some GNU ld's only accept -v.
 if $LTLD -v 2>&1 </dev/null | egrep '(GNU|with BFD)' 1>&5; then
   xe_gnu_ld=yes
@@ -15577,7 +15617,7 @@
   # OK - only NOW do we futz about with ld.
   # See if the linker supports building shared libraries.
   echo $ac_n "checking whether the linker supports shared libraries""... $ac_c" 1>&6
-echo "configure:15581: checking whether the linker supports shared libraries" >&5
+echo "configure:15621: checking whether the linker supports shared libraries" >&5
   dll_ld=$CC
   dll_ldflags=$LDFLAGS
   ld_shlibs=yes
@@ -15788,10 +15828,10 @@
     for ac_func in dlerror _dlerror
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:15792: checking for $ac_func" >&5
+echo "configure:15832: checking for $ac_func" >&5
 
 cat > conftest.$ac_ext <<EOF
-#line 15795 "configure"
+#line 15835 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -15814,7 +15854,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:15818: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:15858: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -15853,11 +15893,11 @@
 fi
 
 cat > conftest.$ac_ext <<EOF
-#line 15857 "configure"
+#line 15897 "configure"
 #include "confdefs.h"
 int main(int c,char *v[]){return 0;}
 EOF
-if { (eval echo configure:15861: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
+if { (eval echo configure:15901: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit $?) 2>&5
 then
   :
 else
@@ -16918,6 +16958,7 @@
 s%@lwlib_objs@%$lwlib_objs%g
 s%@ALLOCA@%$ALLOCA%g
 s%@have_esd_config@%$have_esd_config%g
+s%@LIBOSSAUDIO@%$LIBOSSAUDIO%g
 s%@dll_ld@%$dll_ld%g
 s%@dll_cflags@%$dll_cflags%g
 s%@dll_ldflags@%$dll_ldflags%g
diff -r -u xemacs-21.4.23/configure.in xemacs-21.4.24/configure.in
--- xemacs-21.4.23/configure.in	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/configure.in	2015-03-25 07:25:33.000000000 -0400
@@ -1082,6 +1082,7 @@
 
 dnl Straightforward machine determination
 case "$canonical" in
+  arm-*-*	   ) machine=arm ;;
   sparc-*-*        ) machine=sparc ;;
   alpha*-*-*       ) machine=alpha ;;
   vax-*-*          ) machine=vax ;;
@@ -1160,10 +1161,10 @@
     case "$canonical" in
       i[[3-9]]86-*-netbsd*) machine=intel386 ;;
       hp300-*-netbsd* | amiga-*-netbsd* | sun3-*-netbsd* | mac68k-*-netbsd* | da30-*-netbsd* | m68k-*-netbsd* )
-                      dnl Yes, this is somewhat bogus.
-                      machine=hp9000s300 ;;
+                      machine=m68k ;;
       pc532-*-netbsd* | ns32k-*-netbsd* )  machine=ns32000 ;;
       pmax-*-netbsd*  | mips-*-netbsd*  )  machine=pmax ;;
+      alpha-*-netbsd* ) machine=alpha ;;
     esac
   ;;
 
@@ -1545,6 +1546,7 @@
       *-sysv5* )		opsys=sco7 ;;
       *-386bsd* )	        opsys=386bsd ;;
       *-freebsd* )		opsys=freebsd ;;
+      *-dragonfly* )		opsys=dragonfly ;;
       *-nextstep* )		opsys=nextstep ;;
       *-pc-cygwin* )		opsys=cygwin32 ;;
       *-pc-mingw* )		opsys=mingw32 ;
@@ -2245,7 +2247,7 @@
     decosf* | linux* | irix*) dash_r="-rpath " ;;
     *)
       dash_r=""
-      for try_dash_r in "-R" "-R " "-rpath "; do
+      for try_dash_r in "-Wl,-R" "-R" "-R " "-rpath "; do
         xe_check_libs="${try_dash_r}/no/such/file-or-directory"
         XE_PROTECT_LINKER_FLAGS(xe_check_libs)
         AC_TRY_LINK(, , dash_r="$try_dash_r")
@@ -4522,6 +4524,10 @@
   done
 fi dnl with_tty
 
+AC_CHECK_LIB(ossaudio, main, LIBOSSAUDIO=-lossaudio)
+AC_SUBST(LIBOSSAUDIO)
+XE_PREPEND("$LIBOSSAUDIO",LIBS)
+
 dnl Do we need event-unixoid.o ?
 dnl This is needed for X, or for TTY, or for MSWIN w/Cygwin select()
 dnl [but not Mingw MSWIN]
diff -r -u xemacs-21.4.23/lib-src/ChangeLog xemacs-21.4.24/lib-src/ChangeLog
--- xemacs-21.4.23/lib-src/ChangeLog	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/lib-src/ChangeLog	2015-03-25 07:25:33.000000000 -0400
@@ -1,3 +1,11 @@
+2015-03-24 Vin Shelton <acs@xemacs.org>
+
+	* XEmacs 21.4.24 is released
+
+2015-02-24  Vin Shelton  <acs@xemacs.org>
+
+	* vcdiff: Use mktemp.
+
 2015-01-29  Vin Shelton <acs@xemacs.org>
  
 	* XEmacs 21.4.23 is released
diff -r -u xemacs-21.4.23/lib-src/vcdiff xemacs-21.4.24/lib-src/vcdiff
--- xemacs-21.4.23/lib-src/vcdiff	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/lib-src/vcdiff	2015-03-25 07:25:33.000000000 -0400
@@ -79,14 +79,14 @@
 	case $f in
 	s.* | */s.*)
 		if
-			rev1=/tmp/geta$$
+			rev1=`mktemp /tmp/geta.XXXXXXXX`
 			get -s -p -k $sid1 "$f" > $rev1 &&
 			case $sid2 in
 			'')
 				workfile=`expr " /$f" : '.*/s.\(.*\)'`
 				;;
 			*)
-				rev2=/tmp/getb$$
+				rev2=`mktemp /tmp/getb.XXXXXXXX`
 				get -s -p -k $sid2 "$f" > $rev2
 				workfile=$rev2
 			esac
diff -r -u xemacs-21.4.23/lisp/ChangeLog xemacs-21.4.24/lisp/ChangeLog
--- xemacs-21.4.23/lisp/ChangeLog	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/lisp/ChangeLog	2015-03-25 07:25:33.000000000 -0400
@@ -1,3 +1,7 @@
+2015-03-24 Vin Shelton <acs@xemacs.org>
+
+	* XEmacs 21.4.24 is released
+
 2015-01-29  Vin Shelton <acs@xemacs.org>
  
 	* XEmacs 21.4.23 is released
diff -r -u xemacs-21.4.23/lwlib/ChangeLog xemacs-21.4.24/lwlib/ChangeLog
--- xemacs-21.4.23/lwlib/ChangeLog	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/lwlib/ChangeLog	2015-03-25 07:25:33.000000000 -0400
@@ -1,5 +1,14 @@
+2015-03-24 Vin Shelton <acs@xemacs.org>
+
+	* XEmacs 21.4.24 is released
+
+2015-02-13  Vin Shelton  <acs@xemacs.org>
+
+	* lwlib.h: Don't define XAW_INTERNATIONALIZATION here
+	* config.h.in: Define XAW_INTERNATIONALIZATION here
+
 2015-01-29  Vin Shelton <acs@xemacs.org>
- 
+
 	* XEmacs 21.4.23 is released
 
 2015-01-08  Vin Shelton  <acs@xemacs.org>
diff -r -u xemacs-21.4.23/lwlib/config.h.in xemacs-21.4.24/lwlib/config.h.in
--- xemacs-21.4.23/lwlib/config.h.in	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/lwlib/config.h.in	2015-03-25 07:25:33.000000000 -0400
@@ -43,4 +43,8 @@
 #undef ATHENA_AsciiText_h_
 #undef ATHENA_XawInit_h_
 
+#ifdef HAVE_ATHENA_I18N
+#define XAW_INTERNATIONALIZATION 1
+#endif
+
 #endif /* _LWLIB_CONFIG_H_ */
diff -r -u xemacs-21.4.23/lwlib/lwlib.h xemacs-21.4.24/lwlib/lwlib.h
--- xemacs-21.4.23/lwlib/lwlib.h	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/lwlib/lwlib.h	2015-03-25 07:25:33.000000000 -0400
@@ -3,10 +3,6 @@
 
 #include <X11/Intrinsic.h>
 
-#ifdef HAVE_ATHENA_I18N
-#define XAW_INTERNATIONALIZATION 1
-#endif
-
 #if defined (LWLIB_MENUBARS_LUCID) || defined (LWLIB_MENUBARS_MOTIF) || defined (LWLIB_MENUBARS_ATHENA)
 #define NEED_MENUBARS
 #endif
diff -r -u xemacs-21.4.23/man/ChangeLog xemacs-21.4.24/man/ChangeLog
--- xemacs-21.4.23/man/ChangeLog	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/ChangeLog	2015-03-25 07:25:33.000000000 -0400
@@ -1,5 +1,86 @@
+2015-03-24 Vin Shelton <acs@xemacs.org>
+
+	* XEmacs 21.4.24 is released
+
+2015-02-24  Vin Shelton  <acs@xemacs.org>
+
+	* emodules.texi:
+	* external-widget.texi:
+	* lispref/abbrevs.texi:
+	* lispref/annotations.texi:
+	* lispref/backups.texi:
+	* lispref/buffers.texi:
+	* lispref/building.texi:
+	* lispref/commands.texi:
+	* lispref/compile.texi:
+	* lispref/consoles-devices.texi:
+	* lispref/control.texi:
+	* lispref/databases.texi:
+	* lispref/debugging.texi:
+	* lispref/dialog.texi:
+	* lispref/display.texi:
+	* lispref/eval.texi:
+	* lispref/extents.texi:
+	* lispref/faces.texi:
+	* lispref/files.texi:
+	* lispref/frames.texi:
+	* lispref/functions.texi:
+	* lispref/glyphs.texi:
+	* lispref/gutter.texi:
+	* lispref/hash-tables.texi:
+	* lispref/help.texi:
+	* lispref/internationalization.texi:
+	* lispref/intro.texi:
+	* lispref/keymaps.texi:
+	* lispref/ldap.texi:
+	* lispref/lispref.texi:
+	* lispref/lists.texi:
+	* lispref/loading.texi:
+	* lispref/macros.texi:
+	* lispref/markers.texi:
+	* lispref/menus.texi:
+	* lispref/minibuf.texi:
+	* lispref/modes.texi:
+	* lispref/mule.texi:
+	* lispref/numbers.texi:
+	* lispref/objects.texi:
+	* lispref/os.texi:
+	* lispref/positions.texi:
+	* lispref/postgresql.texi:
+	* lispref/processes.texi:
+	* lispref/range-tables.texi:
+	* lispref/scrollbars.texi:
+	* lispref/searching.texi:
+	* lispref/sequences.texi:
+	* lispref/specifiers.texi:
+	* lispref/streams.texi:
+	* lispref/strings.texi:
+	* lispref/symbols.texi:
+	* lispref/syntax.texi:
+	* lispref/text.texi:
+	* lispref/tips.texi:
+	* lispref/toolbar.texi:
+	* lispref/tooltalk.texi:
+	* lispref/variables.texi:
+	* lispref/windows.texi:
+	* lispref/x-windows.texi:
+	* xemacs/custom.texi:
+	* xemacs/menus.texi:
+	* xemacs/programs.texi: Fix up warnings resulting from migration
+	to texinfo 5.2.
+
+2015-02-14  Vin Shelton  <acs@xemacs.org>
+
+	* custom.texi:
+	* info.texi:
+	* term.texi:
+	* widget.texi:
+	* lispref/edebug-inc.texi:
+	* lispref/packaging.texi: Now support texinfo version 5.2 (patch
+	from Jerry James and Volker Zell).
+
 2015-01-29  Vin Shelton <acs@xemacs.org>
- 
+
 	* XEmacs 21.4.23 is released
 
 2013-01-02  Vin Shelton  <acs@xemacs.org>
diff -r -u xemacs-21.4.23/man/custom.texi xemacs-21.4.24/man/custom.texi
--- xemacs-21.4.23/man/custom.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/custom.texi	2015-03-25 07:25:33.000000000 -0400
@@ -60,7 +60,7 @@
 
 @node Declaring Groups, Declaring Variables, Top, Top
 @comment  node-name,  next,  previous,  up
-@section Declaring Groups
+@chapter Declaring Groups
 
 Use @code{defgroup} to declare new customization groups.
 
@@ -92,7 +92,7 @@
 
 @node Declaring Variables, Declaring Faces, Declaring Groups, Top
 @comment  node-name,  next,  previous,  up
-@section Declaring Variables
+@chapter Declaring Variables
 
 Use @code{defcustom} to declare user editable variables.
 
@@ -176,7 +176,7 @@
 
 @node Declaring Faces, Usage for Package Authors, Declaring Variables, Top
 @comment  node-name,  next,  previous,  up
-@section Declaring Faces
+@chapter Declaring Faces
 
 Faces are declared with @code{defface}.
 
@@ -228,7 +228,7 @@
 
 @node Usage for Package Authors, Utilities, Declaring Faces, Top
 @comment  node-name,  next,  previous,  up
-@section Usage for Package Authors
+@chapter Usage for Package Authors
 
 The recommended usage for the author of a typical emacs lisp package is
 to create one group identifying the package, and make all user options
@@ -244,7 +244,7 @@
 
 @node  Utilities, The Init File, Usage for Package Authors, Top
 @comment  node-name,  next,  previous,  up
-@section Utilities
+@chapter Utilities
 
 These utilities can come in handy when adding customization support.
 
@@ -276,7 +276,7 @@
 
 @node The Init File, Wishlist, Utilities, Top
 @comment  node-name,  next,  previous,  up
-@section The Init File
+@chapter The Init File
 
 Customizations are saved to the file specified by @code{custom-file}, as
 calls to @code{custom-set-variables} and @code{custom-set-faces}.
@@ -299,7 +299,7 @@
 
 @node Wishlist,  , The Init File, Top
 @comment  node-name,  next,  previous,  up
-@section Wishlist
+@chapter Wishlist
 
 @itemize @bullet
 @item
diff -r -u xemacs-21.4.23/man/emodules.texi xemacs-21.4.24/man/emodules.texi
--- xemacs-21.4.23/man/emodules.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/emodules.texi	2015-03-25 07:25:33.000000000 -0400
@@ -3,6 +3,9 @@
 @c %**start of header
 @setfilename ../info/emodules.info
 @settitle Extending Emacs using C Modules
+@direntry
+* Emodules: (emodules).      XEmacs dynamically loadable module support.
+@end direntry
 @c %**end of header
 
 @c
diff -r -u xemacs-21.4.23/man/external-widget.texi xemacs-21.4.24/man/external-widget.texi
--- xemacs-21.4.23/man/external-widget.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/external-widget.texi	2015-03-25 07:25:33.000000000 -0400
@@ -4,7 +4,7 @@
 @ifinfo
 @dircategory XEmacs Editor
 @direntry
-* External Widget: (external-widget) External Client Widget.
+* External Widget: (external-widget). External Client Widget.
 @end direntry
 @end ifinfo
 
diff -r -u xemacs-21.4.23/man/info.texi xemacs-21.4.24/man/info.texi
--- xemacs-21.4.23/man/info.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/info.texi	2015-03-25 07:25:33.000000000 -0400
@@ -542,6 +542,10 @@
 
 @c If a menu appears at the end of this node, remove it.
 @c It is an accident of the menu updating command.
+@c Except now texinfo5 insists on one
+@menu
+* Help-Cross:: Cross reference section
+@end menu
 
 @node Help-Cross,  ,  , Help-Adv
 @subsection The node reached by the cross reference in Info
diff -r -u xemacs-21.4.23/man/lispref/abbrevs.texi xemacs-21.4.24/man/lispref/abbrevs.texi
--- xemacs-21.4.23/man/lispref/abbrevs.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/abbrevs.texi	2015-03-25 07:25:33.000000000 -0400
@@ -41,7 +41,7 @@
 * Standard Abbrev Tables::      Abbrev tables used by various major modes.
 @end menu
 
-@node Abbrev Mode
+@node Abbrev Mode, Abbrev Tables, Abbrevs, Abbrevs
 @section Setting Up Abbrev Mode
 
   Abbrev mode is a minor mode controlled by the value of the variable
@@ -61,7 +61,7 @@
 This is the same as @code{(default-value 'abbrev-mode)}.
 @end defvar
 
-@node Abbrev Tables
+@node Abbrev Tables, Defining Abbrevs, Abbrev Mode, Abbrevs
 @section Abbrev Tables
 
   This section describes how to create and manipulate abbrev tables.
@@ -100,7 +100,7 @@
 is currently defined.
 @end defun
 
-@node Defining Abbrevs
+@node Defining Abbrevs, Abbrev Files, Abbrev Tables, Abbrevs
 @section Defining Abbrevs
 
   These functions define an abbrev in a specified abbrev table.
@@ -147,7 +147,7 @@
 callers.
 @end defopt
 
-@node Abbrev Files
+@node Abbrev Files, Abbrev Expansion, Defining Abbrevs, Abbrevs
 @section Saving Abbrevs in Files
 
   A file of saved abbrev definitions is actually a file of Lisp code.
@@ -192,7 +192,7 @@
 define the same abbrevs.  This function returns @code{nil}.
 @end deffn
 
-@node Abbrev Expansion
+@node Abbrev Expansion, Standard Abbrev Tables, Abbrev Files, Abbrevs
 @section Looking Up and Expanding Abbreviations
 
   Abbrevs are usually expanded by commands for interactive use,
@@ -304,7 +304,7 @@
           (error "Not expanding this abbrev"))))
 @end smallexample
 
-@node Standard Abbrev Tables
+@node Standard Abbrev Tables,  , Abbrev Expansion, Abbrevs
 @section Standard Abbrev Tables
 
   Here we list the variables that hold the abbrev tables for the
diff -r -u xemacs-21.4.23/man/lispref/annotations.texi xemacs-21.4.24/man/lispref/annotations.texi
--- xemacs-21.4.23/man/lispref/annotations.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/annotations.texi	2015-03-25 07:25:33.000000000 -0400
@@ -4,7 +4,7 @@
 @c Copyright (C) 1995 Ben Wing.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/annotations.info
-@node Annotations, Display, Glyphs, top
+@node Annotations, Display, Glyphs, Top
 @chapter Annotations
 @cindex annotation
 
@@ -28,7 +28,7 @@
 				  annotation's lifetime.
 @end menu
 
-@node Annotation Basics
+@node Annotation Basics, Annotation Primitives, Annotations, Annotations
 @section Annotation Basics
 
 @cindex margin
@@ -119,7 +119,7 @@
 space to display in.
 
 
-@node Annotation Primitives
+@node Annotation Primitives, Annotation Properties, Annotation Basics, Annotations
 @section Annotation Primitives
 
 @defun make-annotation glyph &optional position layout buffer with-event d-glyph rightp
@@ -150,7 +150,7 @@
 @code{nil} otherwise.
 @end defun
 
-@node Annotation Properties
+@node Annotation Properties, Locating Annotations, Annotation Primitives, Annotations
 @section Annotation Properties
 
 @defun annotation-glyph annotation
@@ -246,7 +246,7 @@
 This function restores @var{annotation}'s glyph, making it visible.
 @end defun
 
-@node Locating Annotations
+@node Locating Annotations, Margin Primitives, Annotation Properties, Annotations
 @section Locating Annotations
 
 @defun annotations-in-region start end buffer
@@ -270,7 +270,7 @@
 existence.
 @end defun
 
-@node Margin Primitives
+@node Margin Primitives, Annotation Hooks, Locating Annotations, Annotations
 @section Margin Primitives
 @cindex margin width
 
@@ -320,7 +320,7 @@
 @code{Emacs.left-margin.foreground}; likewise for the right margin.
 
 
-@node Annotation Hooks
+@node Annotation Hooks,  , Margin Primitives, Annotations
 @section Annotation Hooks
 @cindex annotation hooks
 
diff -r -u xemacs-21.4.23/man/lispref/backups.texi xemacs-21.4.24/man/lispref/backups.texi
--- xemacs-21.4.23/man/lispref/backups.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/backups.texi	2015-03-25 07:25:33.000000000 -0400
@@ -18,7 +18,7 @@
 * Reverting::      @code{revert-buffer}, and how to customize what it does.
 @end menu
 
-@node Backup Files
+@node Backup Files, Auto-Saving, Backups and Auto-Saving, Backups and Auto-Saving
 @section Backup Files
 @cindex backup file
 
@@ -47,7 +47,7 @@
 * Backup Names::       How backup file names are computed; customization.
 @end menu
 
-@node Making Backups
+@node Making Backups, Rename or Copy, Backup Files, Backup Files
 @subsection Making Backup Files
 
 @defun backup-buffer
@@ -117,7 +117,7 @@
 @code{make-backup-files} instead.
 @end defvar
 
-@node Rename or Copy
+@node Rename or Copy, Numbered Backups, Making Backups, Backup Files
 @subsection Backup by Renaming or by Copying?
 @cindex backup files, how to make them
 
@@ -179,7 +179,7 @@
 non-@code{nil}.
 @end defvar
 
-@node Numbered Backups
+@node Numbered Backups, Backup Names, Rename or Copy, Backup Files
 @subsection Making and Deleting Numbered Backup Files
 
   If a file's name is @file{foo}, the names of its numbered backup
@@ -239,7 +239,7 @@
 file.  The default value is 2.
 @end defopt
 
-@node Backup Names
+@node Backup Names,  , Numbered Backups, Backup Files
 @subsection Naming Backup Files
 
   The functions in this section are documented mainly because you can
@@ -349,7 +349,7 @@
 automatically compare a file with its most recent backup.
 @end defun
 
-@node Auto-Saving
+@node Auto-Saving, Reverting, Backup Files, Backups and Auto-Saving
 @section Auto-Saving
 @cindex auto-saving
 
@@ -573,7 +573,7 @@
 name.
 @end defvar
 
-@node Reverting
+@node Reverting,  , Auto-Saving, Backups and Auto-Saving
 @section Reverting
 
   If you have made extensive changes to a file and then change your mind
diff -r -u xemacs-21.4.23/man/lispref/buffers.texi xemacs-21.4.24/man/lispref/buffers.texi
--- xemacs-21.4.23/man/lispref/buffers.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/buffers.texi	2015-03-25 07:25:33.000000000 -0400
@@ -31,7 +31,7 @@
 * Indirect Buffers::    An indirect buffer shares text with some other buffer.
 @end menu
 
-@node Buffer Basics
+@node Buffer Basics, Current Buffer, Buffers, Buffers
 @section Buffer Basics
 
 @ifinfo
@@ -75,7 +75,7 @@
 @code{nil} otherwise.
 @end defun
 
-@node Current Buffer
+@node Current Buffer, Buffer Names, Buffer Basics, Buffers
 @section The Current Buffer
 @cindex selecting a buffer
 @cindex changing to another buffer
@@ -199,7 +199,7 @@
 identified by @var{buffer-or-name}.
 @end defun
 
-@node Buffer Names
+@node Buffer Names, Buffer File Name, Current Buffer, Buffers
 @section Buffer Names
 @cindex buffer names
 
@@ -302,7 +302,7 @@
 Buffers}.
 @end defun
 
-@node Buffer File Name
+@node Buffer File Name, Buffer Modification, Buffer Names, Buffers
 @section Buffer File Name
 @cindex visited file
 @cindex buffer file name
@@ -413,7 +413,7 @@
 visited file name.  Dired buffers use this variable.
 @end defvar
 
-@node Buffer Modification
+@node Buffer Modification, Modification Time, Buffer File Name, Buffers
 @section Buffer Modification
 @cindex buffer modification
 @cindex modification flag (of buffer)
@@ -473,7 +473,7 @@
 @var{buffer} is @code{nil} (or omitted), the current buffer is used.
 @end defun
 
-@node Modification Time
+@node Modification Time, Read Only Buffers, Buffer Modification, Buffers
 @section Comparison of Modification Time
 @cindex comparison of modification time
 @cindex modification time, comparison of
@@ -553,7 +553,7 @@
 See also the file locking mechanism in @ref{File Locks}.
 @end defun
 
-@node Read Only Buffers
+@node Read Only Buffers, The Buffer List, Modification Time, Buffers
 @section Read-Only Buffers
 @cindex read-only buffer
 @cindex buffer, read-only
@@ -631,7 +631,7 @@
 checked.  See @code{extent-in-region-p} for a fuller discussion.
 @end defun
 
-@node The Buffer List
+@node The Buffer List, Creating Buffers, Read Only Buffers, Buffers
 @section The Buffer List
 @cindex buffer list
 
@@ -740,7 +740,7 @@
 @code{replace-buffer-in-windows}.  @xref{Buffers and Windows}.
 @end deffn
 
-@node Creating Buffers
+@node Creating Buffers, Killing Buffers, The Buffer List, Buffers
 @section Creating Buffers
 @cindex creating buffers
 @cindex buffers, creating
@@ -808,7 +808,7 @@
 Names}.
 @end defun
 
-@node Killing Buffers
+@node Killing Buffers, Indirect Buffers, Creating Buffers, Buffers
 @section Killing Buffers
 @cindex killing buffers
 @cindex buffers, killing
@@ -898,7 +898,7 @@
 when set for any reason.  @xref{Buffer-Local Variables}.
 @end defvar
 
-@node Indirect Buffers
+@node Indirect Buffers,  , Killing Buffers, Buffers
 @section Indirect Buffers
 @cindex indirect buffers
 @cindex base buffer
diff -r -u xemacs-21.4.23/man/lispref/building.texi xemacs-21.4.24/man/lispref/building.texi
--- xemacs-21.4.23/man/lispref/building.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/building.texi	2015-03-25 07:25:33.000000000 -0400
@@ -21,7 +21,7 @@
 * Garbage Collection::  Reclaiming space for Lisp objects no longer used.
 @end menu
 
-@node Building XEmacs
+@node Building XEmacs, Pure Storage, Building XEmacs and Object Allocation, Building XEmacs and Object Allocation
 @appendixsec Building XEmacs
 @cindex building XEmacs
 @pindex temacs
@@ -178,7 +178,7 @@
 20.1, the value is 1.
 @end defvar
 
-@node Pure Storage
+@node Pure Storage, Garbage Collection, Building XEmacs, Building XEmacs and Object Allocation
 @appendixsec Pure Storage
 @cindex pure storage
 
@@ -233,7 +233,7 @@
 You should not change this flag in a running XEmacs.
 @end defvar
 
-@node Garbage Collection
+@node Garbage Collection,  , Pure Storage, Building XEmacs and Object Allocation
 @appendixsec Garbage Collection
 @cindex garbage collector
 
diff -r -u xemacs-21.4.23/man/lispref/commands.texi xemacs-21.4.24/man/lispref/commands.texi
--- xemacs-21.4.23/man/lispref/commands.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/commands.texi	2015-03-25 07:25:33.000000000 -0400
@@ -30,7 +30,7 @@
 * Keyboard Macros::     How keyboard macros are implemented.
 @end menu
 
-@node Command Overview
+@node Command Overview, Defining Commands, Command Loop, Command Loop
 @section Command Loop Overview
 
   The command loop in XEmacs is a standard event loop, reading events
@@ -94,7 +94,7 @@
 these hooks, it terminates execution of the hook, but that is all it
 does.
 
-@node Defining Commands
+@node Defining Commands, Interactive Call, Command Overview, Command Loop
 @section Defining Commands
 @cindex defining commands
 @cindex commands, defining
@@ -114,7 +114,7 @@
 * Interactive Examples::  Examples of how to read interactive arguments.
 @end menu
 
-@node Using Interactive
+@node Using Interactive, Interactive Codes, Defining Commands, Defining Commands
 @subsection Using @code{interactive}
 
   This section describes how to write the @code{interactive} form that
@@ -246,7 +246,7 @@
 @var{function} is not interactive, @code{nil} will be returned.
 @end defun
 
-@node Interactive Codes
+@node Interactive Codes, Interactive Examples, Using Interactive, Defining Commands
 @subsection Code Characters for @code{interactive}
 @cindex interactive code description
 @cindex description for interactive codes
@@ -426,7 +426,7 @@
 value becomes the argument for the command.  Prompt.
 @end table
 
-@node Interactive Examples
+@node Interactive Examples,  , Interactive Codes, Defining Commands
 @subsection Examples of Using @code{interactive}
 @cindex examples of using @code{interactive}
 @cindex @code{interactive}, examples of using
@@ -476,7 +476,7 @@
 @end group
 @end example
 
-@node Interactive Call
+@node Interactive Call, Command Loop Info, Defining Commands, Command Loop
 @section Interactive Call
 @cindex interactive call
 
@@ -628,7 +628,7 @@
 @end example
 @end defun
 
-@node Command Loop Info
+@node Command Loop Info, Events, Interactive Call, Command Loop
 @section Information from the Command Loop
 
 The editor command loop sets several Lisp variables to keep status
@@ -771,7 +771,7 @@
 If the value is zero, then command input is not echoed.
 @end defvar
 
-@node Events
+@node Events, Reading Input, Command Loop Info, Command Loop
 @section Events
 @cindex events
 @cindex input events
@@ -809,7 +809,7 @@
 				  characters.
 @end menu
 
-@node Event Types
+@node Event Types, Event Contents, Events, Events
 @subsection Event Types
 
 Events represent keyboard or mouse activity or status changes of various
@@ -856,7 +856,7 @@
 @code{dispatch-event}.  @xref{Dispatching an Event}.
 @end table
 
-@node Event Contents
+@node Event Contents, Event Predicates, Event Types, Events
 @subsection Contents of the Different Types of Events
 
   Every event, no matter what type it is, contains a timestamp (which is
@@ -999,7 +999,7 @@
 @end table
 @end defun
 
-@node Event Predicates
+@node Event Predicates, Accessing Mouse Event Positions, Event Contents, Events
 @subsection Event Predicates
 
 The following predicates return whether an object is an event of a
@@ -1051,7 +1051,7 @@
 This is true if @var{object} is any event that has not been deallocated.
 @end defun
 
-@node Accessing Mouse Event Positions
+@node Accessing Mouse Event Positions, Accessing Other Event Info, Event Predicates, Events
 @subsection Accessing the Position of a Mouse Event
 
 Unlike other events, mouse events (i.e. motion, button-press,
@@ -1069,7 +1069,7 @@
 * Other Event Position Info::
 @end menu
 
-@node Frame-Level Event Position Info
+@node Frame-Level Event Position Info, Window-Level Event Position Info, Accessing Mouse Event Positions, Accessing Mouse Event Positions
 @subsubsection Frame-Level Event Position Info
 
 The following functions return frame-level information about where
@@ -1093,7 +1093,7 @@
 This will signal an error if the event is not a mouse event.
 @end defun
 
-@node Window-Level Event Position Info
+@node Window-Level Event Position Info, Event Text Position Info, Frame-Level Event Position Info, Accessing Mouse Event Positions
 @subsubsection Window-Level Event Position Info
 
 The following functions return window-level information about where
@@ -1129,7 +1129,7 @@
 button-release, or misc-user event.
 @end defun
 
-@node Event Text Position Info
+@node Event Text Position Info, Event Glyph Position Info, Window-Level Event Position Info, Accessing Mouse Event Positions
 @subsubsection Event Text Position Info
 
 The following functions return information about the text (including the
@@ -1181,7 +1181,7 @@
 it is below a window, the value of @code{(window-end)} is returned.
 @end defun
 
-@node Event Glyph Position Info
+@node Event Glyph Position Info, Event Toolbar Position Info, Event Text Position Info, Accessing Mouse Event Positions
 @subsubsection Event Glyph Position Info
 
 The following functions return information about the glyph (if any) that
@@ -1212,7 +1212,7 @@
 @code{nil}.
 @end defun
 
-@node Event Toolbar Position Info
+@node Event Toolbar Position Info, Other Event Position Info, Event Glyph Position Info, Accessing Mouse Event Positions
 @subsubsection Event Toolbar Position Info
 
 @defun event-over-toolbar-p event
@@ -1227,7 +1227,7 @@
 Otherwise, @code{nil} is returned.
 @end defun
 
-@node Other Event Position Info
+@node Other Event Position Info,  , Event Toolbar Position Info, Accessing Mouse Event Positions
 @subsubsection Other Event Position Info
 
 @defun event-over-border-p event
@@ -1236,7 +1236,7 @@
 Otherwise, @code{nil} is returned.
 @end defun
 
-@node Accessing Other Event Info
+@node Accessing Other Event Info, Working With Events, Accessing Mouse Event Positions, Events
 @subsection Accessing the Other Contents of Events
 
 The following functions allow access to the contents of events other than
@@ -1284,7 +1284,7 @@
 This function returns the process of the given process event.
 @end defun
 
-@node Working With Events
+@node Working With Events, Converting Events, Accessing Other Event Info, Events
 @subsection Working With Events
 
 XEmacs provides primitives for creating, copying, and destroying event
@@ -1446,7 +1446,7 @@
 it is safe to do so.
 @end defun
 
-@node Converting Events
+@node Converting Events,  , Working With Events, Events
 @subsection Converting Events
 
 XEmacs provides some auxiliary functions for converting between events
@@ -1518,7 +1518,7 @@
 Optional arg @var{no-mice} means that button events are not allowed.
 @end defun
 
-@node Reading Input
+@node Reading Input, Waiting, Events, Command Loop
 @section Reading Input
 
   The editor command loop reads keyboard input using the function
@@ -1540,7 +1540,7 @@
 * Peeking and Discarding::    	How to reread or throw away input events.
 @end menu
 
-@node Key Sequence Input
+@node Key Sequence Input, Reading One Event, Reading Input, Reading Input
 @subsection Key Sequence Input
 @cindex key sequence input
 
@@ -1614,7 +1614,7 @@
 converts the character to lower case.  Note that @code{lookup-key} does
 not perform case conversion in this way.
 
-@node Reading One Event
+@node Reading One Event, Dispatching an Event, Key Sequence Input, Reading Input
 @subsection Reading One Event
 
   The lowest level functions for command input are those which read a
@@ -1685,7 +1685,7 @@
 eval event will be the next event read after all pending events.
 @end defun
 
-@node Dispatching an Event
+@node Dispatching an Event, Quoted Character Input, Reading One Event, Reading Input
 @subsection Dispatching an Event
 @cindex dispatching an event
 
@@ -1696,7 +1696,7 @@
 (such as Expose events).
 @end defun
 
-@node Quoted Character Input
+@node Quoted Character Input, Peeking and Discarding, Dispatching an Event, Reading Input
 @subsection Quoted Character Input
 @cindex quoted character input
 
@@ -1738,7 +1738,7 @@
 @end defun
 
 @need 2000
-@node Peeking and Discarding
+@node Peeking and Discarding,  , Quoted Character Input, Reading Input
 @subsection Miscellaneous Event Input Features
 
 This section describes how to ``peek ahead'' at events without using
@@ -1852,7 +1852,7 @@
 @end example
 @end defun
 
-@node Waiting
+@node Waiting, Quitting, Reading Input, Command Loop
 @section Waiting for Elapsed Time or Input
 @cindex pausing
 @cindex waiting
@@ -1921,7 +1921,7 @@
 
   @xref{Time of Day}, for functions to get the current time.
 
-@node Quitting
+@node Quitting, Prefix Command Arguments, Waiting, Command Loop
 @section Quitting
 @cindex @kbd{C-g}
 @cindex quitting
@@ -2021,7 +2021,7 @@
   You can specify a character other than @kbd{C-g} to use for quitting.
 See the function @code{set-input-mode} in @ref{Terminal Input}.
 
-@node Prefix Command Arguments
+@node Prefix Command Arguments, Recursive Editing, Quitting, Command Loop
 @section Prefix Command Arguments
 @cindex prefix argument
 @cindex raw prefix argument
@@ -2163,7 +2163,7 @@
 call this command yourself unless you know what you are doing.
 @end deffn
 
-@node Recursive Editing
+@node Recursive Editing, Disabling Commands, Prefix Command Arguments, Command Loop
 @section Recursive Editing
 @cindex recursive command loop
 @cindex recursive editing level
@@ -2277,7 +2277,7 @@
 recursive edit is active, it returns 0.
 @end defun
 
-@node Disabling Commands
+@node Disabling Commands, Command History, Recursive Editing, Command Loop
 @section Disabling Commands
 @cindex disabled command
 
@@ -2335,7 +2335,7 @@
 the user whether to proceed.
 @end defvar
 
-@node Command History
+@node Command History, Keyboard Macros, Disabling Commands, Command Loop
 @section Command History
 @cindex command history
 @cindex complex command
@@ -2379,7 +2379,7 @@
 minibuffer, the history commands used are the same ones available in any
 minibuffer.
 
-@node Keyboard Macros
+@node Keyboard Macros,  , Command History, Command Loop
 @section Keyboard Macros
 @cindex keyboard macros
 
diff -r -u xemacs-21.4.23/man/lispref/compile.texi xemacs-21.4.24/man/lispref/compile.texi
--- xemacs-21.4.23/man/lispref/compile.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/compile.texi	2015-03-25 07:25:33.000000000 -0400
@@ -50,7 +50,7 @@
 * Different Behavior::          When compiled code gives different results.
 @end menu
 
-@node Speed of Byte-Code
+@node Speed of Byte-Code, Compilation Functions, Byte Compilation, Byte Compilation
 @section Performance of Byte-Compiled Code
 
   A byte-compiled function is not as efficient as a primitive function
@@ -95,7 +95,7 @@
 whereas the byte-compiled code required 6 seconds.  These results are
 representative, but actual results will vary greatly.
 
-@node Compilation Functions
+@node Compilation Functions, Compilation Options, Speed of Byte-Code, Byte Compilation
 @comment  node-name,  next,  previous,  up
 @section The Compilation Functions
 @cindex compilation functions
@@ -282,7 +282,7 @@
 code without an associated argument list.
 @end defun
 
-@node Compilation Options
+@node Compilation Options, Docs and Compilation, Compilation Functions, Byte Compilation
 @section Options for the Byte Compiler
 @cindex compilation options
 
@@ -563,7 +563,7 @@
 @end example
 @end defun
 
-@node Docs and Compilation
+@node Docs and Compilation, Dynamic Loading, Compilation Options, Byte Compilation
 @section Documentation Strings and Compilation
 @cindex dynamic loading of documentation
 
@@ -626,7 +626,7 @@
 @samp{#$} construct, which stands for ``the name of this file, as a
 string.''  It is best not to use these constructs in Lisp source files.
 
-@node Dynamic Loading
+@node Dynamic Loading, Eval During Compile, Docs and Compilation, Byte Compilation
 @section Dynamic Loading of Individual Functions
 
 @cindex dynamic loading of functions
@@ -685,7 +685,7 @@
 @var{function} may be a compiled-function object or a function name.
 @end defun
 
-@node Eval During Compile
+@node Eval During Compile, Compiled-Function Objects, Dynamic Loading, Byte Compilation
 @section Evaluation During Compilation
 
   These features permit you to write code to be evaluated during
@@ -714,7 +714,7 @@
 @code{eval-when-compile} does.
 @end defspec
 
-@node Compiled-Function Objects
+@node Compiled-Function Objects, Disassembly, Eval During Compile, Byte Compilation
 @section Compiled-Function Objects
 @cindex compiled function
 @cindex byte-code function
@@ -842,7 +842,7 @@
 @xref{Domain Specification}.
 @end defun
 
-@node Disassembly
+@node Disassembly, Different Behavior, Compiled-Function Objects, Byte Compilation
 @section Disassembled Byte-Code
 @cindex disassembled byte-code
 
@@ -1075,7 +1075,7 @@
 @end example
 
 
-@node Different Behavior
+@node Different Behavior,  , Disassembly, Byte Compilation
 @section Different Behavior
 
 The intent is that compiled byte-code and the corresponding code
diff -r -u xemacs-21.4.23/man/lispref/consoles-devices.texi xemacs-21.4.24/man/lispref/consoles-devices.texi
--- xemacs-21.4.23/man/lispref/consoles-devices.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/consoles-devices.texi	2015-03-25 07:25:33.000000000 -0400
@@ -3,7 +3,7 @@
 @c Copyright (C) 1995, 1996 Ben Wing.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/consoles-devices.info
-@node Consoles and Devices, Positions, Frames, top
+@node Consoles and Devices, Positions, Frames, Top
 @chapter Consoles and Devices
 @cindex devices
 @cindex consoles
diff -r -u xemacs-21.4.23/man/lispref/control.texi xemacs-21.4.24/man/lispref/control.texi
--- xemacs-21.4.23/man/lispref/control.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/control.texi	2015-03-25 07:25:33.000000000 -0400
@@ -41,7 +41,7 @@
 * Nonlocal Exits::         Jumping out of a sequence.
 @end menu
 
-@node Sequencing
+@node Sequencing, Conditionals, Control Structures, Control Structures
 @section Sequencing
 
   Evaluating forms in the order they appear is the most common way
@@ -138,7 +138,7 @@
 @end example
 @end defspec
 
-@node Conditionals
+@node Conditionals, Combining Conditions, Sequencing, Control Structures
 @section Conditionals
 @cindex conditional evaluation
 
@@ -253,7 +253,7 @@
 @end group
 @end example
 
-@node Combining Conditions
+@node Combining Conditions, Iteration, Conditionals, Control Structures
 @section Constructs for Combining Conditions
 
   This section describes three constructs that are often used together
@@ -371,7 +371,7 @@
 @var{arg3})} never evaluates any argument more than once.
 @end defspec
 
-@node Iteration
+@node Iteration, Nonlocal Exits, Combining Conditions, Control Structures
 @section Iteration
 @cindex iteration
 @cindex recursion
@@ -429,7 +429,7 @@
 just the end test (which also does the real work of moving point).
 @end defspec
 
-@node Nonlocal Exits
+@node Nonlocal Exits,  , Iteration, Control Structures
 @section Nonlocal Exits
 @cindex nonlocal exits
 
@@ -446,7 +446,7 @@
 * Cleanups::            Arranging to run a cleanup form if an error happens.
 @end menu
 
-@node Catch and Throw
+@node Catch and Throw, Examples of Catch, Nonlocal Exits, Nonlocal Exits
 @subsection Explicit Nonlocal Exits: @code{catch} and @code{throw}
 
   Most control constructs affect only the flow of control within the
@@ -539,7 +539,7 @@
 error is signaled with data @code{(@var{tag} @var{value})}.
 @end defun
 
-@node Examples of Catch
+@node Examples of Catch, Errors, Catch and Throw, Nonlocal Exits
 @subsection Examples of @code{catch} and @code{throw}
 
   One way to use @code{catch} and @code{throw} is to exit from a doubly
@@ -621,7 +621,7 @@
 @code{yes}.  The function @code{print} is never called, and the
 body-form @code{'no} is never evaluated.
 
-@node Errors
+@node Errors, Cleanups, Examples of Catch, Nonlocal Exits
 @subsection Errors
 @cindex errors
 
@@ -654,7 +654,7 @@
 * Error Symbols::         How errors are classified for trapping them.
 @end menu
 
-@node Signaling Errors
+@node Signaling Errors, Processing of Errors, Errors, Errors
 @subsubsection How to Signal an Error
 @cindex signaling errors
 
@@ -895,7 +895,7 @@
 @end example
 @end defmac
 
-@node Processing of Errors
+@node Processing of Errors, Handling Errors, Signaling Errors, Errors
 @subsubsection How XEmacs Processes Errors
 
 When an error is signaled, @code{signal} searches for an active
@@ -941,7 +941,7 @@
 in the environment of the error, so that you can examine values of
 variables precisely as they were at the time of the error.
 
-@node Handling Errors
+@node Handling Errors, Error Symbols, Processing of Errors, Errors
 @subsubsection Writing Code to Handle Errors
 @cindex error handler
 @cindex handling errors
@@ -1131,7 +1131,7 @@
 @end group
 @end smallexample
 
-@node Error Symbols
+@node Error Symbols,  , Handling Errors, Errors
 @subsubsection Error Symbols and Condition Names
 @cindex error symbol
 @cindex error name
@@ -1237,7 +1237,7 @@
   @xref{Standard Errors}, for a list of all the standard error symbols
 and their conditions.
 
-@node Cleanups
+@node Cleanups,  , Errors, Nonlocal Exits
 @subsection Cleaning Up from Nonlocal Exits
 
   The @code{unwind-protect} construct is essential whenever you
diff -r -u xemacs-21.4.23/man/lispref/databases.texi xemacs-21.4.24/man/lispref/databases.texi
--- xemacs-21.4.23/man/lispref/databases.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/databases.texi	2015-03-25 07:25:33.000000000 -0400
@@ -3,7 +3,7 @@
 @c Copyright (C) 1996 Ben Wing.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/databases.info
-@node Databases, Processes, Range Tables, top
+@node Databases, Processes, Range Tables, Top
 @chapter Databases
 @cindex database
 
diff -r -u xemacs-21.4.23/man/lispref/debugging.texi xemacs-21.4.24/man/lispref/debugging.texi
--- xemacs-21.4.23/man/lispref/debugging.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/debugging.texi	2015-03-25 07:25:33.000000000 -0400
@@ -39,7 +39,7 @@
   For debugging problems in terminal descriptions, the
 @code{open-termscript} function can be useful.  @xref{Terminal Output}.
 
-@node Debugger
+@node Debugger, Syntax Errors, Debugging, Debugging
 @section The Lisp Debugger
 @cindex debugger
 @cindex Lisp debugger
@@ -64,7 +64,7 @@
 * Internals of Debugger:: Subroutines of the debugger, and global variables.
 @end menu
 
-@node Error Debugging
+@node Error Debugging, Infinite Loops, Debugger, Debugger
 @subsection Entering the Debugger on an Error
 @cindex error debugging
 @cindex debugging errors
@@ -130,7 +130,7 @@
           '(lambda () (setq debug-on-error t)))
 @end example
 
-@node Infinite Loops
+@node Infinite Loops, Function Debugging, Error Debugging, Debugger
 @subsection Debugging Infinite Loops
 @cindex infinite loops
 @cindex loops, infinite
@@ -161,7 +161,7 @@
 when you quit.  @xref{Quitting}.
 @end defopt
 
-@node Function Debugging
+@node Function Debugging, Explicit Debug, Infinite Loops, Debugger
 @subsection Entering the Debugger on a Function Call
 @cindex function call debugging
 @cindex debugging specific functions
@@ -243,7 +243,7 @@
 returns @var{function-name}.
 @end deffn
 
-@node Explicit Debug
+@node Explicit Debug, Using Debugger, Function Debugging, Debugger
 @subsection Explicit Entry to the Debugger
 
   You can cause the debugger to be called at a certain point in your
@@ -258,7 +258,7 @@
 program!)  The most common suitable places are inside a @code{progn} or
 an implicit @code{progn} (@pxref{Sequencing}).
 
-@node Using Debugger
+@node Using Debugger, Debugger Commands, Explicit Debug, Debugger
 @subsection Using the Debugger
 
   When the debugger is entered, it displays the previously selected
@@ -296,7 +296,7 @@
 
 @need 3000
 
-@node Debugger Commands
+@node Debugger Commands, Invoking the Debugger, Using Debugger, Debugger
 @subsection Debugger Commands
 @cindex debugger command list
 
@@ -391,7 +391,7 @@
 until the problem is corrected.
 @end table
 
-@node Invoking the Debugger
+@node Invoking the Debugger, Internals of Debugger, Debugger Commands, Debugger
 @subsection Invoking the Debugger
 
   Here we describe fully the function used to invoke the debugger.
@@ -490,7 +490,7 @@
 
 @need 5000
 
-@node Internals of Debugger
+@node Internals of Debugger,  , Invoking the Debugger, Debugger
 @subsection Internals of the Debugger
 
   This section describes functions and variables used internally by the
@@ -637,7 +637,7 @@
 @code{nil}.
 @end defun
 
-@node Syntax Errors
+@node Syntax Errors, Compilation Errors, Debugger, Debugging
 @section Debugging Invalid Lisp Syntax
 
   The Lisp reader reports invalid syntax, but cannot say where the real
@@ -662,7 +662,7 @@
 * Excess Close::    How to find a spurious close paren or missing open.
 @end menu
 
-@node Excess Open
+@node Excess Open, Excess Close, Syntax Errors, Syntax Errors
 @subsection Excess Open Parentheses
 
   The first step is to find the defun that is unbalanced.  If there is
@@ -698,7 +698,7 @@
 and you have put back those parentheses, @kbd{C-M-q} should not change
 anything.
 
-@node Excess Close
+@node Excess Close,  , Excess Open, Syntax Errors
 @subsection Excess Close Parentheses
 
   To deal with an excess close parenthesis, first insert an open
@@ -725,7 +725,7 @@
 and you have put back those parentheses, @kbd{C-M-q} should not change
 anything.
 
-@node Compilation Errors, Edebug, Syntax Errors, Debugging
+@node Compilation Errors,  , Syntax Errors, Debugging
 @section Debugging Problems in Compilation
 
   When an error happens during byte compilation, it is normally due to
diff -r -u xemacs-21.4.23/man/lispref/dialog.texi xemacs-21.4.24/man/lispref/dialog.texi
--- xemacs-21.4.23/man/lispref/dialog.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/dialog.texi	2015-03-25 07:25:33.000000000 -0400
@@ -12,7 +12,7 @@
 * Dialog Box Functions::
 @end menu
 
-@node Dialog Box Format
+@node Dialog Box Format, Dialog Box Functions, Dialog Boxes, Dialog Boxes
 @section Dialog Box Format
 
 A dialog box description is a list.
@@ -55,7 +55,7 @@
    dialog       :=  '(' name [ button ]+ [ partition [ button ]+ ] ')'
 @end example
 
-@node Dialog Box Functions
+@node Dialog Box Functions,  , Dialog Box Format, Dialog Boxes
 @section Dialog Box Functions
 
 @defun popup-dialog-box dbox-desc
diff -r -u xemacs-21.4.23/man/lispref/display.texi xemacs-21.4.24/man/lispref/display.texi
--- xemacs-21.4.23/man/lispref/display.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/display.texi	2015-03-25 07:25:33.000000000 -0400
@@ -24,7 +24,7 @@
 * Beeping::             Audible signal to the user.
 @end menu
 
-@node Refresh Screen
+@node Refresh Screen, Truncation, Display, Display
 @section Refreshing the Screen
 
 The function @code{redraw-frame} redisplays the entire contents of a
@@ -82,7 +82,7 @@
 which defaults to the selected frame.
 @end defun
 
-@node Truncation
+@node Truncation, The Echo Area, Refresh Screen, Display
 @section Truncation
 @cindex line wrapping
 @cindex continuation lines
@@ -158,7 +158,7 @@
 @end defvar
 @end ignore
 
-@node The Echo Area
+@node The Echo Area, Warnings, Truncation, Display
 @section The Echo Area
 @cindex error display
 @cindex echo area
@@ -349,7 +349,7 @@
 for brief periods of time.
 @end defvar
 
-@node Warnings
+@node Warnings, Invisible Text, The Echo Area, Display
 @section Warnings
 
 XEmacs contains a facility for unified display of various warnings.
@@ -460,7 +460,7 @@
 buffer will not be automatically popped up.
 @end defvar
 
-@node Invisible Text
+@node Invisible Text, Selective Display, Warnings, Display
 @section Invisible Text
 
 @cindex invisible text
@@ -522,7 +522,7 @@
 slow-down of these commands it is turned off by default, controlled by
 the variable @code{line-move-ignore-invisible}.
 
-@node Selective Display
+@node Selective Display, Overlay Arrow, Invisible Text, Display
 @section Selective Display
 @cindex selective display
 
@@ -638,7 +638,7 @@
 (@samp{@dots{}}).  @xref{Display Tables}.
 @end defvar
 
-@node Overlay Arrow
+@node Overlay Arrow, Temporary Displays, Selective Display, Display
 @section The Overlay Arrow
 @cindex overlay arrow
 
@@ -673,7 +673,7 @@
   You can do the same job by creating an extent with a
 @code{begin-glyph} property.  @xref{Extent Properties}.
 
-@node Temporary Displays
+@node Temporary Displays, Blinking, Overlay Arrow, Display
 @section Temporary Displays
 
   Temporary displays are used by commands to put output into a buffer
@@ -789,7 +789,7 @@
 and go.
 @end defun
 
-@node Blinking
+@node Blinking, Usual Display, Temporary Displays, Display
 @section Blinking Parentheses
 @cindex parenthesis matching
 @cindex blinking
@@ -855,7 +855,7 @@
 @end smallexample
 @end deffn
 
-@node Usual Display
+@node Usual Display, Display Tables, Blinking, Display
 @section Usual Display Conventions
 
   The usual display conventions define how to display each character
@@ -919,7 +919,7 @@
 stops used by the command @code{tab-to-tab-stop}.  @xref{Indent Tabs}.
 @end defopt
 
-@node Display Tables
+@node Display Tables, Beeping, Usual Display, Display
 @section Display Tables
 
 @cindex display table
@@ -945,7 +945,7 @@
 				  to support the ISO Latin 1 character set.
 @end ignore
 
-@node Display Table Format
+@node Display Table Format, Active Display Table, Display Tables, Display Tables
 @subsection Display Table Format
 
   A display table is an array of 256 elements. (In FSF Emacs, a display
@@ -982,7 +982,7 @@
   (aset disptab 127 "^?"))
 @end example
 
-@node Active Display Table
+@node Active Display Table, Character Descriptors, Display Table Format, Display Tables
 @subsection Active Display Table
 @cindex active display table
 
@@ -1071,7 +1071,7 @@
   If no display table can be determined for a particular window,
 then XEmacs uses the usual display conventions.  @xref{Usual Display}.
 
-@node Character Descriptors
+@node Character Descriptors, , Active Display Table, Display Tables
 @subsection Character Descriptors
 
 @cindex character descriptor
@@ -1095,7 +1095,7 @@
 @end table
 
 @ignore Not yet working in XEmacs?
-@node ISO Latin 1
+@node ISO Latin 1,  , Character Descriptors, Display Tables
 @subsection ISO Latin 1
 
 If you have a terminal that can handle the entire ISO Latin 1 character
@@ -1125,7 +1125,7 @@
 type.
 @end ignore
 
-@node Beeping
+@node Beeping,  , Display Tables, Display
 @section Beeping
 @cindex beeping
 @cindex bell
diff -r -u xemacs-21.4.23/man/lispref/edebug-inc.texi xemacs-21.4.24/man/lispref/edebug-inc.texi
--- xemacs-21.4.23/man/lispref/edebug-inc.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/edebug-inc.texi	2015-03-25 07:25:33.000000000 -0400
@@ -1103,7 +1103,7 @@
 Here is a table of the possibilities for @var{specification} and how each
 directs processing of arguments.
 
-@table @bullet
+@table @code
 
 @item @code{t}
 All arguments are instrumented for evaluation.
diff -r -u xemacs-21.4.23/man/lispref/eval.texi xemacs-21.4.24/man/lispref/eval.texi
--- xemacs-21.4.23/man/lispref/eval.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/eval.texi	2015-03-25 07:25:33.000000000 -0400
@@ -26,7 +26,7 @@
 * Quoting::     Avoiding evaluation (to put constants in the program).
 @end menu
 
-@node Intro Eval
+@node Intro Eval, Eval, Evaluation, Evaluation
 @section Introduction to Evaluation
 
   The Lisp interpreter, or evaluator, is the program that computes
@@ -99,7 +99,7 @@
   The details of what evaluation means for each kind of form are
 described below (@pxref{Forms}).
 
-@node Eval
+@node Eval, Forms, Intro Eval, Evaluation
 @section Eval
 @c ??? Perhaps this should be the last section in the chapter.
 
@@ -235,7 +235,7 @@
 @end example
 @end defvar
 
-@node Forms
+@node Forms, Quoting, Eval, Evaluation
 @section Kinds of Forms
 
   A Lisp object that is intended to be evaluated is called a @dfn{form}.
@@ -258,7 +258,7 @@
                               containing their real definitions.
 @end menu
 
-@node Self-Evaluating Forms
+@node Self-Evaluating Forms, Symbol Forms, Forms, Forms
 @subsection Self-Evaluating Forms
 @cindex vector evaluation
 @cindex literal evaluation
@@ -312,7 +312,7 @@
 @end group
 @end example
 
-@node Symbol Forms
+@node Symbol Forms, Classifying Lists, Self-Evaluating Forms, Forms
 @subsection Symbol Forms
 @cindex symbol evaluation
 
@@ -346,7 +346,7 @@
 these two symbols act like self-evaluating forms, even though
 @code{eval} treats them like any other symbol.
 
-@node Classifying Lists
+@node Classifying Lists, Function Indirection, Symbol Forms, Forms
 @subsection Classification of List Forms
 @cindex list form evaluation
 
@@ -362,7 +362,7 @@
 @emph{not} evaluated, as it would be in some Lisp dialects such as
 Scheme.
 
-@node Function Indirection
+@node Function Indirection, Function Forms, Classifying Lists, Forms
 @subsection Symbol Function Indirection
 @cindex symbol function indirection
 @cindex indirection
@@ -461,7 +461,7 @@
 @end smallexample
 @end defun
 
-@node Function Forms
+@node Function Forms, Macro Forms, Function Indirection, Forms
 @subsection Evaluation of Function Forms
 @cindex function form evaluation
 @cindex function call
@@ -485,7 +485,7 @@
 in the function body are evaluated in order, and the value of the last
 body form becomes the value of the function call.
 
-@node Macro Forms
+@node Macro Forms, Special Forms, Function Forms, Forms
 @subsection Lisp Macro Evaluation
 @cindex macro call evaluation
 
@@ -531,7 +531,7 @@
 
 @xref{Macros}, for a complete description of XEmacs Lisp macros.
 
-@node Special Forms
+@node Special Forms, Autoloading, Macro Forms, Forms
 @subsection Special Forms
 @cindex special form evaluation
 
@@ -640,7 +640,7 @@
 values).@refill
 @end quotation
 
-@node Autoloading
+@node Autoloading,  , Special Forms, Forms
 @subsection Autoloading
 
   The @dfn{autoload} feature allows you to call a function or macro
@@ -650,7 +650,7 @@
 function automatically loads the specified file; then it calls the real
 definition loaded from that file.  @xref{Autoload}.
 
-@node Quoting
+@node Quoting,  , Forms, Evaluation
 @section Quoting
 @cindex quoting
 
diff -r -u xemacs-21.4.23/man/lispref/extents.texi xemacs-21.4.24/man/lispref/extents.texi
--- xemacs-21.4.23/man/lispref/extents.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/extents.texi	2015-03-25 07:25:33.000000000 -0400
@@ -4,7 +4,7 @@
 @c Copyright (C) 1996 Ben Wing.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/extents.info
-@node Extents, Specifiers, Abbrevs, top
+@node Extents, Specifiers, Abbrevs, Top
 @chapter Extents
 @cindex extent
 
@@ -33,7 +33,7 @@
 * Atomic Extents::	   Treating a block of text as a single entity.
 @end menu
 
-@node Intro to Extents
+@node Intro to Extents, Creating and Modifying Extents, Extents, Extents
 @section Introduction to Extents
 @cindex extent priority
 @cindex priority of an extent
@@ -105,7 +105,7 @@
 be re-inserted.  This mechanism is used in the kill, yank, and undo
 commands.  @xref{Duplicable Extents}.
 
-@node Creating and Modifying Extents
+@node Creating and Modifying Extents, Extent Endpoints, Intro to Extents, Extents
 @section Creating and Modifying Extents
 
 @defun make-extent from to &optional buffer-or-string
@@ -140,7 +140,7 @@
 been deleted, and @code{nil} otherwise.
 @end defun
 
-@node Extent Endpoints
+@node Extent Endpoints, Finding Extents, Creating and Modifying Extents, Extents
 @section Extent Endpoints
 @cindex extent endpoint
 @cindex extent start position
@@ -220,7 +220,7 @@
 recording.
 @end defun
 
-@node Finding Extents
+@node Finding Extents, Mapping Over Extents, Extent Endpoints, Extents
 @section Finding Extents
 @cindex extents, locating
 
@@ -312,7 +312,7 @@
 string, this returns the last extent in the buffer or string.
 @end defun
 
-@node Mapping Over Extents
+@node Mapping Over Extents, Extent Properties, Finding Extents, Extents
 @section Mapping Over Extents
 @cindex extents, mapping
 
@@ -449,7 +449,7 @@
 @var{extent} if called with the given arguments.
 @end defun
 
-@node Extent Properties
+@node Extent Properties, Detached Extents, Mapping Over Extents, Extents
 @section Properties of Extents
 @cindex extent property
 @cindex property of an extent
@@ -727,7 +727,7 @@
 extent to @var{function}.
 @end defun
 
-@node Detached Extents
+@node Detached Extents, Extent Parents, Extent Properties, Extents
 @section Detached Extents
 @cindex detached extent
 
@@ -770,7 +770,7 @@
 @xref{Duplicable Extents}.
 @end defun
 
-@node Extent Parents
+@node Extent Parents, Duplicable Extents, Detached Extents, Extents
 @section Extent Parents
 @cindex extent parent
 @cindex extent children
@@ -815,7 +815,7 @@
 to any children of @var{extent}, until no more children can be found.
 @end defun
 
-@node Duplicable Extents
+@node Duplicable Extents, Extents and Events, Extent Parents, Extents
 @section Duplicable Extents
 @cindex duplicable extent
 @cindex unique extents
@@ -891,7 +891,7 @@
 @code{paste-function} will not be called.
 @end itemize
 
-@node Extents and Events
+@node Extents and Events, Atomic Extents, Duplicable Extents, Extents
 @section Interaction of Extents with Keyboard and Mouse Events
 
   If an extent has the @code{mouse-face} property set, it will be
@@ -931,7 +931,7 @@
 @code{point} is within the extent.  The behavior of mouse clicks and
 keystrokes not defined in the keymap is as normal for the buffer.
 
-@node Atomic Extents
+@node Atomic Extents,  , Extents and Events, Extents
 @section Atomic Extents
 @cindex atomic extent
 
diff -r -u xemacs-21.4.23/man/lispref/faces.texi xemacs-21.4.24/man/lispref/faces.texi
--- xemacs-21.4.23/man/lispref/faces.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/faces.texi	2015-03-25 07:25:33.000000000 -0400
@@ -3,7 +3,7 @@
 @c Copyright (C) 1995 Ben Wing.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/faces.info
-@node Faces and Window-System Objects, Glyphs, Specifiers, top
+@node Faces and Window-System Objects, Glyphs, Specifiers, Top
 @chapter Faces and Window-System Objects
 @cindex faces
 @cindex window-system objects
@@ -14,7 +14,7 @@
 * Colors::		Controlling the color of text and pixmaps.
 @end menu
 
-@node Faces
+@node Faces, Fonts, Faces and Window-System Objects, Faces and Window-System Objects
 @section Faces
 
 A @dfn{face} is a named collection of graphical properties: font,
@@ -50,7 +50,7 @@
 				  a face appears.
 @end menu
 
-@node Merging Faces
+@node Merging Faces, Basic Face Functions, Faces, Faces
 @subsection Merging Faces for Display
 
   Here are all the ways to specify which face to use for display of text:
@@ -96,7 +96,7 @@
 used; if it is a bitmap, the face's foreground and background colors are
 used to color it.
 
-@node Basic Face Functions
+@node Basic Face Functions, Face Properties, Merging Faces, Faces
 @subsection Basic Functions for Working with Faces
 
   The properties a face can specify include the font, the foreground
@@ -141,7 +141,7 @@
 in @code{copy-specifier} (@pxref{Specifiers}).
 @end defun
 
-@node Face Properties
+@node Face Properties, Face Convenience Functions, Basic Face Functions, Faces
 @subsection Face Properties
 
   You can examine and modify the properties of an existing face with the
@@ -353,7 +353,7 @@
 in @code{specifier-instance}.  @xref{Specifiers}.
 @end defun
 
-@node Face Convenience Functions
+@node Face Convenience Functions, Other Face Display Functions, Face Properties, Faces
 @subsection Face Convenience Functions
 
 @deffn Command set-face-foreground face color &optional locale tag-set how-to-add
@@ -441,7 +441,7 @@
 @xref{Fonts}.
 @end defun
 
-@node Other Face Display Functions
+@node Other Face Display Functions,  , Face Convenience Functions, Faces
 @subsection Other Face Display Functions
 
 @deffn Command invert-face face &optional locale
@@ -461,7 +461,7 @@
 the default face.  @var{domain} is as in @code{face-property-instance}.
 @end defun
 
-@node Fonts
+@node Fonts, Colors, Faces, Faces and Window-System Objects
 @section Fonts
 @cindex fonts
 
@@ -479,7 +479,7 @@
 				  of a font specifier.
 @end menu
 
-@node Font Specifiers
+@node Font Specifiers, Font Instances, Fonts, Fonts
 @subsection Font Specifiers
 
 @defun font-specifier-p object
@@ -514,7 +514,7 @@
 @end itemize
 @end defun
 
-@node Font Instances
+@node Font Instances, Font Instance Names, Font Specifiers, Fonts
 @subsection Font Instances
 
 @defun font-instance-p object
@@ -535,7 +535,7 @@
 these objects are GCed, the underlying X data is deallocated as well.
 @end defun
 
-@node Font Instance Names
+@node Font Instance Names, Font Instance Size, Font Instances, Fonts
 @subsection Font Instance Names
 @cindex font instance name
 @cindex available fonts
@@ -558,7 +558,7 @@
 (but not necessarily its only unambiguous name).
 @end defun
 
-@node Font Instance Size
+@node Font Instance Size, Font Instance Characteristics, Font Instance Names, Fonts
 @subsection Font Instance Size
 @cindex font instance size
 
@@ -586,7 +586,7 @@
 that is defined.
 @end defun
 
-@node Font Instance Characteristics
+@node Font Instance Characteristics, Font Convenience Functions, Font Instance Size, Fonts
 @subsection Font Instance Characteristics
 @cindex font instance characteristics
 @cindex characteristics of font instances
@@ -625,7 +625,7 @@
 font.  If it fails, it returns @code{nil}.
 @end defun
 
-@node Font Convenience Functions
+@node Font Convenience Functions,  , Font Instance Characteristics, Fonts
 @subsection Font Convenience Functions
 
 @defun font-name font &optional domain
@@ -652,7 +652,7 @@
 applying @code{font-instance-properties} to the result.
 @end defun
 
-@node Colors
+@node Colors,  , Fonts, Faces and Window-System Objects
 @section Colors
 @cindex colors
 
@@ -665,7 +665,7 @@
 				  of a color specifier.
 @end menu
 
-@node Color Specifiers
+@node Color Specifiers, Color Instances, Colors, Colors
 @subsection Color Specifiers
 
 @defun color-specifier-p object
@@ -729,7 +729,7 @@
 @end defun
 
 
-@node Color Instances
+@node Color Instances, Color Instance Properties, Color Specifiers, Colors
 @subsection Color Instances
 @cindex color instances
 
@@ -751,7 +751,7 @@
 This function returns non-@code{nil} if @var{object} is a color-instance.
 @end defun
 
-@node Color Instance Properties
+@node Color Instance Properties, Color Convenience Functions, Color Instances, Colors
 @subsection Color Instance Properties
 
 @defun color-instance-name color-instance
@@ -769,7 +769,7 @@
 @end example
 @end defun
 
-@node Color Convenience Functions
+@node Color Convenience Functions,  , Color Instance Properties, Colors
 @subsection Color Convenience Functions
 
 @defun color-name color &optional domain
diff -r -u xemacs-21.4.23/man/lispref/files.texi xemacs-21.4.24/man/lispref/files.texi
--- xemacs-21.4.23/man/lispref/files.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/files.texi	2015-03-25 07:25:33.000000000 -0400
@@ -38,7 +38,7 @@
 * Files and MS-DOS::         Distinguishing text and binary files on MS-DOS.
 @end menu
 
-@node Visiting Files
+@node Visiting Files, Saving Buffers, Files, Files
 @section Visiting Files
 @cindex finding files
 @cindex visiting files
@@ -70,7 +70,7 @@
 * Subroutines of Visiting::    Lower-level subroutines that they use.
 @end menu
 
-@node Visiting Functions
+@node Visiting Functions, Subroutines of Visiting, Visiting Files, Visiting Files
 @subsection Functions for Visiting Files
 
   This section describes the functions normally used to visit files.
@@ -197,7 +197,7 @@
 used and they may not all be called.
 @end defvar
 
-@node Subroutines of Visiting
+@node Subroutines of Visiting,  , Visiting Functions, Visiting Files
 @subsection Subroutines of Visiting
 
   The @code{find-file-noselect} function uses the
@@ -257,7 +257,7 @@
 in @code{find-file-hooks}.
 @end defun
 
-@node Saving Buffers
+@node Saving Buffers, Reading from Files, Visiting Files, Files
 @section Saving Buffers
 
   When you edit a file in XEmacs, you are actually working on a buffer
@@ -399,7 +399,7 @@
 major modes set it to @code{t} in particular buffers.
 @end defopt
 
-@node Reading from Files
+@node Reading from Files, Writing to Files, Saving Buffers, Files
 @section Reading from Files
 
   You can copy a file from the disk and insert it into a buffer
@@ -446,7 +446,7 @@
 program can read the file, use the function @code{file-local-copy}; see
 @ref{Magic File Names}.
 
-@node Writing to Files
+@node Writing to Files, File Locks, Reading from Files, Files
 @section Writing to Files
 
   You can write the contents of a buffer, or part of a buffer, directly
@@ -504,7 +504,7 @@
 files that the user does not need to know about.
 @end deffn
 
-@node File Locks
+@node File Locks, Information about Files, Writing to Files, Files
 @section File Locks
 @cindex file locks
 
@@ -587,7 +587,7 @@
 for its usual definition is in @file{userlock.el}.
 @end defun
 
-@node Information about Files
+@node Information about Files, Changing File Attributes, File Locks, Files
 @section Information about Files
 
   The functions described in this section all operate on strings that
@@ -603,7 +603,7 @@
 * File Attributes::         How large is it?  Any other names?  Etc.
 @end menu
 
-@node Testing Accessibility
+@node Testing Accessibility, Kinds of Files, Information about Files, Information about Files
 @subsection Testing Accessibility
 @cindex accessibility of a file
 @cindex file accessibility
@@ -738,7 +738,7 @@
 time as a list of two numbers.  @xref{File Attributes}.
 @end defun
 
-@node Kinds of Files
+@node Kinds of Files, Truenames, Testing Accessibility, Information about Files
 @subsection Distinguishing Kinds of Files
 
   This section describes how to distinguish various kinds of files, such
@@ -811,7 +811,7 @@
 other I/O device).
 @end defun
 
-@node Truenames
+@node Truenames, File Attributes, Kinds of Files, Information about Files
 @subsection Truenames
 @cindex truename (of file)
 
@@ -836,7 +836,7 @@
 
   @xref{Buffer File Name}, for related information.
 
-@node File Attributes
+@node File Attributes,  , Truenames, Information about Files
 @subsection Other Information about Files
 
   This section describes the functions for getting detailed information
@@ -1029,7 +1029,7 @@
 @end table
 @end defun
 
-@node Changing File Attributes
+@node Changing File Attributes, File Names, Information about Files, Files
 @section Changing File Names and Attributes
 @cindex renaming files
 @cindex copying files
@@ -1209,7 +1209,7 @@
 @samp{.bat} or @samp{.exe}.  This is reflected in the values returned
 by @code{file-modes} and @code{file-attributes}.
 
-@node File Names
+@node File Names, Contents of Directories, Changing File Attributes, Files
 @section File Names
 @cindex file names
 
@@ -1242,7 +1242,7 @@
 * User Name Completion::  Finding the completions for a given user name.
 @end menu
 
-@node File Name Components
+@node File Name Components, Directory Names, File Names, File Names
 @subsection File Name Components
 @cindex directory part (of file name)
 @cindex nondirectory part (of file name)
@@ -1331,7 +1331,7 @@
 @end example
 @end defun
 
-@node Directory Names
+@node Directory Names, Relative File Names, File Name Components, File Names
 @subsection Directory Names
 @cindex directory name
 @cindex file name of directory
@@ -1432,7 +1432,7 @@
 @c directory.
 @c @end defun
 
-@node Relative File Names
+@node Relative File Names, File Name Expansion, Directory Names, File Names
 @subsection Absolute and Relative File Names
 @cindex absolute file name
 @cindex relative file name
@@ -1465,7 +1465,7 @@
 @end example
 @end defun
 
-@node File Name Expansion
+@node File Name Expansion, Unique File Names, Relative File Names, File Names
 @subsection Functions that Expand Filenames
 @cindex expansion of file names
 
@@ -1597,7 +1597,7 @@
 @end example
 @end defun
 
-@node Unique File Names
+@node Unique File Names, File Name Completion, File Name Expansion, File Names
 @subsection Generating Unique File Names
 
   Some programs need to write temporary files.  Here is the usual way to
@@ -1643,7 +1643,7 @@
 @var{prefix} to @code{make-temp-name}.
 @end defun
 
-@node File Name Completion
+@node File Name Completion, User Name Completion, Unique File Names, File Names
 @subsection File Name Completion
 @cindex file name completion subroutines
 @cindex completion, file name
@@ -1744,7 +1744,7 @@
 @end example
 @end defopt
 
-@node User Name Completion
+@node User Name Completion,  , File Name Completion, File Names
 @subsection User Name Completion
 @cindex user name completion subroutines
 @cindex completion, user name
@@ -1780,7 +1780,7 @@
 @end defun
 
 
-@node Contents of Directories
+@node Contents of Directories, Create/Delete Dirs, File Names, Files
 @section Contents of Directories
 @cindex directory-oriented functions
 @cindex file names in directory
@@ -1867,7 +1867,7 @@
 for the function @code{insert-directory}.
 @end defvar
 
-@node Create/Delete Dirs
+@node Create/Delete Dirs, Magic File Names, Contents of Directories, Files
 @section Creating and Deleting Directories
 @c Emacs 19 features
 
@@ -1894,7 +1894,7 @@
 must use @code{delete-directory} in that case.
 @end deffn
 
-@node Magic File Names
+@node Magic File Names, Partial Files, Create/Delete Dirs, Files
 @section Making Certain File Names ``Magic''
 @cindex magic file names
 
@@ -2039,7 +2039,7 @@
 is a good way to come up with one.
 @end defun
 
-@node Partial Files
+@node Partial Files, Format Conversion, Magic File Names, Files
 @section Partial Files
 @cindex partial files
 
@@ -2049,7 +2049,7 @@
 * Detached Partial Files::
 @end menu
 
-@node Intro to Partial Files
+@node Intro to Partial Files, Creating a Partial File, Partial Files, Partial Files
 @subsection Intro to Partial Files
 
 A @dfn{partial file} is a section of a buffer (called the @dfn{master
@@ -2073,7 +2073,7 @@
 automatically marked as modified so that saving the master buffer will
 work correctly.
 
-@node Creating a Partial File
+@node Creating a Partial File, Detached Partial Files, Intro to Partial Files, Partial Files
 @subsection Creating a Partial File
 
 @deffn Command make-file-part &optional start end name buffer
@@ -2091,7 +2091,7 @@
 respectively.
 @end deffn
 
-@node Detached Partial Files
+@node Detached Partial Files,  , Creating a Partial File, Partial Files
 @subsection Detached Partial Files
 
 Every partial file has an extent in the master buffer associated with it
@@ -2111,7 +2111,7 @@
 part's filename is cleared and thus must be explicitly specified if the
 detached file part is to be saved.
 
-@node Format Conversion
+@node Format Conversion, Files and MS-DOS, Partial Files, Files
 @section File Format Conversion
 
 @cindex file format conversion
@@ -2258,7 +2258,7 @@
 is always local in all buffers.
 @end defvar
 
-@node Files and MS-DOS
+@node Files and MS-DOS,  , Format Conversion, Files
 @section Files and MS-DOS
 @cindex MS-DOS file types
 @cindex file types on MS-DOS
diff -r -u xemacs-21.4.23/man/lispref/frames.texi xemacs-21.4.24/man/lispref/frames.texi
--- xemacs-21.4.23/man/lispref/frames.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/frames.texi	2015-03-25 07:25:33.000000000 -0400
@@ -58,7 +58,7 @@
 
   @xref{Display}, for related information.
 
-@node Creating Frames
+@node Creating Frames, Frame Properties, Frames, Frames
 @section Creating Frames
 
 To create a new frame, call the function @code{make-frame}.
@@ -85,7 +85,7 @@
 when creating an X window frame.
 @end deffn
 
-@node Frame Properties
+@node Frame Properties, Frame Titles, Creating Frames, Frames
 @section Frame Properties
 
 A frame has many properties that control its appearance and behavior.
@@ -104,7 +104,7 @@
 * Frame Name::		The name of a frame (as opposed to its title).
 @end menu
 
-@node Property Access
+@node Property Access, Initial Properties, Frame Properties, Frame Properties
 @subsection Access to Frame Properties
 
 These functions let you read and change the properties of a frame.
@@ -130,7 +130,7 @@
 value @var{value}.
 @end defun
 
-@node Initial Properties
+@node Initial Properties, X Frame Properties, Property Access, Frame Properties
 @subsection Initial Frame Properties
 
 You can specify the properties for the initial startup frame by setting
@@ -183,7 +183,7 @@
 @code{initial-frame-plist} instead.  @xref{Command Arguments,,, xemacs,
 The XEmacs User's Manual}.
 
-@node X Frame Properties
+@node X Frame Properties, Size and Position, Initial Properties, Frame Properties
 @subsection X Window Frame Properties
 
 Just what properties a frame has depends on what display mechanism it
@@ -322,7 +322,7 @@
 Whether the frame has a modeline.
 @end table
 
-@node Size and Position
+@node Size and Position, Frame Name, X Frame Properties, Frame Properties
 @subsection Frame Size And Position
 @cindex size of frame
 @cindex frame size
@@ -423,7 +423,7 @@
 @end defun
 @end ignore
 
-@node Frame Name
+@node Frame Name,  , Size and Position, Frame Properties
 @subsection The Name of a Frame (As Opposed to Its Title)
 @cindex frame name
 
@@ -445,7 +445,7 @@
 must be a string.
 @end defvar
 
-@node Frame Titles
+@node Frame Titles, Deleting Frames, Frame Properties, Frames
 @section Frame Titles
 
 Every frame has a title; most window managers display the frame title at
@@ -490,7 +490,7 @@
 @xref{Glyphs}.
 @end defun
 
-@node Deleting Frames
+@node Deleting Frames, Finding All Frames, Frame Titles, Frames
 @section Deleting Frames
 @cindex deletion of frames
 
@@ -523,7 +523,7 @@
 calls the function @code{delete-frame}.  @xref{Misc Events}.
 @end ignore
 
-@node Finding All Frames
+@node Finding All Frames, Frames and Windows, Deleting Frames, Frames
 @section Finding All Frames
 
 @defun frame-list
@@ -630,7 +630,7 @@
   See also @code{next-window} and @code{previous-window}, in @ref{Cyclic
 Window Ordering}.
 
-@node Frames and Windows
+@node Frames and Windows, Minibuffers and Frames, Finding All Frames, Frames
 @section Frames and Windows
 
   Each window is part of one and only one frame; you can get the frame
@@ -702,7 +702,7 @@
 Another function that (usually) returns one of the windows in a frame is
 @code{minibuffer-window}.  @xref{Minibuffer Misc}.
 
-@node Minibuffers and Frames
+@node Minibuffers and Frames, Input Focus, Frames and Windows, Frames
 @section Minibuffers and Frames
 
 Normally, each frame has its own minibuffer window at the bottom, which
@@ -727,7 +727,7 @@
 default.
 @end defvar
 
-@node Input Focus
+@node Input Focus, Visibility of Frames, Minibuffers and Frames, Frames
 @section Input Focus
 @cindex input focus
 @cindex selected frame
@@ -844,7 +844,7 @@
 @end defun
 @end ignore
 
-@node Visibility of Frames
+@node Visibility of Frames, Raising and Lowering, Input Focus, Frames
 @section Visibility of Frames
 @cindex visible frame
 @cindex invisible frame
@@ -909,7 +909,7 @@
 @xref{Misc Events}.
 @end ignore
 
-@node Raising and Lowering
+@node Raising and Lowering, Frame Configurations, Visibility of Frames, Frames
 @section Raising and Lowering Frames
 
 The X Window System uses a desktop metaphor.  Part of this metaphor is
@@ -978,7 +978,7 @@
 for use as the value of @code{deselect-frame-hook}.
 @end defun
 
-@node Frame Configurations
+@node Frame Configurations, Frame Hooks, Raising and Lowering, Frames
 @section Frame Configurations
 @cindex frame configuration
 
@@ -1004,7 +1004,7 @@
 non-@code{nil}, the unwanted frames are iconified instead.
 @end defun
 
-@node Frame Hooks
+@node Frame Hooks,  , Frame Configurations, Frames
 @section Hooks for Customizing Frame Behavior
 @cindex frame hooks
 
diff -r -u xemacs-21.4.23/man/lispref/functions.texi xemacs-21.4.24/man/lispref/functions.texi
--- xemacs-21.4.23/man/lispref/functions.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/functions.texi	2015-03-25 07:25:33.000000000 -0400
@@ -25,7 +25,7 @@
                             that have a special bearing on how functions work.
 @end menu
 
-@node What Is a Function
+@node What Is a Function, Lambda Expressions, Functions and Commands, Functions and Commands
 @section What Is a Function?
 
   In a general sense, a function is a rule for carrying on a computation
@@ -150,7 +150,7 @@
 @end example
 @end defun
 
-@node Lambda Expressions
+@node Lambda Expressions, Function Names, What Is a Function, Functions and Commands
 @section Lambda Expressions
 @cindex lambda expression
 
@@ -177,7 +177,7 @@
 * Function Documentation::  How to put documentation in a function.
 @end menu
 
-@node Lambda Components
+@node Lambda Components, Simple Lambda, Lambda Expressions, Lambda Expressions
 @subsection Components of a Lambda Expression
 
 @ifinfo
@@ -224,7 +224,7 @@
 ``a list of Lisp forms to evaluate'').  The value returned by the
 function is the value returned by the last element of the body.
 
-@node Simple Lambda
+@node Simple Lambda, Argument List, Lambda Components, Lambda Expressions
 @subsection A Simple Lambda-Expression Example
 
   Consider for example the following function:
@@ -278,7 +278,7 @@
 that time, they were the only way to bind and initialize local
 variables.
 
-@node Argument List
+@node Argument List, Function Documentation, Simple Lambda, Lambda Expressions
 @subsection Advanced Features of Argument Lists
 @kindex wrong-number-of-arguments
 @cindex argument binding
@@ -379,7 +379,7 @@
      @result{} 15
 @end smallexample
 
-@node Function Documentation
+@node Function Documentation,  , Argument List, Lambda Expressions
 @subsection Documentation Strings of Functions
 @cindex documentation of function
 
@@ -415,7 +415,7 @@
 documentation string; if the only body form is a string then it serves both
 as the return value and as the documentation.
 
-@node Function Names
+@node Function Names, Defining Functions, Lambda Expressions, Functions and Commands
 @section Naming a Function
 @cindex function definition
 @cindex named function
@@ -466,7 +466,7 @@
   A symbol used as a function name may also be used as a variable;
 these two uses of a symbol are independent and do not conflict.
 
-@node Defining Functions
+@node Defining Functions, Calling Functions, Function Names, Functions and Commands
 @section Defining Functions
 @cindex defining a function
 
@@ -566,7 +566,7 @@
   See also @code{defsubst}, which defines a function like @code{defun}
 and tells the Lisp compiler to open-code it.  @xref{Inline Functions}.
 
-@node Calling Functions
+@node Calling Functions, Mapping Functions, Defining Functions, Functions and Commands
 @section Calling Functions
 @cindex function invocation
 @cindex calling a function
@@ -686,7 +686,7 @@
 This function ignores any arguments and returns @code{nil}.
 @end deffn
 
-@node Mapping Functions
+@node Mapping Functions, Anonymous Functions, Calling Functions, Functions and Commands
 @section Mapping Functions
 @cindex mapping functions
 
@@ -772,7 +772,7 @@
 @end smallexample
 @end defun
 
-@node Anonymous Functions
+@node Anonymous Functions, Function Cells, Mapping Functions, Functions and Commands
 @section Anonymous Functions
 @cindex anonymous function
 
@@ -886,7 +886,7 @@
   See @code{documentation} in @ref{Accessing Documentation}, for a
 realistic example using @code{function} and an anonymous function.
 
-@node Function Cells
+@node Function Cells, Inline Functions, Anonymous Functions, Functions and Commands
 @section Accessing Function Cell Contents
 
   The @dfn{function definition} of a symbol is the object stored in the
@@ -1063,7 +1063,7 @@
   But it is unmodular and unclean, in any case, for a Lisp file to
 redefine a function defined elsewhere.
 
-@node Inline Functions
+@node Inline Functions, Related Topics, Function Cells, Functions and Commands
 @section Inline Functions
 @cindex inline functions
 
@@ -1101,7 +1101,7 @@
 
 @c Emacs versions prior to 19 did not have inline functions.
 
-@node Related Topics
+@node Related Topics,  , Inline Functions, Functions and Commands
 @section Other Topics Related to Functions
 
   Here is a table of several functions that do things related to
diff -r -u xemacs-21.4.23/man/lispref/glyphs.texi xemacs-21.4.24/man/lispref/glyphs.texi
--- xemacs-21.4.23/man/lispref/glyphs.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/glyphs.texi	2015-03-25 07:25:33.000000000 -0400
@@ -4,7 +4,7 @@
 @c Copyright (C) 2004 Free Software Foundation, Inc.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/glyphs.info
-@node Glyphs, Annotations, Faces and Window-System Objects, top
+@node Glyphs, Annotations, Faces and Window-System Objects, Top
 @chapter Glyphs
 @cindex glyphs
 
@@ -31,7 +31,7 @@
 @end menu
 
 
-@node Glyph Intro
+@node Glyph Intro, Images, Glyphs, Glyphs
 @section Glyph Introduction
 
   In XEmacs, ``glyph'' does @strong{not} refer to a single unit of textual
@@ -85,7 +85,7 @@
 more information about specifier locales and domains.
 
 
-@node Images
+@node Images, Using Glyphs, Glyph Intro, Glyphs
 @section Images
 
 @menu
@@ -96,7 +96,7 @@
 @end menu
 
 
-@node Image Specifiers
+@node Image Specifiers, Image Instantiator Conversion, Images, Images
 @subsection Image Specifiers
 @cindex image specifiers
 
@@ -309,7 +309,7 @@
 @end table
 
 
-@node Image Instantiator Conversion
+@node Image Instantiator Conversion, Image Instantiator Formats, Image Specifiers, Images
 @subsection Image Instantiator Conversion
 @cindex image instantiator conversion
 @cindex conversion of image instantiators
@@ -342,7 +342,7 @@
 @end defun
 
 
-@node Image Instantiator Formats
+@node Image Instantiator Formats, Image Instances, Image Instantiator Conversion, Images
 @subsection Image Instantiator Formats
 @cindex image instantiator formats
 
@@ -690,7 +690,7 @@
 @end defvar
 
 
-@node Image Instances
+@node Image Instances,  , Image Instantiator Formats, Images
 @subsection Image Instances
 @cindex image instances
 
@@ -712,7 +712,7 @@
 @end menu
 
 
-@node Image Instance Types
+@node Image Instance Types, Image Instance Functions, Image Instances, Image Instances
 @subsubsection Image Instance Types
 @cindex image instance types
 
@@ -815,7 +815,7 @@
 @end defun
 
 
-@node Image Instance Functions
+@node Image Instance Functions,  , Image Instance Types, Image Instances
 @subsubsection Image Instance Functions
 
 @defun make-image-instance data &optional domain dest-types noerror
@@ -995,7 +995,7 @@
 @end defun
 
 
-@node Using Glyphs
+@node Using Glyphs, Manipulating Glyphs, Images, Glyphs
 @section Using Glyphs
 
 Glyph usage is unfortunately somewhat arcane.  (For discussion of
@@ -1077,7 +1077,7 @@
 @c #### Check status of subwindows ... I thought Andy implemented them.
 @end menu
 
-@node Creating Glyphs
+@node Creating Glyphs, Buffer Glyphs, Using Glyphs, Using Glyphs
 @subsection Creating Glyphs
 
 @defun make-glyph &optional spec-list type
@@ -1186,7 +1186,7 @@
 on the existing glyph, @code{frame-icon-glyph}.
 
 
-@node Buffer Glyphs
+@node Buffer Glyphs, Redisplay Glyphs, Creating Glyphs, Using Glyphs
 @subsection Buffer Glyphs
 
 Creating a glyph using @code{make-glyph} does not specify @emph{where}
@@ -1217,7 +1217,7 @@
 @end table
 
 
-@node Redisplay Glyphs
+@node Redisplay Glyphs, Frame Glyphs, Buffer Glyphs, Using Glyphs
 @subsection Redisplay Glyphs
 
 To use a glyph to control the shape of miscellaneous redisplay effects
@@ -1279,7 +1279,7 @@
 @end defvr
 
 
-@node Frame Glyphs
+@node Frame Glyphs, External Glyphs, Redisplay Glyphs, Using Glyphs
 @subsection Frame Glyphs
 
 There are also a number of special objects whose appearance is specified
@@ -1323,7 +1323,7 @@
 @end table
 
 
-@node External Glyphs
+@node External Glyphs, Native GUI Widgets, Frame Glyphs, Using Glyphs
 @subsection External Glyphs
 @cindex frame icon
 @cindex icon, frame
@@ -1437,7 +1437,7 @@
 @end defun
 
 
-@node Native GUI Widgets
+@node Native GUI Widgets, Subwindows, External Glyphs, Using Glyphs
 @subsection Native GUI Widgets
 @cindex native widget
 
@@ -1453,7 +1453,7 @@
 * Primitive Widgets::           Catalogue of available native widgets.
 @end menu
 
-@node Introduction to Widgets
+@node Introduction to Widgets, Lisp API to Native Widgets, Native GUI Widgets, Native GUI Widgets
 @subsubsection Introduction to Native Widgets and Subwindow Glyphs
 
 Traditionally Emacsen have hidden the GUI apparatus from the Lisp
@@ -1470,7 +1470,7 @@
 which are horizontal or vertical arrays of subwidgets.  For example, the
 search dialog is formatted using layouts.
 
-@node Lisp API to Native Widgets
+@node Lisp API to Native Widgets, Layouts, Introduction to Widgets, Native GUI Widgets
 @subsubsection Lisp API to Native Widgets
 
 Native widgets are manipulated as @emph{glyphs} (@pxref{Glyphs}).  Thus
@@ -1498,7 +1498,7 @@
 other instances of the widget respond simultaneously might be more
 disconcerting than the actual case.
 
-@node Layouts
+@node Layouts, Primitive Widgets, Lisp API to Native Widgets, Native GUI Widgets
 @subsubsection Layouts
 
 An XEmacs @dfn{layout} is a one-dimensional array of glyphs.  It is a
@@ -1598,7 +1598,7 @@
      		   (event-channel event)))])])])
 @end example
 
-@node Primitive Widgets
+@node Primitive Widgets,  , Layouts, Native GUI Widgets
 @subsubsection Primitive Widgets
 
 @c #### the following table should be replaced with a menu of nodes
@@ -1631,7 +1631,7 @@
 @end table
 
 
-@node Subwindows
+@node Subwindows,  , Native GUI Widgets, Using Glyphs
 @subsection Subwindows
 
 Subwindows are not currently implemented.
@@ -1642,7 +1642,7 @@
 @end defun
 
 
-@node Manipulating Glyphs
+@node Manipulating Glyphs, Glyph Examples, Using Glyphs, Glyphs
 @section Manipulating Glyphs
 
   Each glyphs has properties that may be accessed.  Most of these can
@@ -1658,7 +1658,7 @@
 @end menu
 
 
-@node Glyph Properties
+@node Glyph Properties, Glyph Convenience Functions, Manipulating Glyphs, Manipulating Glyphs
 @subsection Glyph Properties
 
 Each glyph has a list of properties, which control all of the aspects of
@@ -1840,7 +1840,7 @@
 @end defun
 
 
-@node Glyph Convenience Functions
+@node Glyph Convenience Functions, Glyph Dimensions, Glyph Properties, Manipulating Glyphs
 @subsection Glyph Convenience Functions
 
   The following functions are provided for working with specific
@@ -1932,7 +1932,7 @@
 @end defun
 
 
-@node Glyph Dimensions
+@node Glyph Dimensions, Glyph Types, Glyph Convenience Functions, Manipulating Glyphs
 @subsection Glyph Dimensions
 
 @defun glyph-width glyph &optional window
@@ -1961,7 +1961,7 @@
 @end defun
 
 
-@node Glyph Types
+@node Glyph Types,  , Glyph Dimensions, Manipulating Glyphs
 @subsection Glyph Types
 
   Each glyph has a particular type, which controls how the glyph's image
@@ -2020,7 +2020,7 @@
 @end defun
 
 
-@node Glyph Examples
+@node Glyph Examples,  , Manipulating Glyphs, Glyphs
 @section Glyph Examples
 
 For many applications, displaying graphics is a simple process: you
diff -r -u xemacs-21.4.23/man/lispref/gutter.texi xemacs-21.4.24/man/lispref/gutter.texi
--- xemacs-21.4.23/man/lispref/gutter.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/gutter.texi	2015-03-25 07:25:33.000000000 -0400
@@ -5,7 +5,7 @@
 @c Copyright (C) 1999 Stephen J. Turnbull.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/gutter.info
-@node Gutter, Scrollbars, Toolbar, top
+@node Gutter, Scrollbars, Toolbar, Top
 @chapter Gutter
 @cindex gutter
 
diff -r -u xemacs-21.4.23/man/lispref/hash-tables.texi xemacs-21.4.24/man/lispref/hash-tables.texi
--- xemacs-21.4.23/man/lispref/hash-tables.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/hash-tables.texi	2015-03-25 07:25:33.000000000 -0400
@@ -3,7 +3,7 @@
 @c Copyright (C) 1996 Ben Wing.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/hash-tables.info
-@node Hash Tables, Range Tables, Display, top
+@node Hash Tables, Range Tables, Display, Top
 @chapter Hash Tables
 @cindex hash table
 
@@ -20,7 +20,7 @@
                                 behavior.
 @end menu
 
-@node Introduction to Hash Tables
+@node Introduction to Hash Tables, Working With Hash Tables, Hash Tables, Hash Tables
 @section Introduction to Hash Tables
 
 A @dfn{hash table} is a data structure that provides mappings from
@@ -157,7 +157,7 @@
 This can be one of @code{nil}, @code{t}, @code{key} or @code{value}.
 @end defun
 
-@node Working With Hash Tables
+@node Working With Hash Tables, Weak Hash Tables, Introduction to Hash Tables, Hash Tables
 @section Working With Hash Tables
 
 @defun puthash key value hash-table
@@ -189,7 +189,7 @@
 @end defun
 
 
-@node Weak Hash Tables
+@node Weak Hash Tables,  , Working With Hash Tables, Hash Tables
 @section Weak Hash Tables
 @cindex hash table, weak
 @cindex weak hash table
diff -r -u xemacs-21.4.23/man/lispref/help.texi xemacs-21.4.24/man/lispref/help.texi
--- xemacs-21.4.23/man/lispref/help.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/help.texi	2015-03-25 07:25:33.000000000 -0400
@@ -32,7 +32,7 @@
 * Obsoleteness::	      Upgrading Lisp functionality over time.
 @end menu
 
-@node Documentation Basics
+@node Documentation Basics, Accessing Documentation, Documentation, Documentation
 @section Documentation Basics
 @cindex documentation conventions
 @cindex writing a documentation string
@@ -102,7 +102,7 @@
 @file{emacs/etc/DOC-@var{version}}.  These are @file{sorted-doc.c} and
 @file{digest-doc.c}.
 
-@node Accessing Documentation
+@node Accessing Documentation, Keys in Documentation, Documentation Basics, Documentation
 @section Access to Documentation Strings
 
 @defun documentation-property symbol property &optional verbatim
@@ -281,7 +281,7 @@
 this.
 @end defvar
 
-@node Keys in Documentation
+@node Keys in Documentation, Describing Characters, Accessing Documentation, Documentation
 @section Substituting Key Bindings in Documentation
 @cindex documentation, keys in
 @cindex keys in documentation strings
@@ -375,7 +375,7 @@
 @end group
 @end smallexample
 
-@node Describing Characters
+@node Describing Characters, Help Functions, Keys in Documentation, Documentation
 @section Describing Characters for Help Messages
 
   These functions convert events, key sequences or characters to textual
@@ -450,7 +450,7 @@
 @end smallexample
 @end defun
 
-@node Help Functions
+@node Help Functions, Obsoleteness, Describing Characters, Documentation
 @section Help Functions
 
   XEmacs provides a variety of on-line help functions, all accessible to
@@ -666,7 +666,7 @@
 @end defopt
 @end ignore
 
-@node Obsoleteness
+@node Obsoleteness,  , Help Functions, Documentation
 @section Obsoleteness
 
 As you add functionality to a package, you may at times want to
diff -r -u xemacs-21.4.23/man/lispref/internationalization.texi xemacs-21.4.24/man/lispref/internationalization.texi
--- xemacs-21.4.23/man/lispref/internationalization.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/internationalization.texi	2015-03-25 07:25:33.000000000 -0400
@@ -3,7 +3,7 @@
 @c Copyright (C) 1990, 1991, 1992, 1993 Free Software Foundation, Inc.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/internationalization.info
-@node Internationalization, MULE, PostgreSQL Support, top
+@node Internationalization, MULE, PostgreSQL Support, Top
 @chapter Internationalization
 
 @menu
@@ -13,7 +13,7 @@
 @end menu
 
 
-@node I18N Levels 1 and 2
+@node I18N Levels 1 and 2, I18N Level 3, Internationalization, Internationalization
 @section I18N Levels 1 and 2
 
 XEmacs is now compliant with I18N levels 1 and 2.  Specifically, this means
@@ -27,7 +27,7 @@
 completions and the character which would be produced.
 
 
-@node I18N Level 3
+@node I18N Level 3, I18N Level 4, I18N Levels 1 and 2, Internationalization
 @section I18N Level 3
 
 @menu
@@ -38,7 +38,7 @@
 * Documentation String Extraction::
 @end menu
 
-@node Level 3 Basics
+@node Level 3 Basics, Level 3 Primitives, I18N Level 3, I18N Level 3
 @subsection Level 3 Basics
 
 XEmacs now provides alpha-level functionality for I18N Level 3.  This means
@@ -57,7 +57,7 @@
 variable's documentation.
 
 
-@node Level 3 Primitives
+@node Level 3 Primitives, Dynamic Messaging, Level 3 Basics, I18N Level 3
 @subsection Level 3 Primitives
 
 @defun gettext string
@@ -104,7 +104,7 @@
 @end defun
 
 
-@node Dynamic Messaging
+@node Dynamic Messaging, Domain Specification, Level 3 Primitives, I18N Level 3
 @subsection Dynamic Messaging
 
 The @code{format} function has been extended to permit you to change the
@@ -114,7 +114,7 @@
 to change the word order.
 
 
-@node Domain Specification
+@node Domain Specification, Documentation String Extraction, Dynamic Messaging, I18N Level 3
 @subsection Domain Specification
 
 The default message domain of XEmacs is `emacs'.  For add-on packages, it is
@@ -169,7 +169,7 @@
 @end defun
 
 
-@node Documentation String Extraction
+@node Documentation String Extraction,  , Domain Specification, I18N Level 3
 @subsection Documentation String Extraction
 
 The utility @file{etc/make-po} scans the file @code{DOC} to extract
@@ -187,7 +187,7 @@
 packages, the final carriage returns in the strings produced by
 @code{make-docfile} must be ignored.)
 
-@node I18N Level 4
+@node I18N Level 4,  , I18N Level 3, Internationalization
 @section I18N Level 4
 
 The Asian-language support in XEmacs is called ``MULE''.  @xref{MULE}.
diff -r -u xemacs-21.4.23/man/lispref/intro.texi xemacs-21.4.24/man/lispref/intro.texi
--- xemacs-21.4.23/man/lispref/intro.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/intro.texi	2015-03-25 07:25:33.000000000 -0400
@@ -4,7 +4,7 @@
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/intro.info
 
-@node Copying, Introduction, Top, Top
+@node Copying, Introduction
 @unnumbered GNU GENERAL PUBLIC LICENSE
 @center Version 2, June 1991
 
@@ -400,7 +400,7 @@
 library.  If this is what you want to do, use the GNU Library General
 Public License instead of this License.
 
-@node Introduction, Packaging, Copying, Top
+@node Introduction,  , Copying
 @chapter Introduction
 
   Most of the XEmacs text editor is written in the programming
@@ -433,7 +433,7 @@
 * Acknowledgements::    The authors, editors, and sponsors of this manual.
 @end menu
 
-@node Caveats
+@node Caveats, Lisp History, Introduction, Introduction
 @section Caveats
 
   This manual has gone through numerous drafts.  It is nearly complete
@@ -489,7 +489,7 @@
  --Ben Wing
 @end display
 
-@node Lisp History
+@node Lisp History, Conventions, Caveats, Introduction
 @section Lisp History
 @cindex Lisp history
 
@@ -515,7 +515,7 @@
 Lisp differs from Common Lisp.  If you don't know Common Lisp, don't
 worry about it; this manual is self-contained.
 
-@node Conventions
+@node Conventions, Acknowledgements, Lisp History, Introduction
 @section Conventions
 
 This section explains the notational conventions that are used in this
@@ -531,7 +531,7 @@
 * Format of Descriptions::   Notation for describing functions, variables, etc.
 @end menu
 
-@node Some Terms
+@node Some Terms, nil and t, Conventions, Conventions
 @subsection Some Terms
 
   Throughout this manual, the phrases ``the Lisp reader'' and ``the Lisp
@@ -547,7 +547,7 @@
 3)}.  Names that represent arguments or metasyntactic variables appear
 in this font or form: @var{first-number}.
 
-@node nil and t
+@node nil and t, Evaluation Notation, Some Terms, Conventions
 @subsection @code{nil} and @code{t}
 @cindex @code{nil}, uses of
 @cindex truth value
@@ -590,7 +590,7 @@
 values results in a @code{setting-constant} error.  @xref{Accessing
 Variables}.
 
-@node Evaluation Notation
+@node Evaluation Notation, Printing Notation, nil and t, Conventions
 @subsection Evaluation Notation
 @cindex evaluation notation
 @cindex documentation notation
@@ -626,7 +626,7 @@
 (cons 'a nil) @equiv{} (list 'a)
 @end example
 
-@node Printing Notation
+@node Printing Notation, Error Messages, Evaluation Notation, Conventions
 @subsection Printing Notation
 @cindex printing notation
 
@@ -651,7 +651,7 @@
 @end group
 @end example
 
-@node Error Messages
+@node Error Messages, Buffer Text Notation, Printing Notation, Conventions
 @subsection Error Messages
 @cindex error message notation
 
@@ -665,7 +665,7 @@
 @error{} Wrong type argument: integer-or-marker-p, x
 @end example
 
-@node Buffer Text Notation
+@node Buffer Text Notation, Format of Descriptions, Error Messages, Conventions
 @subsection Buffer Text Notation
 @cindex buffer text notation
 
@@ -689,7 +689,7 @@
 ---------- Buffer: foo ----------
 @end example
 
-@node Format of Descriptions
+@node Format of Descriptions,  , Buffer Text Notation, Conventions
 @subsection Format of Descriptions
 @cindex description format
 
@@ -715,7 +715,7 @@
                                           @code{electric-future-map}.
 @end menu
 
-@node A Sample Function Description
+@node A Sample Function Description, A Sample Variable Description, Format of Descriptions, Format of Descriptions
 @subsubsection A Sample Function Description
 @cindex function descriptions
 @cindex command descriptions
@@ -819,7 +819,7 @@
 from @var{body}, which includes all remaining elements of the form.
 @end defspec
 
-@node A Sample Variable Description
+@node A Sample Variable Description,  , A Sample Function Description, Format of Descriptions
 @subsubsection A Sample Variable Description
 @cindex variable descriptions
 @cindex option descriptions
@@ -842,7 +842,7 @@
   User option descriptions have the same format, but `Variable' is
 replaced by `User Option'.
 
-@node Acknowledgements
+@node Acknowledgements,  , Conventions, Introduction
 @section Acknowledgements
 
   This manual was based on the GNU Emacs Lisp Reference Manual, version
diff -r -u xemacs-21.4.23/man/lispref/keymaps.texi xemacs-21.4.24/man/lispref/keymaps.texi
--- xemacs-21.4.23/man/lispref/keymaps.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/keymaps.texi	2015-03-25 07:25:33.000000000 -0400
@@ -36,7 +36,7 @@
 * Other Keymap Functions::   Miscellaneous keymap functions.
 @end menu
 
-@node Keymap Terminology
+@node Keymap Terminology, Format of Keymaps, Keymaps, Keymaps
 @section Keymap Terminology
 @cindex key
 @cindex keystroke
@@ -97,7 +97,7 @@
 keymaps shadow both local and global keymaps.  @xref{Active Keymaps},
 for details.
 
-@node Format of Keymaps
+@node Format of Keymaps, Creating Keymaps, Keymap Terminology, Keymaps
 @section Format of Keymaps
 @cindex format of keymaps
 @cindex keymap format
@@ -111,7 +111,7 @@
 otherwise.
 @end defun
 
-@node Creating Keymaps
+@node Creating Keymaps, Inheritance and Keymaps, Format of Keymaps, Keymaps
 @section Creating Keymaps
 @cindex creating keymaps
 
@@ -175,7 +175,7 @@
 @end example
 @end defun
 
-@node Inheritance and Keymaps
+@node Inheritance and Keymaps, Key Sequences, Creating Keymaps, Keymaps
 @section Inheritance and Keymaps
 @cindex keymap inheritance
 @cindex inheriting a keymap's bindings
@@ -231,7 +231,7 @@
 if it has none.
 @end defun
 
-@node Key Sequences
+@node Key Sequences, Prefix Keys, Inheritance and Keymaps, Keymaps
 @section Key Sequences
 @cindex key sequences
 
@@ -352,7 +352,7 @@
 @code{help-char} or @code{quit-char}.
 @end defun
 
-@node Prefix Keys
+@node Prefix Keys, Active Keymaps, Key Sequences, Keymaps
 @section Prefix Keys
 @cindex prefix key
 
@@ -471,7 +471,7 @@
 set, not the value as a variable.
 @end defun
 
-@node Active Keymaps
+@node Active Keymaps, Key Lookup, Prefix Keys, Keymaps
 @section Active Keymaps
 @cindex active keymap
 @cindex global keymap
@@ -725,7 +725,7 @@
 the current global map.
 @end defvar
 
-@node Key Lookup
+@node Key Lookup, Functions for Key Lookup, Active Keymaps, Keymaps
 @section Key Lookup
 @cindex key lookup
 @cindex keymap entry
@@ -852,7 +852,7 @@
   In short, a keymap entry may be a keymap, a command, a keyboard macro,
 a symbol that leads to one of them, or an indirection or @code{nil}.
 
-@node Functions for Key Lookup
+@node Functions for Key Lookup, Changing Key Bindings, Key Lookup, Keymaps
 @section Functions for Key Lookup
 
   Here are the functions and variables pertaining to key lookup.
@@ -1019,7 +1019,7 @@
 @end smallexample
 @end defvar
 
-@node Changing Key Bindings
+@node Changing Key Bindings, Key Binding Commands, Functions for Key Lookup, Keymaps
 @section Changing Key Bindings
 @cindex changing key bindings
 @cindex rebinding
@@ -1269,7 +1269,7 @@
 @end smallexample
 @end defun
 
-@node Key Binding Commands
+@node Key Binding Commands, Scanning Keymaps, Changing Key Bindings, Keymaps
 @section Commands for Binding Keys
 
   This section describes some convenient interactive interfaces for
@@ -1377,7 +1377,7 @@
 @end smallexample
 @end deffn
 
-@node Scanning Keymaps
+@node Scanning Keymaps, Other Keymap Functions, Key Binding Commands, Keymaps
 @section Scanning Keymaps
 
   This section describes functions used to scan all the current keymaps,
@@ -1571,7 +1571,7 @@
 displayed.
 @end deffn
 
-@node Other Keymap Functions
+@node Other Keymap Functions,  , Scanning Keymaps, Keymaps
 @section Other Keymap Functions
 
 @defun set-keymap-prompt keymap new-prompt
diff -r -u xemacs-21.4.23/man/lispref/ldap.texi xemacs-21.4.24/man/lispref/ldap.texi
--- xemacs-21.4.23/man/lispref/ldap.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/ldap.texi	2015-03-25 07:25:33.000000000 -0400
@@ -3,7 +3,7 @@
 @c Copyright (C) 1998 Free Software Foundation, Inc.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/ldap.info
-@node LDAP Support, PostgreSQL Support, ToolTalk Support, top
+@node LDAP Support, PostgreSQL Support, ToolTalk Support, Top
 @chapter LDAP Support
 @cindex LDAP
 
diff -r -u xemacs-21.4.23/man/lispref/lispref.texi xemacs-21.4.24/man/lispref/lispref.texi
--- xemacs-21.4.23/man/lispref/lispref.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/lispref.texi	2015-03-25 07:25:33.000000000 -0400
@@ -84,7 +84,7 @@
 @subtitle Version 3.3 (for XEmacs 21.0), April 1998
 
 @author by Ben Wing
-@author
+@vskip 12
 @author Based on the GNU Emacs Lisp Reference Manual
 @author by Bil Lewis, Dan LaLiberte, Richard Stallman
 @author and the GNU Manual Group
diff -r -u xemacs-21.4.23/man/lispref/lists.texi xemacs-21.4.24/man/lispref/lists.texi
--- xemacs-21.4.23/man/lispref/lists.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/lists.texi	2015-03-25 07:25:33.000000000 -0400
@@ -27,7 +27,7 @@
 * Weak Lists::              A list with special garbage-collection behavior.
 @end menu
 
-@node Cons Cells
+@node Cons Cells, Lists as Boxes, Lists, Lists
 @section Lists and Cons Cells
 @cindex lists and cons cells
 @cindex @code{nil} and lists
@@ -60,7 +60,7 @@
   The @sc{cdr} of any nonempty list @var{l} is a list containing all the
 elements of @var{l} except the first.
 
-@node Lists as Boxes
+@node Lists as Boxes, List-related Predicates, Cons Cells, Lists
 @section Lists as Linked Pairs of Boxes
 @cindex box representation for lists
 @cindex lists represented as boxes
@@ -143,7 +143,7 @@
   @xref{Cons Cell Type}, for the read and print syntax of cons cells and
 lists, and for more ``box and arrow'' illustrations of lists.
 
-@node List-related Predicates
+@node List-related Predicates, List Elements, Lists as Boxes, Lists
 @section Predicates on Lists
 
   The following predicates test whether a Lisp object is an atom, is a
@@ -214,7 +214,7 @@
 
 @need 2000
 
-@node List Elements
+@node List Elements, Building Lists, List-related Predicates, Lists
 @section Accessing Elements of Lists
 @cindex list elements
 
@@ -435,7 +435,7 @@
 elements of @var{list}.
 @end defun
 
-@node Building Lists
+@node Building Lists, Modifying Lists, List Elements, Lists
 @section Building Cons Cells and Lists
 @cindex cons cells
 @cindex building lists
@@ -667,7 +667,7 @@
 @end example
 @end defun
 
-@node Modifying Lists
+@node Modifying Lists, Sets And Lists, Building Lists, Lists
 @section Modifying Existing List Structure
 
   You can modify the @sc{car} and @sc{cdr} contents of a cons cell with the
@@ -691,7 +691,7 @@
 * Rearrangement::   Reordering the elements in a list; combining lists.
 @end menu
 
-@node Setcar
+@node Setcar, Setcdr, Modifying Lists, Modifying Lists
 @subsection Altering List Elements with @code{setcar}
 
   Changing the @sc{car} of a cons cell is done with @code{setcar}.  When
@@ -793,7 +793,7 @@
 @end group
 @end example
 
-@node Setcdr
+@node Setcdr, Rearrangement, Setcar, Modifying Lists
 @subsection Altering the CDR of a List
 
   The lowest-level primitive for modifying a @sc{cdr} is @code{setcdr}:
@@ -893,7 +893,7 @@
 @end group
 @end smallexample
 
-@node Rearrangement
+@node Rearrangement,  , Setcdr, Modifying Lists
 @subsection Functions that Rearrange Lists
 @cindex rearrangement of lists
 @cindex modification of lists
@@ -1102,7 +1102,7 @@
 useful example of @code{sort}.
 @end defun
 
-@node Sets And Lists
+@node Sets And Lists, Association Lists, Modifying Lists, Lists
 @section Using Lists as Sets
 @cindex lists as sets
 @cindex sets
@@ -1261,7 +1261,7 @@
   See also the function @code{add-to-list}, in @ref{Setting Variables},
 for another way to add an element to a list stored in a variable.
 
-@node Association Lists
+@node Association Lists, Property Lists, Sets And Lists, Lists
 @section Association Lists
 @cindex association list
 @cindex alist
@@ -1548,7 +1548,7 @@
 @end smallexample
 @end defun
 
-@node Property Lists
+@node Property Lists, Weak Lists, Association Lists, Lists
 @section Property Lists
 @cindex property list
 @cindex plist
@@ -1595,7 +1595,7 @@
 * Converting Plists To/From Alists:: Alist to plist and vice-versa.
 @end menu
 
-@node Working With Normal Plists
+@node Working With Normal Plists, Working With Lax Plists, Property Lists, Property Lists
 @subsection Working With Normal Plists
 
 @defun plist-get plist property &optional default
@@ -1651,7 +1651,7 @@
 to @code{setq} the value back into where it came from.
 @end defun
 
-@node Working With Lax Plists
+@node Working With Lax Plists, Converting Plists To/From Alists, Working With Normal Plists, Property Lists
 @subsection Working With Lax Plists
 
 Recall that a @dfn{lax plist} is a property list whose keys are compared
@@ -1705,7 +1705,7 @@
 to @code{setq} the value back into where it came from.
 @end defun
 
-@node Converting Plists To/From Alists
+@node Converting Plists To/From Alists,  , Working With Lax Plists, Property Lists
 @subsection Converting Plists To/From Alists
 
 @defun alist-to-plist alist
@@ -1757,7 +1757,7 @@
 equivalent association-list form.  The alist is returned.
 @end defun
 
-@node Weak Lists
+@node Weak Lists,  , Property Lists, Lists
 @section Weak Lists
 @cindex weak list
 
diff -r -u xemacs-21.4.23/man/lispref/loading.texi xemacs-21.4.24/man/lispref/loading.texi
--- xemacs-21.4.23/man/lispref/loading.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/loading.texi	2015-03-25 07:25:33.000000000 -0400
@@ -43,7 +43,7 @@
 				  particular libraries are loaded.
 @end menu
 
-@node How Programs Do Loading
+@node How Programs Do Loading, Autoload, Loading, Loading
 @section How Programs Do Loading
 
   XEmacs Lisp has several interfaces for loading.  For example,
@@ -274,7 +274,7 @@
 
   To learn how @code{load} is used to build XEmacs, see @ref{Building XEmacs}.
 
-@node Autoload
+@node Autoload, Repeated Loading, How Programs Do Loading, Loading
 @section Autoload
 @cindex autoload
 
@@ -417,7 +417,7 @@
 @file{loaddefs.el}; they tell @code{make-docfile} to put the
 documentation string in the @file{DOC} file.  @xref{Building XEmacs}.
 
-@node Repeated Loading
+@node Repeated Loading, Named Features, Autoload, Loading
 @section Repeated Loading
 @cindex repeated loading
 
@@ -480,7 +480,7 @@
 @xref{Named Features}.
 @end ifinfo
 
-@node Named Features
+@node Named Features, Unloading, Repeated Loading, Loading
 @section Features
 @cindex features
 @cindex requiring features
@@ -660,7 +660,7 @@
 @code{features} list is not significant.
 @end defvar
 
-@node Unloading
+@node Unloading, Hooks for Loading, Named Features, Loading
 @section Unloading
 @cindex unloading
 
@@ -717,7 +717,7 @@
 by adding the symbols defined to the element for the file being visited,
 rather than replacing that element.
 
-@node Hooks for Loading
+@node Hooks for Loading,  , Unloading, Loading
 @section Hooks for Loading
 @cindex loading hooks
 @cindex hooks for loading
diff -r -u xemacs-21.4.23/man/lispref/macros.texi xemacs-21.4.24/man/lispref/macros.texi
--- xemacs-21.4.23/man/lispref/macros.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/macros.texi	2015-03-25 07:25:33.000000000 -0400
@@ -32,7 +32,7 @@
                               Don't hide the user's variables.
 @end menu
 
-@node Simple Macro
+@node Simple Macro, Expansion, Macros, Macros
 @section A Simple Example of a Macro
 
   Suppose we would like to define a Lisp construct to increment a
@@ -54,7 +54,7 @@
 x (1+ x))}.  Once the macro definition returns this expansion, Lisp
 proceeds to evaluate it, thus incrementing @code{x}.
 
-@node Expansion
+@node Expansion, Compiling Macros, Simple Macro, Macros
 @section Expansion of a Macro Call
 @cindex expansion of macros
 @cindex macro call
@@ -135,7 +135,7 @@
 @end smallexample
 @end defun
 
-@node Compiling Macros
+@node Compiling Macros, Defining Macros, Expansion, Macros
 @section Macros and Byte Compilation
 @cindex byte-compiling macros
 
@@ -169,7 +169,7 @@
 @code{eval-when-compile} around the @code{require} calls (@pxref{Eval
 During Compile}).
 
-@node Defining Macros
+@node Defining Macros, Backquote, Compiling Macros, Macros
 @section Defining Macros
 
   A Lisp macro is a list whose @sc{car} is @code{macro}.  Its @sc{cdr} should
@@ -202,7 +202,7 @@
 called interactively.
 @end defspec
 
-@node Backquote
+@node Backquote, Problems with Macros, Defining Macros, Macros
 @section Backquote
 @cindex backquote (list substitution)
 @cindex ` (list substitution)
@@ -295,7 +295,7 @@
 compatibility with old Emacs versions.
 @end quotation
 
-@node Problems with Macros
+@node Problems with Macros,  , Backquote, Macros
 @section Common Problems Using Macros
 
   The basic facts of macro expansion have counterintuitive consequences.
@@ -310,7 +310,7 @@
 * Repeated Expansion::     Avoid depending on how many times expansion is done.
 @end menu
 
-@node Argument Evaluation
+@node Argument Evaluation, Surprising Local Vars, Problems with Macros, Problems with Macros
 @subsection Evaluating Macro Arguments Repeatedly
 
   When defining a macro you must pay attention to the number of times
@@ -416,7 +416,7 @@
 Proceed to the following node.
 @end ifinfo
 
-@node Surprising Local Vars
+@node Surprising Local Vars, Eval During Expansion, Argument Evaluation, Problems with Macros
 @subsection Local Variables in Macro Expansions
 
 @ifinfo
@@ -485,7 +485,7 @@
 expansion instead of the usual interned symbol @code{max} that appears
 in expressions ordinarily.
 
-@node Eval During Expansion
+@node Eval During Expansion, Repeated Expansion, Surprising Local Vars, Problems with Macros
 @subsection Evaluating Macro Arguments in Expansion
 
   Another problem can happen if you evaluate any of the macro argument
@@ -530,7 +530,7 @@
 put the expression into the macro expansion, so that its value is
 computed as part of executing the expansion.
 
-@node Repeated Expansion
+@node Repeated Expansion,  , Eval During Expansion, Problems with Macros
 @subsection How Many Times is the Macro Expanded?
 
   Occasionally problems result from the fact that a macro call is
diff -r -u xemacs-21.4.23/man/lispref/markers.texi xemacs-21.4.24/man/lispref/markers.texi
--- xemacs-21.4.23/man/lispref/markers.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/markers.texi	2015-03-25 07:25:33.000000000 -0400
@@ -22,7 +22,7 @@
 * The Region::               How to access ``the region''.
 @end menu
 
-@node Overview of Markers
+@node Overview of Markers, Predicates on Markers, Markers, Markers
 @section Overview of Markers
 
   A marker specifies a buffer and a position in that buffer.  The marker
@@ -150,7 +150,7 @@
 @end group
 @end example
 
-@node Predicates on Markers
+@node Predicates on Markers, Creating Markers, Overview of Markers, Markers
 @section Predicates on Markers
 
   You can test an object to see whether it is a marker, or whether it is
@@ -184,7 +184,7 @@
 kind), a character, or a marker, @code{nil} otherwise.
 @end defun
 
-@node Creating Markers
+@node Creating Markers, Information from Markers, Predicates on Markers, Markers
 @section Functions That Create Markers
 
   When you create a new marker, you can make it point nowhere, or point
@@ -340,7 +340,7 @@
 @end example
 @end defun
 
-@node Information from Markers
+@node Information from Markers, Changing Markers, Creating Markers, Markers
 @section Information from Markers
 
   This section describes the functions for accessing the components of a
@@ -388,7 +388,7 @@
 @code{eq}) to each other if they have the same position and buffer, or
 if they both point nowhere.
 
-@node Changing Markers
+@node Changing Markers, The Mark, Information from Markers, Markers
 @section Changing Marker Positions
 
   This section describes how to change the position of an existing
@@ -437,7 +437,7 @@
 This is another name for @code{set-marker}.
 @end defun
 
-@node The Mark
+@node The Mark, The Region, Changing Markers, Markers
 @section The Mark
 @cindex mark, the
 @cindex mark ring
@@ -661,7 +661,7 @@
 location.
 @end deffn
 
-@node The Region
+@node The Region,  , The Mark, Markers
 @section The Region
 @cindex region, the
 
diff -r -u xemacs-21.4.23/man/lispref/menus.texi xemacs-21.4.24/man/lispref/menus.texi
--- xemacs-21.4.23/man/lispref/menus.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/menus.texi	2015-03-25 07:25:33.000000000 -0400
@@ -19,7 +19,7 @@
 * Buffers Menu::        The menu that displays the list of buffers.
 @end menu
 
-@node Menu Format
+@node Menu Format, Menubar Format, Menus, Menus
 @section Format of Menus
 @cindex menu format
 @cindex format of menus
@@ -250,7 +250,7 @@
   )
 @end example
 
-@node Menubar Format
+@node Menubar Format, Menubar, Menu Format, Menus
 @section Format of the Menubar
 @cindex menubar format
 @cindex format of the menubar
@@ -272,7 +272,7 @@
 yet.)
 @end itemize
 
-@node Menubar
+@node Menubar, Modifying Menus, Menubar Format, Menus
 @section Menubar
 @cindex menubar
 
@@ -348,7 +348,7 @@
 without a selection having been made.
 @end defvar
 
-@node Modifying Menus
+@node Modifying Menus, Menu Filters, Menubar, Menus
 @section Modifying Menus
 
 The following functions are provided to modify the menubar of one of its
@@ -477,7 +477,7 @@
 item is already present, it will not be moved.
 @end defun
 
-@node Menu Filters
+@node Menu Filters, Pop-Up Menus, Modifying Menus, Menus
 @section Menu Filters
 @cindex menu filters
 
@@ -531,7 +531,7 @@
 more information.
 @end defun
 
-@node Pop-Up Menus
+@node Pop-Up Menus, Menu Accelerators, Menu Filters, Menus
 @section Pop-Up Menus
 @cindex pop-up menu
 
@@ -598,7 +598,7 @@
 It should be bound to a mouse button event.
 @end deffn
 
-@node Menu Accelerators
+@node Menu Accelerators, Buffers Menu, Pop-Up Menus, Menus
 @section Menu Accelerators
 @cindex menu accelerators
 @cindex keyboard menu accelerators
@@ -616,7 +616,7 @@
 * Menu Accelerator Functions::  Functions for working with menu accelerators.
 @end menu
 
-@node Creating Menu Accelerators
+@node Creating Menu Accelerators, Keyboard Menu Traversal, Menu Accelerators, Menu Accelerators
 @subsection Creating Menu Accelerators
 
 Menu accelerators are specified as part of the menubar format using the
@@ -646,7 +646,7 @@
 It is possible to activate the top level menubar itself using accelerator keys.
 @xref{Menu Accelerator Functions}.
 
-@node Keyboard Menu Traversal
+@node Keyboard Menu Traversal, Menu Accelerator Functions, Creating Menu Accelerators, Menu Accelerators
 @subsection Keyboard Menu Traversal
 
 In addition to immediately activating a menu or menu item, the keyboard can
@@ -659,7 +659,7 @@
 menu-accelerator-map.  At this point, the online help is your best bet
 for more information about how to modify the menu traversal keys.
 
-@node Menu Accelerator Functions
+@node Menu Accelerator Functions,  , Keyboard Menu Traversal, Menu Accelerators
 @subsection Menu Accelerator Functions
 
 @deffn Command accelerate-menu
@@ -729,7 +729,7 @@
 C-M-T by itself will not activate the menubar.  Neither will pressing C-x
 followed by anything else.
 
-@node Buffers Menu
+@node Buffers Menu,  , Menu Accelerators, Menus
 @section Buffers Menu
 @cindex buffers menu
 
diff -r -u xemacs-21.4.23/man/lispref/minibuf.texi xemacs-21.4.24/man/lispref/minibuf.texi
--- xemacs-21.4.23/man/lispref/minibuf.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/minibuf.texi	2015-03-25 07:25:33.000000000 -0400
@@ -29,7 +29,7 @@
 * Minibuffer Misc::           Various customization hooks and variables.
 @end menu
 
-@node Intro to Minibuffers
+@node Intro to Minibuffers, Text from Minibuffer, Minibuffers, Minibuffers
 @section Introduction to Minibuffers
 
   In most ways, a minibuffer is a normal XEmacs buffer.  Most operations
@@ -75,7 +75,7 @@
 for cautious completion.
 @end itemize
 
-@node Text from Minibuffer
+@node Text from Minibuffer, Object from Minibuffer, Intro to Minibuffers, Minibuffers
 @section Reading Text Strings with the Minibuffer
 
   Most often, the minibuffer is used to read text as a string.  It can
@@ -202,7 +202,7 @@
 @end table
 @end defvar
 
-@node Object from Minibuffer
+@node Object from Minibuffer, Minibuffer History, Text from Minibuffer, Minibuffers
 @section Reading Lisp Objects with the Minibuffer
 
   This section describes functions for reading Lisp objects with the
@@ -321,7 +321,7 @@
 @code{edit-and-eval-command} returns @code{t} in this example.
 @end defun
 
-@node Minibuffer History
+@node Minibuffer History, Completion, Object from Minibuffer, Minibuffers
 @section Minibuffer History
 @cindex minibuffer history
 @cindex history list
@@ -408,7 +408,7 @@
 libraries.  An @kbd{M-x apropos} search for @samp{history} should prove
 fruitful in discovering them.
 
-@node Completion
+@node Completion, Yes-or-No Queries, Minibuffer History, Minibuffers
 @section Completion
 @cindex completion
 
@@ -447,7 +447,7 @@
 * Programmed Completion::  Finding the completions for a given file name.
 @end menu
 
-@node Basic Completion
+@node Basic Completion, Minibuffer Completion, Completion, Completion
 @subsection Basic Completion Functions
 
   The two functions @code{try-completion} and @code{all-completions}
@@ -583,7 +583,7 @@
 non-@code{nil}, XEmacs does not consider case significant in completion.
 @end defvar
 
-@node Minibuffer Completion
+@node Minibuffer Completion, Completion Commands, Basic Completion, Completion
 @subsection Completion and the Minibuffer
 
   This section describes the basic interface for reading from the
@@ -666,7 +666,7 @@
 see @ref{Completion Commands}.
 @end defun
 
-@node Completion Commands
+@node Completion Commands, High-Level Completion, Minibuffer Completion, Completion
 @subsection Minibuffer Commands That Do Completion
 
   This section describes the keymaps, commands and user options used in
@@ -797,7 +797,7 @@
 can be completed because the next character is not uniquely determined.
 @end defopt
 
-@node High-Level Completion
+@node High-Level Completion, Reading File Names, Completion Commands, Completion
 @subsection High-Level Completion  Functions
 
   This section describes the higher-level convenient functions for
@@ -941,7 +941,7 @@
 @end example
 @end defun
 
-@node Reading File Names
+@node Reading File Names, Programmed Completion, High-Level Completion, Completion
 @subsection Reading File Names
 
   Here is another high-level completion function, designed for reading a
@@ -1050,7 +1050,7 @@
 @end example
 @end defopt
 
-@node Programmed Completion
+@node Programmed Completion,  , Reading File Names, Completion
 @subsection Programmed Completion
 @cindex programmed completion
 
@@ -1115,7 +1115,7 @@
   Emacs uses programmed completion when completing file names.
 @xref{File Name Completion}.
 
-@node Yes-or-No Queries
+@node Yes-or-No Queries, Multiple Queries, Completion, Minibuffers
 @section Yes-or-No Queries
 @cindex asking the user questions
 @cindex querying the user
@@ -1272,7 +1272,7 @@
 box or the minibuffer, as appropriate.
 @end defun
 
-@node Multiple Queries
+@node Multiple Queries, Reading a Password, Yes-or-No Queries, Minibuffers
 @section Asking Multiple Y-or-N Questions
 
   When you have a series of similar questions to ask, such as ``Do you
@@ -1362,7 +1362,7 @@
 The return value of @code{map-y-or-n-p} is the number of objects acted on.
 @end defun
 
-@node Reading a Password
+@node Reading a Password, Minibuffer Misc, Multiple Queries, Minibuffers
 @section Reading a Password
 @cindex passwords, reading
 
@@ -1396,7 +1396,7 @@
 nothing is echoed.
 @end defopt
 
-@node Minibuffer Misc
+@node Minibuffer Misc,  , Reading a Password, Minibuffers
 @section Minibuffer Miscellany
 
   This section describes some basic functions and variables related to
diff -r -u xemacs-21.4.23/man/lispref/modes.texi xemacs-21.4.24/man/lispref/modes.texi
--- xemacs-21.4.23/man/lispref/modes.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/modes.texi	2015-03-25 07:25:33.000000000 -0400
@@ -25,7 +25,7 @@
 * Hooks::              How to use hooks; how to write code that provides hooks.
 @end menu
 
-@node Major Modes
+@node Major Modes, Minor Modes, Modes, Modes
 @section Major Modes
 @cindex major mode
 @cindex Fundamental mode
@@ -93,7 +93,7 @@
                               mode.
 @end menu
 
-@node Major Mode Conventions
+@node Major Mode Conventions, Example Major Modes, Major Modes, Major Modes
 @subsection Major Mode Conventions
 
   The code for existing major modes follows various coding conventions,
@@ -259,7 +259,7 @@
 subsequent major mode.  @xref{Hooks}.
 @end defvar
 
-@node Example Major Modes
+@node Example Major Modes, Auto Major Mode, Major Mode Conventions, Major Modes
 @subsection Major Mode Examples
 
   Text mode is perhaps the simplest mode besides Fundamental mode.
@@ -490,7 +490,7 @@
 @end group
 @end smallexample
 
-@node Auto Major Mode
+@node Auto Major Mode, Mode Help, Example Major Modes, Major Modes
 @subsection How XEmacs Chooses a Major Mode
 
   Based on information in the file name or in the file itself, XEmacs
@@ -675,7 +675,7 @@
 @code{normal-mode}.
 @end defun
 
-@node Mode Help
+@node Mode Help, Derived Modes, Auto Major Mode, Major Modes
 @subsection Getting Help about a Major Mode
 @cindex mode help
 @cindex help for major mode
@@ -704,7 +704,7 @@
 mode.
 @end defvar
 
-@node Derived Modes
+@node Derived Modes,  , Mode Help, Major Modes
 @subsection Defining Derived Modes
 
   It's often useful to define a new major mode in terms of an existing
@@ -768,7 +768,7 @@
 @code{define-derived-mode} does that automatically.
 @end defmac
 
-@node Minor Modes
+@node Minor Modes, Modeline Format, Major Modes, Modes
 @section Minor Modes
 @cindex minor mode
 
@@ -798,7 +798,7 @@
 * Keymaps and Minor Modes::     How a minor mode can have its own keymap.
 @end menu
 
-@node Minor Mode Conventions
+@node Minor Mode Conventions, Keymaps and Minor Modes, Minor Modes, Minor Modes
 @subsection Conventions for Writing Minor Modes
 @cindex minor mode conventions
 @cindex conventions for writing minor modes
@@ -878,7 +878,7 @@
 @end smallexample
 @end itemize
 
-@node Keymaps and Minor Modes
+@node Keymaps and Minor Modes,  , Minor Mode Conventions, Minor Modes
 @subsection Keymaps and Minor Modes
 
   Each minor mode can have its own keymap, which is active when the mode
@@ -894,7 +894,7 @@
 substituting your own definition of @code{self-insert-command} for the
 standard one.  The editor command loop handles this function specially.)
 
-@node Modeline Format
+@node Modeline Format, Hooks, Minor Modes, Modes
 @section Modeline Format
 @cindex modeline
 
@@ -937,7 +937,7 @@
 * %-Constructs::          Putting information into a modeline.
 @end menu
 
-@node Modeline Data
+@node Modeline Data, Modeline Variables, Modeline Format, Modeline Format
 @subsection The Data Structure of the Modeline
 @cindex modeline construct
 
@@ -1071,7 +1071,7 @@
 @end group
 @end example
 
-@node Modeline Variables
+@node Modeline Variables, %-Constructs, Modeline Data, Modeline Format
 @subsection Variables Used in the Modeline
 
   This section describes variables incorporated by the
@@ -1202,7 +1202,7 @@
 that appears in the mode line.
 @end defvar
 
-@node %-Constructs
+@node %-Constructs,  , Modeline Variables, Modeline Format
 @subsection @code{%}-Constructs in the ModeLine
 
   The following table lists the recognized @code{%}-constructs and what
@@ -1304,7 +1304,7 @@
 @code{display-time} modifies the value of @code{global-mode-string}.
 @end table
 
-@node Hooks
+@node Hooks,  , Modeline Format, Modes
 @section Hooks
 @cindex hooks
 
diff -r -u xemacs-21.4.23/man/lispref/mule.texi xemacs-21.4.24/man/lispref/mule.texi
--- xemacs-21.4.23/man/lispref/mule.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/mule.texi	2015-03-25 07:25:33.000000000 -0400
@@ -3,7 +3,7 @@
 @c Copyright (C) 1996 Ben Wing.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/internationalization.info
-@node MULE, Tips, Internationalization, top
+@node MULE, Tips, Internationalization, Top
 @chapter MULE
 
   @dfn{MULE} is the name originally given to the version of GNU Emacs
diff -r -u xemacs-21.4.23/man/lispref/numbers.texi xemacs-21.4.24/man/lispref/numbers.texi
--- xemacs-21.4.23/man/lispref/numbers.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/numbers.texi	2015-03-25 07:25:33.000000000 -0400
@@ -32,7 +32,7 @@
 * Random Numbers::            Obtaining random integers, predictable or not.
 @end menu
 
-@node Integer Basics
+@node Integer Basics, Float Basics, Numbers, Numbers
 @section Integer Basics
 
   The range of values for an integer depends on the machine.  The
@@ -129,7 +129,7 @@
 floating point numbers.
 @end ignore
 
-@node Float Basics
+@node Float Basics, Predicates on Numbers, Integer Basics, Numbers
 @section Floating Point Basics
 
   XEmacs supports floating point numbers.  The precise range of floating
@@ -169,7 +169,7 @@
 down to an integer.
 @end defun
 
-@node Predicates on Numbers
+@node Predicates on Numbers, Comparison of Numbers, Float Basics, Numbers
 @section Type Predicates for Numbers
 
   The functions in this section test whether the argument is a number or
@@ -213,7 +213,7 @@
 These two forms are equivalent: @code{(zerop x)} @equiv{} @code{(= x 0)}.
 @end defun
 
-@node Comparison of Numbers
+@node Comparison of Numbers, Numeric Conversions, Predicates on Numbers, Numbers
 @section Comparison of Numbers
 @cindex number equality
 
@@ -351,7 +351,7 @@
 @end example
 @end defun
 
-@node Numeric Conversions
+@node Numeric Conversions, Arithmetic Operations, Comparison of Numbers, Numbers
 @section Numeric Conversions
 @cindex rounding in conversions
 
@@ -394,7 +394,7 @@
 depending on your machine.
 @end defun
 
-@node Arithmetic Operations
+@node Arithmetic Operations, Rounding Operations, Numeric Conversions, Numbers
 @section Arithmetic Operations
 
   XEmacs Lisp provides the traditional four arithmetic operations:
@@ -636,7 +636,7 @@
 Conversions}.
 @end defun
 
-@node Rounding Operations
+@node Rounding Operations, Bitwise Operations, Arithmetic Operations, Numbers
 @section Rounding Operations
 @cindex rounding without conversion
 
@@ -667,7 +667,7 @@
 and returns that value as a floating point number.
 @end defun
 
-@node Bitwise Operations
+@node Bitwise Operations, Math Functions, Rounding Operations, Numbers
 @section Bitwise Operations on Integers
 
   In a computer, an integer is represented as a binary number, a
@@ -972,7 +972,7 @@
 @end example
 @end defun
 
-@node Math Functions
+@node Math Functions, Random Numbers, Bitwise Operations, Numbers
 @section Standard Mathematical Functions
 @cindex transcendental functions
 @cindex mathematical functions
@@ -1054,7 +1054,7 @@
 This returns the cube root of @var{number}.
 @end defun
 
-@node Random Numbers
+@node Random Numbers,  , Math Functions, Numbers
 @section Random Numbers
 @cindex random numbers
 
diff -r -u xemacs-21.4.23/man/lispref/objects.texi xemacs-21.4.24/man/lispref/objects.texi
--- xemacs-21.4.23/man/lispref/objects.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/objects.texi	2015-03-25 07:25:33.000000000 -0400
@@ -60,7 +60,7 @@
 * Equality Predicates::         Tests of equality between any two objects.
 @end menu
 
-@node Printed Representation
+@node Printed Representation, Comments, Lisp Data Types, Lisp Data Types
 @section Printed Representation and Read Syntax
 @cindex printed representation
 @cindex read syntax
@@ -104,7 +104,7 @@
 not be evaluated later.  @xref{Input Functions}, for a description of
 @code{read}, the basic function for reading objects.
 
-@node Comments
+@node Comments, Primitive Types, Printed Representation, Lisp Data Types
 @section Comments
 @cindex comments
 @cindex @samp{;} in comment
@@ -124,7 +124,7 @@
 
   @xref{Comment Tips}, for conventions for formatting comments.
 
-@node Primitive Types
+@node Primitive Types, Programming Types, Comments, Lisp Data Types
 @section Primitive Types
 @cindex primitive types
 
@@ -252,7 +252,7 @@
 toolbar-data
 @end itemize
 
-@node Programming Types
+@node Programming Types, Editing Types, Primitive Types, Lisp Data Types
 @section Programming Types
 @cindex programming types
 
@@ -287,7 +287,7 @@
 * Weak List Type::      A list with special garbage-collection properties.
 @end menu
 
-@node Integer Type
+@node Integer Type, Floating Point Type, Programming Types, Programming Types
 @subsection Integer Type
 
   The range of values for integers in XEmacs Lisp is @minus{}134217728 to
@@ -327,7 +327,7 @@
 
   @xref{Numbers}, for more information.
 
-@node Floating Point Type
+@node Floating Point Type, Character Type, Integer Type, Programming Types
 @subsection Floating Point Type
 
   XEmacs supports floating point numbers.  The precise range of floating
@@ -341,7 +341,7 @@
 
   @xref{Numbers}, for more information.
 
-@node Character Type
+@node Character Type, Symbol Type, Floating Point Type, Programming Types
 @subsection Character Type
 @cindex @sc{ascii} character codes
 @cindex char-int confoundance disease
@@ -644,7 +644,7 @@
 the easily readable escape sequences, such as @samp{\t}, instead of an
 actual whitespace character such as a tab.
 
-@node Symbol Type
+@node Symbol Type, Sequence Type, Character Type, Programming Types
 @subsection Symbol Type
 
   A @dfn{symbol} in XEmacs Lisp is an object with a name.  The symbol
@@ -711,7 +711,7 @@
 @end group
 @end example
 
-@node Sequence Type
+@node Sequence Type, Cons Cell Type, Symbol Type, Programming Types
 @subsection Sequence Types
 
   A @dfn{sequence} is a Lisp object that represents an ordered set of
@@ -741,7 +741,7 @@
 exception: the empty list @code{()} always stands for the same object,
 @code{nil}.
 
-@node Cons Cell Type
+@node Cons Cell Type, Array Type, Sequence Type, Programming Types
 @subsection Cons Cell and List Types
 @cindex address field of register
 @cindex decrement field of register
@@ -861,7 +861,7 @@
 * Association List Type::       A specially constructed list.
 @end menu
 
-@node Dotted Pair Notation
+@node Dotted Pair Notation, Association List Type, Cons Cell Type, Cons Cell Type
 @subsubsection Dotted Pair Notation
 @cindex dotted pair notation
 @cindex @samp{.} in lists
@@ -938,7 +938,7 @@
 @end example
 @end ifinfo
 
-@node Association List Type
+@node Association List Type,  , Dotted Pair Notation, Cons Cell Type
 @subsubsection Association List Type
 
   An @dfn{association list} or @dfn{alist} is a specially-constructed
@@ -963,7 +963,7 @@
   @xref{Association Lists}, for a further explanation of alists and for
 functions that work on alists.
 
-@node Array Type
+@node Array Type, String Type, Cons Cell Type, Programming Types
 @subsection Array Type
 
   An @dfn{array} is composed of an arbitrary number of slots for
@@ -992,7 +992,7 @@
   The array type is contained in the sequence type and contains the
 string type, the vector type, and the bit vector type.
 
-@node String Type
+@node String Type, Vector Type, Array Type, Programming Types
 @subsection String Type
 
   A @dfn{string} is an array of characters.  Strings are used for many
@@ -1092,7 +1092,7 @@
 
   @xref{Strings and Characters}, for functions that work on strings.
 
-@node Vector Type
+@node Vector Type, Bit Vector Type, String Type, Programming Types
 @subsection Vector Type
 
   A @dfn{vector} is a one-dimensional array of elements of any type.  It
@@ -1112,7 +1112,7 @@
 
   @xref{Vectors}, for functions that work with vectors.
 
-@node Bit Vector Type
+@node Bit Vector Type, Function Type, Vector Type, Programming Types
 @subsection Bit Vector Type
 
   A @dfn{bit vector} is a one-dimensional array of 1's and 0's.  It
@@ -1134,7 +1134,7 @@
 
   @xref{Bit Vectors}, for functions that work with bit vectors.
 
-@node Function Type
+@node Function Type, Macro Type, Bit Vector Type, Programming Types
 @subsection Function Type
 
   Just as functions in other programming languages are executable,
@@ -1155,7 +1155,7 @@
 a function object at run time and then call it with the primitive
 functions @code{funcall} and @code{apply}.  @xref{Calling Functions}.
 
-@node Macro Type
+@node Macro Type, Primitive Function Type, Function Type, Programming Types
 @subsection Macro Type
 
   A @dfn{Lisp macro} is a user-defined construct that extends the Lisp
@@ -1169,7 +1169,7 @@
 a macro as far as XEmacs is concerned.  @xref{Macros}, for an explanation
 of how to write a macro.
 
-@node Primitive Function Type
+@node Primitive Function Type, Compiled-Function Type, Macro Type, Programming Types
 @subsection Primitive Function Type
 @cindex special forms
 
@@ -1205,7 +1205,7 @@
 @end group
 @end example
 
-@node Compiled-Function Type
+@node Compiled-Function Type, Autoload Type, Primitive Function Type, Programming Types
 @subsection Compiled-Function Type
 
   The byte compiler produces @dfn{compiled-function objects}.  The
@@ -1217,7 +1217,7 @@
 @samp{#<compiled-function...>}.  If @code{print-readably} is true,
 however, it is @samp{#[...]}.
 
-@node Autoload Type
+@node Autoload Type, Char Table Type, Compiled-Function Type, Programming Types
 @subsection Autoload Type
 
   An @dfn{autoload object} is a list whose first element is the symbol
@@ -1237,13 +1237,13 @@
 @code{autoload}, which stores the object in the function cell of a
 symbol.  @xref{Autoload}, for more details.
 
-@node Char Table Type
+@node Char Table Type, Hash Table Type, Autoload Type, Programming Types
 @subsection Char Table Type
 @cindex char table type
 
 (not yet documented)
 
-@node Hash Table Type
+@node Hash Table Type, Range Table Type, Char Table Type, Programming Types
 @subsection Hash Table Type
 @cindex hash table type
 
@@ -1275,7 +1275,7 @@
 @xref{Hash Tables}, for information on how to create and work with hash
 tables.
 
-@node Range Table Type
+@node Range Table Type, Weak List Type, Hash Table Type, Programming Types
 @subsection Range Table Type
 @cindex range table type
 
@@ -1301,13 +1301,13 @@
 @xref{Range Tables}, for information on how to create and work with range
 tables.
 
-@node Weak List Type
+@node Weak List Type,  , Range Table Type, Programming Types
 @subsection Weak List Type
 @cindex weak list type
 
 (not yet documented)
 
-@node Editing Types
+@node Editing Types, Window-System Types, Programming Types, Lisp Data Types
 @section Editing Types
 @cindex editing types
 
@@ -1339,7 +1339,7 @@
 * ToolTalk Pattern Type:: A pattern, in the ToolTalk IPC protocol.
 @end menu
 
-@node Buffer Type
+@node Buffer Type, Marker Type, Editing Types, Editing Types
 @subsection Buffer Type
 
   A @dfn{buffer} is an object that holds text that can be edited
@@ -1402,7 +1402,7 @@
 @end group
 @end example
 
-@node Marker Type
+@node Marker Type, Extent Type, Buffer Type, Editing Types
 @subsection Marker Type
 
   A @dfn{marker} denotes a position in a specific buffer.  Markers
@@ -1424,7 +1424,7 @@
 @xref{Markers}, for information on how to test, create, copy, and move
 markers.
 
-@node Extent Type
+@node Extent Type, Window Type, Marker Type, Editing Types
 @subsection Extent Type
 
   An @dfn{extent} specifies temporary alteration of the display
@@ -1456,7 +1456,7 @@
 
   Extents are used to implement text properties.  @xref{Text Properties}.
 
-@node Window Type
+@node Window Type, Frame Type, Extent Type, Editing Types
 @subsection Window Type
 
   A @dfn{window} describes the portion of the frame that XEmacs uses to
@@ -1490,7 +1490,7 @@
 
   @xref{Windows}, for a description of the functions that work on windows.
 
-@node Frame Type
+@node Frame Type, Device Type, Window Type, Editing Types
 @subsection Frame Type
 
   A @var{frame} is a rectangle on the screen (a @dfn{window} in standard
@@ -1513,7 +1513,7 @@
 
   @xref{Frames}, for a description of the functions that work on frames.
 
-@node Device Type
+@node Device Type, Console Type, Frame Type, Editing Types
 @subsection Device Type
 
   A @dfn{device} represents a single display on which frames exist.
@@ -1537,7 +1537,7 @@
   @xref{Consoles and Devices}, for a description of several functions
 related to devices.
 
-@node Console Type
+@node Console Type, Window Configuration Type, Device Type, Editing Types
 @subsection Console Type
 
   A @dfn{console} represents a single keyboard to which devices
@@ -1566,7 +1566,7 @@
   @xref{Consoles and Devices}, for a description of several functions
 related to consoles.
 
-@node Window Configuration Type
+@node Window Configuration Type, Event Type, Console Type, Editing Types
 @subsection Window Configuration Type
 @cindex screen layout
 
@@ -1588,12 +1588,12 @@
   @xref{Window Configurations}, for a description of several functions
 related to window configurations.
 
-@node Event Type
+@node Event Type, Process Type, Window Configuration Type, Editing Types
 @subsection Event Type
 
 (not yet documented)
 
-@node Process Type
+@node Process Type, Stream Type, Event Type, Editing Types
 @subsection Process Type
 
   The word @dfn{process} usually means a running program.  XEmacs itself
@@ -1621,7 +1621,7 @@
 return information about, send input or signals to, and receive output
 from processes.
 
-@node Stream Type
+@node Stream Type, Keymap Type, Process Type, Editing Types
 @subsection Stream Type
 
   A @dfn{stream} is an object that can be used as a source or sink for
@@ -1645,7 +1645,7 @@
   @xref{Read and Print}, for a description of functions
 related to streams, including parsing and printing functions.
 
-@node Keymap Type
+@node Keymap Type, Syntax Table Type, Stream Type, Editing Types
 @subsection Keymap Type
 
   A @dfn{keymap} maps keys typed by the user to commands.  This mapping
@@ -1658,7 +1658,7 @@
   @xref{Keymaps}, for information about creating keymaps, handling prefix
 keys, local as well as global keymaps, and changing key bindings.
 
-@node Syntax Table Type
+@node Syntax Table Type, Display Table Type, Keymap Type, Editing Types
 @subsection Syntax Table Type
 
   Under XEmacs 20, a @dfn{syntax table} is a particular type of char
@@ -1678,7 +1678,7 @@
   @xref{Syntax Tables}, for details about syntax classes and how to make
 and modify syntax tables.
 
-@node Display Table Type
+@node Display Table Type, Database Type, Syntax Table Type, Editing Types
 @subsection Display Table Type
 
   A @dfn{display table} specifies how to display each character code.
@@ -1686,35 +1686,35 @@
 table is actually a vector of length 256, although in XEmacs 20 this may
 change to be a particular type of char table.  @xref{Display Tables}.
 
-@node Database Type
+@node Database Type, Charset Type, Display Table Type, Editing Types
 @subsection Database Type
 @cindex database type
 
 (not yet documented)
 
-@node Charset Type
+@node Charset Type, Coding System Type, Database Type, Editing Types
 @subsection Charset Type
 @cindex charset type
 
 (not yet documented)
 
-@node Coding System Type
+@node Coding System Type, ToolTalk Message Type, Charset Type, Editing Types
 @subsection Coding System Type
 @cindex coding system type
 
 (not yet documented)
 
-@node ToolTalk Message Type
+@node ToolTalk Message Type, ToolTalk Pattern Type, Coding System Type, Editing Types
 @subsection ToolTalk Message Type
 
 (not yet documented)
 
-@node ToolTalk Pattern Type
+@node ToolTalk Pattern Type,  , ToolTalk Message Type, Editing Types
 @subsection ToolTalk Pattern Type
 
 (not yet documented)
 
-@node Window-System Types
+@node Window-System Types, Type Predicates, Editing Types, Lisp Data Types
 @section Window-System Types
 @cindex window system types
 
@@ -1737,61 +1737,61 @@
                           compiled into XEmacs.
 @end menu
 
-@node Face Type
+@node Face Type, Glyph Type, Window-System Types, Window-System Types
 @subsection Face Type
 @cindex face type
 
 (not yet documented)
 
-@node Glyph Type
+@node Glyph Type, Specifier Type, Face Type, Window-System Types
 @subsection Glyph Type
 @cindex glyph type
 
 (not yet documented)
 
-@node Specifier Type
+@node Specifier Type, Font Instance Type, Glyph Type, Window-System Types
 @subsection Specifier Type
 @cindex specifier type
 
 (not yet documented)
 
-@node Font Instance Type
+@node Font Instance Type, Color Instance Type, Specifier Type, Window-System Types
 @subsection Font Instance Type
 @cindex font instance type
 
 (not yet documented)
 
-@node Color Instance Type
+@node Color Instance Type, Image Instance Type, Font Instance Type, Window-System Types
 @subsection Color Instance Type
 @cindex color instance type
 
 (not yet documented)
 
-@node Image Instance Type
+@node Image Instance Type, Toolbar Button Type, Color Instance Type, Window-System Types
 @subsection Image Instance Type
 @cindex image instance type
 
 (not yet documented)
 
-@node Toolbar Button Type
+@node Toolbar Button Type, Subwindow Type, Image Instance Type, Window-System Types
 @subsection Toolbar Button Type
 @cindex toolbar button type
 
 (not yet documented)
 
-@node Subwindow Type
+@node Subwindow Type, X Resource Type, Toolbar Button Type, Window-System Types
 @subsection Subwindow Type
 @cindex subwindow type
 
 (not yet documented)
 
-@node X Resource Type
+@node X Resource Type,  , Subwindow Type, Window-System Types
 @subsection X Resource Type
 @cindex X resource type
 
 (not yet documented)
 
-@node Type Predicates
+@node Type Predicates, Equality Predicates, Window-System Types, Lisp Data Types
 @section Type Predicates
 @cindex predicates
 @cindex type checking
@@ -2178,7 +2178,7 @@
 @end example
 @end defun
 
-@node Equality Predicates
+@node Equality Predicates,  , Type Predicates, Lisp Data Types
 @section Equality Predicates
 @cindex equality
 
diff -r -u xemacs-21.4.23/man/lispref/os.texi xemacs-21.4.24/man/lispref/os.texi
--- xemacs-21.4.23/man/lispref/os.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/os.texi	2015-03-25 07:25:33.000000000 -0400
@@ -32,7 +32,7 @@
 * Special Keysyms::     Defining system-specific key symbols for X windows.
 @end ignore
 
-@node Starting Up
+@node Starting Up, Getting Out, System Interface, System Interface
 @section Starting Up XEmacs
 
   This section describes what XEmacs does when it is started, and how you
@@ -46,7 +46,7 @@
                               and how you can customize them.
 @end menu
 
-@node Start-up Summary
+@node Start-up Summary, Init File, Starting Up, Starting Up
 @subsection Summary: Sequence of Actions at Start Up
 @cindex initialization
 @cindex start up of XEmacs
@@ -157,7 +157,7 @@
 message for someone else.
 @end defopt
 
-@node Init File
+@node Init File, Terminal-Specific, Start-up Summary, Starting Up
 @subsection The Init File: @file{.emacs}
 @cindex init file
 @cindex @file{.emacs}
@@ -212,7 +212,7 @@
 the user's init file, @file{default.el}, and/or @file{site-start.el}.
 @end defvar
 
-@node Terminal-Specific
+@node Terminal-Specific, Command Line Arguments, Init File, Starting Up
 @subsection Terminal-Specific Initialization
 @cindex terminal-specific initialization
 
@@ -288,7 +288,7 @@
 @code{term-setup-hook}.
 @end defvar
 
-@node Command Line Arguments
+@node Command Line Arguments,  , Terminal-Specific, Starting Up
 @subsection Command Line Arguments
 @cindex command line arguments
 
@@ -393,7 +393,7 @@
 as a file name to visit.
 @end defvar
 
-@node Getting Out
+@node Getting Out, System Environment, Starting Up, System Interface
 @section Getting out of XEmacs
 @cindex exiting XEmacs
 
@@ -408,7 +408,7 @@
 * Suspending XEmacs::     Exiting XEmacs reversibly.
 @end menu
 
-@node Killing XEmacs
+@node Killing XEmacs, Suspending XEmacs, Getting Out, Getting Out
 @subsection Killing XEmacs
 @cindex killing XEmacs
 
@@ -449,7 +449,7 @@
 this hook.
 @end defvar
 
-@node Suspending XEmacs
+@node Suspending XEmacs,  , Killing XEmacs, Getting Out
 @subsection Suspending XEmacs
 @cindex suspending XEmacs
 
@@ -548,7 +548,7 @@
 This variable is a normal hook run after suspending.
 @end defvar
 
-@node System Environment
+@node System Environment, User Identification, Getting Out, System Interface
 @section Operating System Environment
 @cindex operating system environment
 
@@ -757,7 +757,7 @@
 This function returns the process @sc{id} of the Emacs process.
 @end defun
 
-@node User Identification
+@node User Identification, Time of Day, System Environment, System Interface
 @section User Identification
 
 @defvar user-mail-address
@@ -876,7 +876,7 @@
 @end enumerate
 @end defun
 
-@node Time of Day
+@node Time of Day, Time Conversion, User Identification, System Interface
 @section Time of Day
 
   This section explains how to determine the current time and the time
@@ -949,7 +949,7 @@
 (see above) and from @code{file-attributes} (@pxref{File Attributes}).
 @end defun
 
-@node Time Conversion
+@node Time Conversion, Timers, Time of Day, System Interface
 @section Time Conversion
 
   These functions convert time values (lists of two or three integers)
@@ -1096,7 +1096,7 @@
 any further alteration for daylight savings time.
 @end defun
 
-@node Timers
+@node Timers, Terminal Input, Time Conversion, System Interface
 @section Timers for Delayed Execution
 
 You can set up a timer to call a function at a specified future time.
@@ -1141,7 +1141,7 @@
 (NOTE: In FSF Emacs, this function is called @code{cancel-timer}.)
 @end defun
 
-@node Terminal Input
+@node Terminal Input, Terminal Output, Timers, System Interface
 @section Terminal Input
 @cindex terminal input
 
@@ -1156,7 +1156,7 @@
 * Recording Input::	Saving histories of recent or all input events.
 @end menu
 
-@node Input Modes
+@node Input Modes, Translating Input, Terminal Input, Terminal Input
 @subsection Input Modes
 @cindex input modes
 @cindex terminal input modes
@@ -1217,7 +1217,7 @@
 @end table
 @end defun
 
-@node Translating Input
+@node Translating Input, Recording Input, Input Modes, Terminal Input
 @subsection Translating Input Events
 @cindex translating input events
 
@@ -1407,7 +1407,7 @@
 The @file{iso-transl} library uses this feature to provide a way of
 inputting non-ASCII Latin-1 characters.
 
-@node Recording Input
+@node Recording Input,  , Translating Input, Terminal Input
 @subsection Recording Input
 
 @defun recent-keys &optional number
@@ -1465,7 +1465,7 @@
 
   See also the @code{open-termscript} function (@pxref{Terminal Output}).
 
-@node Terminal Output
+@node Terminal Output, , Terminal Input, System Interface
 @section Terminal Output
 @cindex terminal output
 
@@ -1553,7 +1553,7 @@
 @end deffn
 
 @ignore Not in XEmacs
-@node Special Keysyms
+@node Special Keysyms, Flow Control, Terminal Output, System Interface
 @section System-Specific X11 Keysyms
 
 To define system-specific X11 keysyms, set the variable
@@ -1578,7 +1578,7 @@
 @end defvar
 @end ignore
 
-@node Flow Control
+@node Flow Control, Batch Mode, , System Interface
 @section Flow Control
 @cindex flow control characters
 
@@ -1668,7 +1668,7 @@
 setting @code{baud-rate} to a smaller value so that XEmacs uses a smaller
 speed when calculating the padding needed.  @xref{Terminal Output}.
 
-@node Batch Mode
+@node Batch Mode,  , Flow Control, System Interface
 @section Batch Mode
 @cindex batch mode
 @cindex noninteractive use
diff -r -u xemacs-21.4.23/man/lispref/packaging.texi xemacs-21.4.24/man/lispref/packaging.texi
--- xemacs-21.4.23/man/lispref/packaging.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/packaging.texi	2015-03-25 07:25:33.000000000 -0400
@@ -600,7 +600,7 @@
 Does most of the work.  Builds the elcs, infos at a minimum.
 @end table
 
-@subsection The targets that most people would be interested in would be:
+@section The targets that most people would be interested in would be:
 
 @itemize @bullet
 @item @code{all}
diff -r -u xemacs-21.4.23/man/lispref/positions.texi xemacs-21.4.24/man/lispref/positions.texi
--- xemacs-21.4.23/man/lispref/positions.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/positions.texi	2015-03-25 07:25:33.000000000 -0400
@@ -26,7 +26,7 @@
 * Narrowing::     Restricting editing to a portion of the buffer.
 @end menu
 
-@node Point
+@node Point, Motion, Positions, Positions
 @section Point
 @cindex point
 
@@ -116,7 +116,7 @@
 current buffer, as of the last time it was read in, saved or auto-saved.
 @end defvar
 
-@node Motion
+@node Motion, Excursions, Point, Positions
 @section Motion
 
   Motion functions change the value of point, either relative to the
@@ -133,7 +133,7 @@
 * Skipping Characters::    Skipping characters belonging to a certain set.
 @end menu
 
-@node Character Motion
+@node Character Motion, Word Motion, Motion, Motion
 @subsection Motion by Characters
 
   These functions move point based on a count of characters.
@@ -187,7 +187,7 @@
 In an interactive call, @var{count} is the numeric prefix argument.
 @end deffn
 
-@node Word Motion
+@node Word Motion, Buffer End Motion, Character Motion, Motion
 @subsection Motion by Words
 
   These functions for parsing words use the syntax table to decide
@@ -224,7 +224,7 @@
 words.  Otherwise, they do not.
 @end defvar
 
-@node Buffer End Motion
+@node Buffer End Motion, Text Lines, Word Motion, Motion
 @subsection Motion to an End of the Buffer
 
   To move point to the beginning of the buffer, write:
@@ -272,7 +272,7 @@
 Don't use this function in Lisp programs!
 @end deffn
 
-@node Text Lines
+@node Text Lines, Screen Lines, Buffer End Motion, Motion
 @subsection Motion by Text Lines
 @cindex lines
 
@@ -452,7 +452,7 @@
 These functions do not move point, but test whether it is already at the
 beginning or end of a line.
 
-@node Screen Lines
+@node Screen Lines, List Motion, Text Lines, Motion
 @subsection Motion by Screen Lines
 
   The line functions in the previous section count text lines, delimited
@@ -600,7 +600,7 @@
 @end defun
 @end ignore
 
-@node List Motion
+@node List Motion, Skipping Characters, Screen Lines, Motion
 @subsection Moving over Balanced Expressions
 @cindex sexp motion
 @cindex Lisp expression motion
@@ -693,7 +693,7 @@
 open-parenthesis syntax.
 @end defopt
 
-@node Skipping Characters
+@node Skipping Characters,  , List Motion, Motion
 @subsection Skipping Characters
 @cindex skipping characters
 
@@ -751,7 +751,7 @@
 @code{skip-chars-forward} except for the direction of motion.
 @end defun
 
-@node Excursions
+@node Excursions, Narrowing, Motion, Positions
 @section Excursions
 @cindex excursion
 
@@ -834,7 +834,7 @@
 restores the selected window and nothing else.
 @end defspec
 
-@node Narrowing
+@node Narrowing,  , Excursions, Positions
 @section Narrowing
 @cindex narrowing
 @cindex restriction (in a buffer)
diff -r -u xemacs-21.4.23/man/lispref/postgresql.texi xemacs-21.4.24/man/lispref/postgresql.texi
--- xemacs-21.4.23/man/lispref/postgresql.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/postgresql.texi	2015-03-25 07:25:33.000000000 -0400
@@ -6,7 +6,7 @@
 @c Thank you Oscar Figueiredo!  This file was shamelessly cloned from
 @c  ldap.texi.
 @setfilename ../../info/postgresql.info
-@node PostgreSQL Support, Internationalization, LDAP Support, top
+@node PostgreSQL Support, Internationalization, LDAP Support, Top
 @chapter PostgreSQL Support
 @cindex PostgreSQL
 
@@ -19,7 +19,7 @@
 * XEmacs PostgreSQL libpq Examples::
 @end menu
 
-@node Building XEmacs with PostgreSQL support, XEmacs PostgreSQL libpq API,  ,PostgreSQL Support
+@node Building XEmacs with PostgreSQL support, XEmacs PostgreSQL libpq API, PostgreSQL Support, PostgreSQL Support
 @comment  node-name,  next,  previous,  up
 @section Building XEmacs with PostgreSQL support
 
@@ -928,7 +928,7 @@
 info regarding a single option.
 @end defun
 
-@node Unimplemented libpq Functions, , Other libpq Functions, XEmacs PostgreSQL libpq API
+@node Unimplemented libpq Functions,  , Other libpq Functions, XEmacs PostgreSQL libpq API
 @comment  node-name,  next,  previous,  up
 @subsection Unimplemented libpq Functions
 
diff -r -u xemacs-21.4.23/man/lispref/processes.texi xemacs-21.4.24/man/lispref/processes.texi
--- xemacs-21.4.23/man/lispref/processes.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/processes.texi	2015-03-25 07:25:33.000000000 -0400
@@ -50,7 +50,7 @@
 * Network::                  Opening network connections.
 @end menu
 
-@node Subprocess Creation
+@node Subprocess Creation, Synchronous Processes, Processes, Processes
 @section Functions that Create Subprocesses
 
   There are three functions that create a new subprocess in which to run
@@ -131,7 +131,7 @@
 file name.
 @end defopt
 
-@node Synchronous Processes
+@node Synchronous Processes, MS-DOS Subprocesses, Subprocess Creation, Processes
 @section Creating a Synchronous Process
 @cindex synchronous subprocess
 
@@ -311,7 +311,7 @@
 @end smallexample
 @end defun
 
-@node MS-DOS Subprocesses
+@node MS-DOS Subprocesses, Asynchronous Processes, Synchronous Processes, Processes
 @section MS-DOS Subprocesses
 
   On MS-DOS, you must indicate whether the data going to and from
@@ -337,7 +337,7 @@
 
   @xref{Files and MS-DOS}, for related information.
 
-@node Asynchronous Processes
+@node Asynchronous Processes, Deleting Processes, MS-DOS Subprocesses, Processes
 @section Creating an Asynchronous Process
 @cindex asynchronous subprocess
 
@@ -441,7 +441,7 @@
 @xref{Process Information}.
 @xref{Process Buffers}.
 
-@node Deleting Processes
+@node Deleting Processes, Process Information, Asynchronous Processes, Processes
 @section Deleting Processes
 @cindex deleting processes
 
@@ -493,7 +493,7 @@
 @end smallexample
 @end defun
 
-@node Process Information
+@node Process Information, Input to Processes, Deleting Processes, Processes
 @section Process Information
 
   Several functions return information about processes.
@@ -628,7 +628,7 @@
 @ref{Asynchronous Processes}).
 @end defun
 
-@node Input to Processes
+@node Input to Processes, Signals to Processes, Process Information, Processes
 @section Sending Input to Processes
 @cindex process input
 
@@ -706,7 +706,7 @@
 @end smallexample
 @end defun
 
-@node Signals to Processes
+@node Signals to Processes, Output from Processes, Input to Processes, Processes
 @section Sending Signals to Processes
 @cindex process signals
 @cindex sending signals
@@ -812,7 +812,7 @@
 specifies which signal to send.
 @end deffn
 
-@node Output from Processes
+@node Output from Processes, Sentinels, Signals to Processes, Processes
 @section Receiving Output from Processes
 @cindex process output
 @cindex output from processes
@@ -831,7 +831,7 @@
                             Waiting for subprocess output.
 @end menu
 
-@node Process Buffers
+@node Process Buffers, Filter Functions, Output from Processes, Output from Processes
 @subsection Process Buffers
 
   A process can (and usually does) have an @dfn{associated buffer},
@@ -905,7 +905,7 @@
 subprocess with a @code{SIGHUP} signal (@pxref{Signals to Processes}).
 @end defun
 
-@node Filter Functions
+@node Filter Functions, Accepting Output, Process Buffers, Output from Processes
 @subsection Process Filter Functions
 @cindex filter function
 @cindex process filter
@@ -1073,7 +1073,7 @@
 @end smallexample
 @end ignore
 
-@node Accepting Output
+@node Accepting Output,  , Filter Functions, Output from Processes
 @subsection Accepting Output from Processes
 
   Output from asynchronous subprocesses normally arrives only while
@@ -1116,7 +1116,7 @@
 arrived.
 @end defun
 
-@node Sentinels
+@node Sentinels, Process Window Size, Output from Processes, Processes
 @section Sentinels: Detecting Process Status Changes
 @cindex process sentinel
 @cindex sentinel
@@ -1210,7 +1210,7 @@
 @end defun
 
 @c XEmacs feature
-@node Process Window Size
+@node Process Window Size, Transaction Queues, Sentinels, Processes
 @section Process Window Size
 @cindex process window size
 
@@ -1220,7 +1220,7 @@
 with pty's.
 @end defun
 
-@node Transaction Queues
+@node Transaction Queues, Network, Process Window Size, Processes
 @section Transaction Queues
 @cindex transaction queue
 
@@ -1261,7 +1261,7 @@
 Transaction queues are implemented by means of a filter function.
 @xref{Filter Functions}.
 
-@node Network
+@node Network,  , Transaction Queues, Processes
 @section Network Connections
 @cindex network connection
 @cindex TCP
diff -r -u xemacs-21.4.23/man/lispref/range-tables.texi xemacs-21.4.24/man/lispref/range-tables.texi
--- xemacs-21.4.23/man/lispref/range-tables.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/range-tables.texi	2015-03-25 07:25:33.000000000 -0400
@@ -3,7 +3,7 @@
 @c Copyright (C) 1996 Ben Wing.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/range-tables.info
-@node Range Tables, Databases, Hash Tables, top
+@node Range Tables, Databases, Hash Tables, Top
 @chapter Range Tables
 @cindex Range Tables
 
@@ -29,7 +29,7 @@
 * Working With Range Tables::    Range table functions.
 @end menu
 
-@node Introduction to Range Tables
+@node Introduction to Range Tables, Working With Range Tables, Range Tables, Range Tables
 @section Introduction to Range Tables
 
 @defun make-range-table
@@ -42,7 +42,7 @@
 themselves be copied.
 @end defun
 
-@node Working With Range Tables
+@node Working With Range Tables,  , Introduction to Range Tables, Range Tables
 @section Working With Range Tables
 
 @defun get-range-table pos range-table &optional default
diff -r -u xemacs-21.4.23/man/lispref/scrollbars.texi xemacs-21.4.24/man/lispref/scrollbars.texi
--- xemacs-21.4.23/man/lispref/scrollbars.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/scrollbars.texi	2015-03-25 07:25:33.000000000 -0400
@@ -3,7 +3,7 @@
 @c Copyright (C) 1995 Ben Wing.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/glyphs.info
-@node Scrollbars, Drag and Drop, Gutter, top
+@node Scrollbars, Drag and Drop, Gutter, Top
 @chapter Scrollbars
 @cindex scrollbars
 
diff -r -u xemacs-21.4.23/man/lispref/searching.texi xemacs-21.4.24/man/lispref/searching.texi
--- xemacs-21.4.23/man/lispref/searching.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/searching.texi	2015-03-25 07:25:33.000000000 -0400
@@ -28,7 +28,7 @@
   The @samp{skip-chars@dots{}} functions also perform a kind of searching.
 @xref{Skipping Characters}.
 
-@node String Search
+@node String Search, Regular Expressions, Searching and Matching, Searching and Matching
 @section Searching for Strings
 @cindex string search
 
@@ -153,7 +153,7 @@
 beginning of the match.
 @end deffn
 
-@node Regular Expressions
+@node Regular Expressions, Regexp Search, String Search, Searching and Matching
 @section Regular Expressions
 @cindex regular expression
 @cindex regexp
@@ -183,7 +183,7 @@
 * Regexp Example::          Illustrates regular expression syntax.
 @end menu
 
-@node Syntax of Regexps
+@node Syntax of Regexps, Regexp Example, Regular Expressions, Regular Expressions
 @subsection Syntax of Regular Expressions
 
   Regular expressions have a syntax in which a few characters are
@@ -604,7 +604,7 @@
 @end example
 @end defun
 
-@node Regexp Example
+@node Regexp Example,  , Syntax of Regexps, Regular Expressions
 @subsection Complex Regexp Example
 
   Here is a complicated regexp, used by XEmacs to recognize the end of a
@@ -666,7 +666,7 @@
 beyond the minimum needed to end a sentence.
 @end table
 
-@node Regexp Search
+@node Regexp Search, POSIX Regexps, Regular Expressions, Searching and Matching
 @section Regular Expression Searching
 @cindex regular expression searching
 @cindex regexp searching
@@ -857,7 +857,7 @@
 @end example
 @end defun
 
-@node POSIX Regexps
+@node POSIX Regexps, Search and Replace, Regexp Search, Searching and Matching
 @section POSIX Regular Expression Searching
 
   The usual regular expression functions do backtracking when necessary
@@ -976,7 +976,7 @@
 @end defopt
 @end ignore
 
-@node Search and Replace
+@node Search and Replace, Match Data, POSIX Regexps, Searching and Matching
 @section Search and Replace
 @cindex replacement
 
@@ -1070,7 +1070,7 @@
 Display some help, then ask again.
 @end table
 
-@node Match Data
+@node Match Data, Searching and Case, Search and Replace, Searching and Matching
 @section The Match Data
 @cindex match data
 
@@ -1094,7 +1094,7 @@
 * Saving Match Data::     Saving and restoring the match data.
 @end menu
 
-@node Simple Match Data
+@node Simple Match Data, Replacing Match, Match Data, Match Data
 @subsection Simple Match Data Access
 
   This section explains how to use the match data to find out what was
@@ -1217,7 +1217,7 @@
 (In this case, the index returned is a buffer position; the first
 character of the buffer counts as 1.)
 
-@node Replacing Match
+@node Replacing Match, Entire Match Data, Simple Match Data, Match Data
 @subsection Replacing the Text That Matched
 
   This function replaces the text matched by the last search with
@@ -1280,7 +1280,7 @@
 @end table
 @end defun
 
-@node Entire Match Data
+@node Entire Match Data, Saving Match Data, Replacing Match, Match Data
 @subsection Accessing the Entire Match Data
 
   The functions @code{match-data} and @code{set-match-data} read or
@@ -1346,7 +1346,7 @@
 @code{store-match-data} is an alias for @code{set-match-data}.
 @end defun
 
-@node Saving Match Data
+@node Saving Match Data,  , Entire Match Data, Match Data
 @subsection Saving and Restoring the Match Data
 
   When you call a function that may do a search, you may need to save
@@ -1414,7 +1414,7 @@
 @end smallexample
 @end ignore
 
-@node Searching and Case
+@node Searching and Case, Standard Regexps, Match Data, Searching and Matching
 @section Searching and Case
 @cindex searching and case
 
@@ -1460,7 +1460,7 @@
 same as @code{(default-value 'case-fold-search)}.
 @end defvar
 
-@node Standard Regexps
+@node Standard Regexps,  , Searching and Case, Searching and Matching
 @section Standard Regular Expressions Used in Editing
 @cindex regexps used standardly in editing
 @cindex standard regexps used in editing
diff -r -u xemacs-21.4.23/man/lispref/sequences.texi xemacs-21.4.24/man/lispref/sequences.texi
--- xemacs-21.4.23/man/lispref/sequences.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/sequences.texi	2015-03-25 07:25:33.000000000 -0400
@@ -62,7 +62,7 @@
 * Bit Vector Functions::  Functions specifically for bit vectors.
 @end menu
 
-@node Sequence Functions
+@node Sequence Functions, Arrays, Sequences Arrays Vectors, Sequences Arrays Vectors
 @section Sequences
 
   In XEmacs Lisp, a @dfn{sequence} is either a list, a vector, a bit
@@ -219,7 +219,7 @@
 @code{nth} (@pxref{List Elements}).
 @end defun
 
-@node Arrays
+@node Arrays, Array Functions, Sequence Functions, Sequences Arrays Vectors
 @section Arrays
 @cindex array
 
@@ -299,7 +299,7 @@
 as bits.
 @end itemize
 
-@node Array Functions
+@node Array Functions, Vectors, Arrays, Sequences Arrays Vectors
 @section Functions that Operate on Arrays
 
   In this section, we describe the functions that accept strings, vectors,
@@ -423,7 +423,7 @@
 The general sequence functions @code{copy-sequence} and @code{length}
 are often useful for objects known to be arrays.  @xref{Sequence Functions}.
 
-@node Vectors
+@node Vectors, Vector Functions, Array Functions, Sequences Arrays Vectors
 @section Vectors
 @cindex vector
 
@@ -462,7 +462,7 @@
 @end group
 @end example
 
-@node Vector Functions
+@node Vector Functions, Bit Vectors, Vectors, Sequences Arrays Vectors
 @section Functions That Operate on Vectors
 
   Here are some functions that relate to vectors:
@@ -557,7 +557,7 @@
 @end group
 @end example
 
-@node Bit Vectors
+@node Bit Vectors, Bit Vector Functions, Vector Functions, Sequences Arrays Vectors
 @section Bit Vectors
 @cindex bit vector
 
@@ -579,7 +579,7 @@
   Bit vectors are considered constants for evaluation, like vectors,
 strings, and numbers.  @xref{Self-Evaluating Forms}.
 
-@node Bit Vector Functions
+@node Bit Vector Functions,  , Bit Vectors, Sequences Arrays Vectors
 @section Functions That Operate on Bit Vectors
 
   Here are some functions that relate to bit vectors:
diff -r -u xemacs-21.4.23/man/lispref/specifiers.texi xemacs-21.4.24/man/lispref/specifiers.texi
--- xemacs-21.4.23/man/lispref/specifiers.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/specifiers.texi	2015-03-25 07:25:33.000000000 -0400
@@ -4,7 +4,7 @@
 @c Copyright (C) 2002, 2004 Free Software Foundation, Inc.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/specifiers.info
-@node Specifiers, Faces and Window-System Objects, Extents, top
+@node Specifiers, Faces and Window-System Objects, Extents, Top
 @chapter Specifiers
 @cindex specifier
 
@@ -46,7 +46,7 @@
                                 Other ways of working with specifications.
 @end menu
 
-@node Introduction to Specifiers
+@node Introduction to Specifiers, Simple Specifier Usage, Specifiers, Specifiers
 @section Introduction to Specifiers
 
 Perhaps the most useful way to explain specifiers is via an analogy.
@@ -131,7 +131,7 @@
 white for all other buffers
 @end itemize
 
-@node Simple Specifier Usage
+@node Simple Specifier Usage, Specifiers In-Depth, Introduction to Specifiers, Specifiers
 @section Simple Specifier Usage
 @cindex specifier examples
 @cindex examples, specifier
@@ -275,7 +275,7 @@
 
 (It should be obvious why the example uses the lazy unreliable method!)
 
-@node Specifiers In-Depth
+@node Specifiers In-Depth, Specifier Instancing, Simple Specifier Usage, Specifiers
 @section In-Depth Overview of a Specifier
 @cindex specification (in a specifier)
 @cindex domain (in a specifier)
@@ -408,7 +408,7 @@
 might fail---a font or color might not exist on a particular device,
 for example.
 
-@node Specifier Instancing
+@node Specifier Instancing, Specifier Types, Specifiers In-Depth, Specifiers
 @section How a Specifier Is Instanced
 @cindex fallback (in a specifier)
 @cindex specifier, fallback
@@ -469,7 +469,7 @@
 over a device domain looks only for device locales and the @code{global}
 locale.
 
-@node Specifier Types
+@node Specifier Types, Adding Specifications, Specifier Instancing, Specifiers
 @section Specifier Types
 
 There are various different types of specifiers.  The type of a
@@ -603,7 +603,7 @@
 specifier.
 @end defun
 
-@node Adding Specifications
+@node Adding Specifications, Retrieving Specifications, Specifier Types, Specifiers
 @section Adding specifications to a Specifier
 
 @defun add-spec-to-specifier specifier instantiator &optional locale tag-set how-to-add
@@ -888,7 +888,7 @@
 In summary, this function generally prefers more abbreviated forms.
 @end defun
 
-@node Retrieving Specifications
+@node Retrieving Specifications, Specifier Tag Functions, Adding Specifications, Specifiers
 @section Retrieving the Specifications from a Specifier
 
 @defun specifier-spec-list specifier &optional locale tag-set exact-p
@@ -968,7 +968,7 @@
 merging faces.) See @code{specifier-instance}.
 @end defun
 
-@node Specifier Tag Functions
+@node Specifier Tag Functions, Specifier Instancing Functions, Retrieving Specifications, Specifiers
 @section Working With Specifier Tags
 
 A specifier tag set is an entity that is attached to an instantiator
@@ -1043,7 +1043,7 @@
 This function returns the predicate for the given specifier tag.
 @end defun
 
-@node Specifier Instancing Functions
+@node Specifier Instancing Functions, Specifier Examples, Specifier Tag Functions, Specifiers
 @section Functions for Instancing a Specifier
 
 @defun specifier-instance specifier &optional domain default no-fallback
@@ -1138,7 +1138,7 @@
 @code{specifier-instance} instead.
 @end defun
 
-@node Specifier Examples
+@node Specifier Examples, Creating Specifiers, Specifier Instancing Functions, Specifiers
 @section Examples of Specifier Usage
 
 Now let us present an example to clarify the theoretical discussions we
@@ -1349,7 +1349,7 @@
 down.
 
 
-@node Creating Specifiers
+@node Creating Specifiers, Specifier Validation Functions, Specifier Examples, Specifiers
 @section Creating New Specifier Objects
 
 @defun make-specifier type
@@ -1449,7 +1449,7 @@
 Display Table}).
 @end defun
 
-@node Specifier Validation Functions
+@node Specifier Validation Functions, Other Specification Functions, Creating Specifiers, Specifiers
 @section Functions for Checking the Validity of Specifier Components
 
 @defun valid-specifier-domain-p domain
@@ -1515,7 +1515,7 @@
 specifier type @var{type}.
 @end defun
 
-@node Other Specification Functions
+@node Other Specification Functions,  , Specifier Validation Functions, Specifiers
 @section Other Functions for Working with Specifications in a Specifier
 
 @defun copy-specifier specifier &optional dest locale tag-set exact-p how-to-add
diff -r -u xemacs-21.4.23/man/lispref/streams.texi xemacs-21.4.24/man/lispref/streams.texi
--- xemacs-21.4.23/man/lispref/streams.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/streams.texi	2015-03-25 07:25:33.000000000 -0400
@@ -23,7 +23,7 @@
 * Output Variables::  Variables that control what the printing functions do.
 @end menu
 
-@node Streams Intro
+@node Streams Intro, Input Streams, Read and Print, Read and Print
 @section Introduction to Reading and Printing
 @cindex Lisp reader
 @cindex printing
@@ -71,7 +71,7 @@
 read sequence without affecting the result of reading it.
 @end itemize
 
-@node Input Streams
+@node Input Streams, Input Functions, Streams Intro, Read and Print
 @section Input Streams
 @cindex stream (for reading)
 @cindex input stream
@@ -268,7 +268,7 @@
 @end defun
 @end ignore
 
-@node Input Functions
+@node Input Functions, Output Streams, Input Streams, Read and Print
 @section Input Functions
 
   This section describes the Lisp functions and variables that pertain
@@ -335,7 +335,7 @@
 @code{read} uses when the @var{stream} argument is @code{nil}.
 @end defvar
 
-@node Output Streams
+@node Output Streams, Output Functions, Input Functions, Read and Print
 @section Output Streams
 @cindex stream (for printing)
 @cindex output stream
@@ -504,7 +504,7 @@
 Calling @code{concat} converts the list to a string so you can see its
 contents more clearly.
 
-@node Output Functions
+@node Output Functions, Output Variables, Output Streams, Read and Print
 @section Output Functions
 
   This section describes the Lisp functions for printing Lisp objects.
@@ -653,7 +653,7 @@
 the printed representation of a Lisp object as a string.
 @end defun
 
-@node Output Variables
+@node Output Variables,  , Output Functions, Read and Print
 @section Variables Affecting Output
 
 @defvar standard-output
diff -r -u xemacs-21.4.23/man/lispref/strings.texi xemacs-21.4.24/man/lispref/strings.texi
--- xemacs-21.4.23/man/lispref/strings.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/strings.texi	2015-03-25 07:25:33.000000000 -0400
@@ -33,7 +33,7 @@
 * Char Tables::               Mapping from characters to Lisp objects.
 @end menu
 
-@node String Basics
+@node String Basics, Predicates for Strings, Strings and Characters, Strings and Characters
 @section String and Character Basics
 
   Strings in XEmacs Lisp are arrays that contain an ordered sequence of
@@ -100,7 +100,7 @@
 copy them into buffers.  @xref{Character Type}, and @ref{String Type},
 for information about the syntax of characters and strings.
 
-@node Predicates for Strings
+@node Predicates for Strings, Creating Strings, String Basics, Strings and Characters
 @section The Predicates for Strings
 
 For more information about general sequence and array predicates,
@@ -120,7 +120,7 @@
 of compatibility with previous XEmacs and should not be depended on.
 @end defun
 
-@node Creating Strings
+@node Creating Strings, Predicates for Characters, Predicates for Strings, Strings and Characters
 @section Creating Strings
 
   The following functions create strings, either from scratch, or by
@@ -288,7 +288,7 @@
 in @ref{Building Lists}.
 @end defun
 
-@node Predicates for Characters
+@node Predicates for Characters, Character Codes, Creating Strings, Strings and Characters
 @section The Predicates for Characters
 
 @defun characterp object
@@ -310,7 +310,7 @@
 This function returns @code{t} if @var{object} is an integer or character.
 @end defun
 
-@node Character Codes
+@node Character Codes, Text Comparison, Predicates for Characters, Strings and Characters
 @section Character Codes
 
 @defun char-int character
@@ -354,7 +354,7 @@
 @end defun
 
 @need 2000
-@node Text Comparison
+@node Text Comparison, String Conversion, Character Codes, Strings and Characters
 @section Comparison of Characters and Strings
 @cindex string equality
 
@@ -476,7 +476,7 @@
 which matches a regular expression against a string, can be used
 for a kind of string comparison; see @ref{Regexp Search}.
 
-@node String Conversion
+@node String Conversion, Modifying Strings, Text Comparison, Strings and Characters
 @section Conversion of Characters and Strings
 @cindex conversion of strings
 
@@ -590,7 +590,7 @@
 @code{string-to-int} is an obsolete alias for this function.
 @end defun
 
-@node Modifying Strings
+@node Modifying Strings, String Properties, String Conversion, Strings and Characters
 @section Modifying Strings
 @cindex strings, modifying
 
@@ -607,7 +607,7 @@
 This function returns the tick counter for @samp{string}.
 @end defun
 
-@node String Properties
+@node String Properties, Formatting Strings, Modifying Strings, Strings and Characters
 @section String Properties
 @cindex string properties
 @cindex properties of strings
@@ -622,7 +622,7 @@
 a property from a string and @code{object-plist} to retrieve a list of
 all the properties in a string.
 
-@node Formatting Strings
+@node Formatting Strings, Character Case, String Properties, Strings and Characters
 @section Formatting Strings
 @cindex formatting strings
 @cindex strings, formatting them
@@ -899,7 +899,7 @@
 conversions.
 @end itemize
 
-@node Character Case
+@node Character Case, Case Tables, Formatting Strings, Strings and Characters
 @section Character Case
 @cindex upper case
 @cindex lower case
@@ -998,7 +998,7 @@
 @end example
 @end defun
 
-@node Case Tables
+@node Case Tables, Char Tables, Character Case, Strings and Characters
 @section The Case Table
 
   You can customize case conversion by installing a special @dfn{case
@@ -1105,7 +1105,7 @@
 You can load the library @file{iso-syntax} to set up the standard syntax
 table and define a case table for the 8-bit ISO Latin 1 character set.
 
-@node Char Tables
+@node Char Tables,  , Case Tables, Strings and Characters
 @section The Char Table
 
 A char table is a table that maps characters (or ranges of characters)
@@ -1154,7 +1154,7 @@
 * Working With Char Tables::    Creating and working with char tables.
 @end menu
 
-@node Char Table Types
+@node Char Table Types, Working With Char Tables, Char Tables, Char Tables
 @subsection Char Table Types
 
 Each char table type is used for a different purpose and allows different
@@ -1195,7 +1195,7 @@
 This function returns @code{t} if @var{type} if a recognized char table type.
 @end defun
 
-@node Working With Char Tables
+@node Working With Char Tables,  , Char Table Types, Char Tables
 @subsection Working With Char Tables
 
 @defun make-char-table type
diff -r -u xemacs-21.4.23/man/lispref/symbols.texi xemacs-21.4.24/man/lispref/symbols.texi
--- xemacs-21.4.23/man/lispref/symbols.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/symbols.texi	2015-03-25 07:25:33.000000000 -0400
@@ -31,7 +31,7 @@
                               for recording miscellaneous information.
 @end menu
 
-@node Symbol Components
+@node Symbol Components, Definitions, Symbols, Symbols
 @section Symbol Components
 @cindex symbol components
 
@@ -128,7 +128,7 @@
 symbol naming a function written in Lisp would have a lambda expression
 (or a byte-code object) in this cell.
 
-@node Definitions
+@node Definitions, Creating Symbols, Symbol Components, Symbols
 @section Defining Symbols
 @cindex definition of a symbol
 
@@ -173,7 +173,7 @@
 definitions, and add appropriate information to tag tables and the
 @file{DOC} file. @xref{Accessing Documentation}.
 
-@node Creating Symbols
+@node Creating Symbols, Symbol Properties, Definitions, Symbols
 @section Creating and Interning Symbols
 @cindex reading symbols
 
@@ -373,7 +373,7 @@
 it returns @code{nil}.
 @end defun
 
-@node Symbol Properties
+@node Symbol Properties,  , Creating Symbols, Symbols
 @section Symbol Properties
 @cindex property list, symbol
 @cindex plist, symbol
@@ -410,7 +410,7 @@
 * Other Plists::                Accessing property lists stored elsewhere.
 @end menu
 
-@node Plists and Alists
+@node Plists and Alists, Object Plists, Symbol Properties, Symbol Properties
 @subsection Property Lists and Association Lists
 
 @cindex property lists vs association lists
@@ -442,7 +442,7 @@
 are pushed on the front of the list and later discarded; this is not
 possible with a property list.
 
-@node Object Plists
+@node Object Plists, Other Plists, Plists and Alists, Symbol Properties
 @subsection Property List Functions for Objects
 
 Once upon a time, only symbols had property lists.  Now, several other
@@ -517,7 +517,7 @@
 enough to @code{remprop} for most purposes.)
 @end defun
 
-@node Other Plists
+@node Other Plists,  , Object Plists, Symbol Properties
 @subsection Property Lists Not Associated with Objects
 
   These functions are useful for manipulating property lists
diff -r -u xemacs-21.4.23/man/lispref/syntax.texi xemacs-21.4.24/man/lispref/syntax.texi
--- xemacs-21.4.23/man/lispref/syntax.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/syntax.texi	2015-03-25 07:25:33.000000000 -0400
@@ -28,7 +28,7 @@
 * Syntax Table Internals::   How syntax table information is stored.
 @end menu
 
-@node Syntax Basics
+@node Syntax Basics, Syntax Descriptors, Syntax Tables, Syntax Tables
 @section Syntax Table Concepts
 
 @ifinfo
@@ -86,7 +86,7 @@
 syntax table, no matter what its contents.
 @end defun
 
-@node Syntax Descriptors
+@node Syntax Descriptors, Syntax Table Functions, Syntax Basics, Syntax Tables
 @section Syntax Descriptors
 @cindex syntax classes
 
@@ -126,7 +126,7 @@
 * Syntax Flags::            Additional flags each character can have.
 @end menu
 
-@node Syntax Class Table
+@node Syntax Class Table, Syntax Flags, Syntax Descriptors, Syntax Descriptors
 @subsection Table of Syntax Classes
 
   Here is a table of syntax classes, the characters that stand for them,
@@ -266,7 +266,7 @@
 designator for this syntax code is @samp{@@}.
 @end deffn
 
-@node Syntax Flags
+@node Syntax Flags,  , Syntax Class Table, Syntax Descriptors
 @subsection Syntax Flags
 @cindex syntax flags
 
@@ -416,7 +416,7 @@
 @end table
 
 
-@node Syntax Table Functions
+@node Syntax Table Functions, Motion and Syntax, Syntax Descriptors, Syntax Tables
 @section Syntax Table Functions
 
   In this section we describe functions for creating, accessing and
@@ -537,7 +537,7 @@
 to the current buffer if omitted.
 @end defun
 
-@node Motion and Syntax
+@node Motion and Syntax, Parsing Expressions, Syntax Table Functions, Syntax Tables
 @section Motion and Syntax
 
   This section describes functions for moving across characters in
@@ -577,7 +577,7 @@
 omitted.
 @end defun
 
-@node Parsing Expressions
+@node Parsing Expressions, Standard Syntax Tables, Motion and Syntax, Syntax Tables
 @section Parsing Balanced Expressions
 
   Here are several functions for parsing and scanning balanced
@@ -734,7 +734,7 @@
 argument to use, because the number of comments in the buffer cannot
 exceed that many.
 
-@node Standard Syntax Tables
+@node Standard Syntax Tables, Syntax Table Internals, Parsing Expressions, Syntax Tables
 @section Some Standard Syntax Tables
 
   Most of the major modes in XEmacs have their own syntax tables.  Here
@@ -759,7 +759,7 @@
 function.)
 @end defvar
 
-@node Syntax Table Internals
+@node Syntax Table Internals,  , Standard Syntax Tables, Syntax Tables
 @section Syntax Table Internals
 @cindex syntax table internals
 
diff -r -u xemacs-21.4.23/man/lispref/text.texi xemacs-21.4.24/man/lispref/text.texi
--- xemacs-21.4.23/man/lispref/text.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/text.texi	2015-03-25 07:25:33.000000000 -0400
@@ -56,7 +56,7 @@
 * Transformations::  MD5 and base64 support.
 @end menu
 
-@node Near Point
+@node Near Point, Buffer Contents, Text, Text
 @section Examining Text Near Point
 
   Many functions are provided to look at the characters around point.
@@ -167,7 +167,7 @@
 the end of a line.
 @end defun
 
-@node Buffer Contents
+@node Buffer Contents, Comparing Text, Near Point, Text
 @section Examining Buffer Contents
 
   This section describes two functions that allow a Lisp program to
@@ -232,7 +232,7 @@
 @end defun
 @end ignore
 
-@node Comparing Text
+@node Comparing Text, Insertion, Buffer Contents, Text
 @section Comparing Text
 @cindex comparing buffer text
 
@@ -267,7 +267,7 @@
 @end example
 @end defun
 
-@node Insertion
+@node Insertion, Commands for Insertion, Comparing Text, Text
 @section Inserting Text
 @cindex insertion of text
 @cindex text insertion
@@ -369,7 +369,7 @@
 @end example
 @end defun
 
-@node Commands for Insertion
+@node Commands for Insertion, Deletion, Insertion, Text
 @section User-Level Insertion Commands
 
   This section describes higher-level commands for inserting text,
@@ -443,7 +443,7 @@
 buffer-local when set in any fashion.
 @end defvar
 
-@node Deletion
+@node Deletion, User-Level Deletion, Commands for Insertion, Text
 @section Deleting Text
 
 @cindex deletion vs killing
@@ -529,7 +529,7 @@
 The value returned is always @code{nil}.
 @end deffn
 
-@node User-Level Deletion
+@node User-Level Deletion, The Kill Ring, Deletion, Text
 @section User-Level Deletion Commands
 
   This section describes higher-level commands for deleting text,
@@ -662,7 +662,7 @@
 @code{delete-blank-lines} returns @code{nil}.
 @end deffn
 
-@node The Kill Ring
+@node The Kill Ring, Undo, User-Level Deletion, Text
 @section The Kill Ring
 @cindex kill ring
 
@@ -706,7 +706,7 @@
 * Internals of Kill Ring:: Variables that hold kill-ring data.
 @end menu
 
-@node Kill Ring Concepts
+@node Kill Ring Concepts, Kill Functions, The Kill Ring, The Kill Ring
 @subsection Kill Ring Concepts
 
   The kill ring records killed text as strings in a list, most recent
@@ -732,7 +732,7 @@
 change the list itself---the most recent entry always comes first in the
 list.
 
-@node Kill Functions
+@node Kill Functions, Yank Commands, Kill Ring Concepts, The Kill Ring
 @subsection Functions for Killing
 
   @code{kill-region} is the usual subroutine for killing text.  Any
@@ -773,7 +773,7 @@
 @code{kill-append} instead.  @xref{Low-Level Kill Ring}.
 @end deffn
 
-@node Yank Commands
+@node Yank Commands, Low-Level Kill Ring, Kill Functions, The Kill Ring
 @subsection Functions for Yanking
 
   @dfn{Yanking} means reinserting an entry of previously killed text
@@ -819,7 +819,7 @@
 The value is always @code{nil}.
 @end deffn
 
-@node Low-Level Kill Ring
+@node Low-Level Kill Ring, Internals of Kill Ring, Yank Commands, The Kill Ring
 @subsection Low-Level Kill Ring
 
   These functions and variables provide access to the kill ring at a lower
@@ -890,7 +890,7 @@
 to the newly killed text.
 @end defvar
 
-@node Internals of Kill Ring
+@node Internals of Kill Ring,  , Low-Level Kill Ring, The Kill Ring
 @subsection Internals of the Kill Ring
 
   The variable @code{kill-ring} holds the kill ring contents, in the
@@ -960,7 +960,7 @@
 value for @code{kill-ring-max} is 30.
 @end defopt
 
-@node Undo
+@node Undo, Maintaining Undo, The Kill Ring, Text
 @section Undo
 @cindex redo
 
@@ -1059,7 +1059,7 @@
 continuing to undo.
 @end defun
 
-@node Maintaining Undo
+@node Maintaining Undo, Filling, Undo, Text
 @section Maintaining Undo Lists
 
   This section describes how to enable and disable undo information for
@@ -1118,7 +1118,7 @@
 change group is never discarded no matter how big it is.
 @end defvar
 
-@node Filling
+@node Filling, Margins, Maintaining Undo, Text
 @section Filling
 @cindex filling, explicit
 
@@ -1261,7 +1261,7 @@
 newlines'' act as paragraph separators.
 @end defvar
 
-@node Margins
+@node Margins, Auto Filling, Filling, Text
 @section Margins for Filling
 
 @defopt fill-prefix
@@ -1356,7 +1356,7 @@
 becomes buffer-local when set in any fashion.
 @end defvar
 
-@node Auto Filling
+@node Auto Filling, Sorting, Margins, Text
 @section Auto Filling
 @cindex filling, automatic
 @cindex Auto Fill mode
@@ -1385,7 +1385,7 @@
 @end quotation
 @end defvar
 
-@node Sorting
+@node Sorting, Columns, Auto Filling, Text
 @section Sorting Text
 @cindex sorting text
 
@@ -1613,7 +1613,7 @@
 @kbd{M-x @code{untabify}} to convert tabs to spaces before sorting.
 @end deffn
 
-@node Columns
+@node Columns, Indentation, Sorting, Text
 @comment  node-name,  next,  previous,  up
 @section Counting Columns
 @cindex columns
@@ -1684,7 +1684,7 @@
 The return value is the column number actually moved to.
 @end defun
 
-@node Indentation
+@node Indentation, Case Changes, Columns, Text
 @section Indentation
 @cindex indentation
 
@@ -1702,7 +1702,7 @@
 * Motion by Indent::      Move to first non-blank character.
 @end menu
 
-@node Primitive Indent
+@node Primitive Indent, Mode-Specific Indent, Indentation, Indentation
 @subsection Indentation Primitives
 
   This section describes the primitive functions used to count and
@@ -1736,7 +1736,7 @@
 this variable automatically makes it local to the current buffer.
 @end defopt
 
-@node Mode-Specific Indent
+@node Mode-Specific Indent, Region Indent, Primitive Indent, Indentation
 @subsection Indentation Controlled by Major Mode
 
   An important function of each major mode is to customize the @key{TAB}
@@ -1794,7 +1794,7 @@
 by @code{left-margin}.
 @end deffn
 
-@node Region Indent
+@node Region Indent, Relative Indent, Mode-Specific Indent, Indentation
 @subsection Indenting an Entire Region
 
   This section describes commands that indent all the lines in the
@@ -1861,7 +1861,7 @@
 the beginning of the line (if @var{nochange-regexp} is non-@code{nil}).
 @end deffn
 
-@node Relative Indent
+@node Relative Indent, Indent Tabs, Region Indent, Indentation
 @subsection Indentation Relative to Previous Lines
 
   This section describes two commands that indent the current line
@@ -1938,7 +1938,7 @@
 column, this command does nothing.
 @end deffn
 
-@node Indent Tabs
+@node Indent Tabs, Motion by Indent, Relative Indent, Indentation
 @subsection Adjustable ``Tab Stops''
 @cindex tabs stops for indentation
 
@@ -1967,7 +1967,7 @@
 interactively.
 @end defopt
 
-@node Motion by Indent
+@node Motion by Indent,  , Indent Tabs, Indentation
 @subsection Indentation-Based Motion Commands
 
   These commands, primarily for interactive use, act based on the
@@ -1992,7 +1992,7 @@
 nonblank character on that line.  It returns @code{nil}.
 @end deffn
 
-@node Case Changes
+@node Case Changes, Text Properties, Indentation, Text
 @section Case Changes
 @cindex case changes
 
@@ -2084,7 +2084,7 @@
 the numeric prefix argument.
 @end deffn
 
-@node Text Properties
+@node Text Properties, Substitution, Case Changes, Text
 @section Text Properties
 @cindex text properties
 @cindex attributes of text
@@ -2130,7 +2130,7 @@
 * Fields::			Emacs-compatible text fields.
 @end menu
 
-@node Examining Properties
+@node Examining Properties, Changing Properties, Text Properties, Text Properties
 @subsection Examining Text Properties
 
   The simplest way to examine text properties is to ask for the value of
@@ -2192,7 +2192,7 @@
 @end example
 @end defvar
 
-@node Changing Properties
+@node Changing Properties, Property Search, Examining Properties, Text Properties
 @subsection Changing Text Properties
 
   The primitives for changing properties apply to a specified range of
@@ -2278,7 +2278,7 @@
 (@pxref{Buffer Contents}) which copies text from the buffer
 but does not copy its properties.
 
-@node Property Search
+@node Property Search, Special Properties, Changing Properties, Text Properties
 @subsection Property Search Functions
 
 In typical use of text properties, most of the time several or many
@@ -2384,7 +2384,7 @@
 for @var{object} is the current buffer.
 @end defun
 
-@node Special Properties
+@node Special Properties, Saving Properties, Property Search, Text Properties
 @subsection Properties with Special Meanings
 
 The predefined properties are the same as those for extents.
@@ -2394,7 +2394,7 @@
 (deleted section describing FSF Emacs special text properties)
 @end ignore
 
-@node Saving Properties
+@node Saving Properties, Fields, Special Properties, Text Properties
 @subsection Saving Text Properties in Files
 @cindex text properties in files
 @cindex saving text properties
@@ -2460,7 +2460,7 @@
 
 @xref{Format Conversion}, for a related feature.
 
-@node Fields
+@node Fields,  , Saving Properties, Text Properties
 @subsection Fields
 @cindex text fields
 @cindex fields
@@ -2580,7 +2580,7 @@
 boundaries are ignored and this function always returns @var{new-pos}.
 @end defun
 
-@node Substitution
+@node Substitution, Registers, Text Properties, Text
 @section Substituting for a Character Code
 
   The following functions replace characters within a specified region
@@ -2677,7 +2677,7 @@
 @end example
 @end defun
 
-@node Registers
+@node Registers, Transposition, Substitution, Text
 @section Registers
 @cindex registers
 
@@ -2797,7 +2797,7 @@
 @end deffn
 @end ignore
 
-@node Transposition
+@node Transposition, Change Hooks, Registers, Text
 @section Transposition of Text
 
   This subroutine is used by the transposition commands.
@@ -2816,7 +2816,7 @@
 all markers unrelocated.
 @end defun
 
-@node Change Hooks
+@node Change Hooks, Transformations, Transposition, Text
 @section Change Hooks
 @cindex change hooks
 @cindex hooks for text changes
@@ -2869,7 +2869,7 @@
 that was previously in the unmodified state.
 @end defvar
 
-@node Transformations
+@node Transformations,  , Change Hooks, Text
 @section Textual transformations---MD5 and base64 support
 @cindex MD5 digests
 @cindex base64
diff -r -u xemacs-21.4.23/man/lispref/tips.texi xemacs-21.4.24/man/lispref/tips.texi
--- xemacs-21.4.23/man/lispref/tips.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/tips.texi	2015-03-25 07:25:33.000000000 -0400
@@ -21,7 +21,7 @@
 * Library Headers::           Standard headers for library packages.
 @end menu
 
-@node Style Tips
+@node Style Tips, Compilation Tips, Tips, Tips
 @section Writing Clean Lisp Programs
 
   Here are some tips for avoiding common errors in writing Lisp code
@@ -263,7 +263,7 @@
 Foundation's name.
 @end itemize
 
-@node Compilation Tips
+@node Compilation Tips, Documentation Tips, Style Tips, Tips
 @section Tips for Making Compiled Code Fast
 @cindex execution speed
 @cindex speedups
@@ -323,7 +323,7 @@
 the speed.  @xref{Inline Functions}.
 @end itemize
 
-@node Documentation Tips
+@node Documentation Tips, Comment Tips, Compilation Tips, Tips
 @section Tips for Documentation Strings
 
   Here are some tips for the writing of documentation strings.
@@ -453,7 +453,7 @@
 @samp{\\@{@dots{}@}} to display the rest of the mode's keymap.
 @end itemize
 
-@node Comment Tips
+@node Comment Tips, Library Headers, Documentation Tips, Tips
 @section Tips on Writing Comments
 
   We recommend these conventions for where to put comments and how to
@@ -543,7 +543,7 @@
 depending on the number of semicolons.  @xref{Comments,,
 Manipulating Comments, xemacs, The XEmacs User's Manual}.
 
-@node Library Headers
+@node Library Headers,  , Comment Tips, Tips
 @section Conventional Headers for XEmacs Libraries
 @cindex header comments
 @cindex library header comments
diff -r -u xemacs-21.4.23/man/lispref/toolbar.texi xemacs-21.4.24/man/lispref/toolbar.texi
--- xemacs-21.4.23/man/lispref/toolbar.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/toolbar.texi	2015-03-25 07:25:33.000000000 -0400
@@ -3,7 +3,7 @@
 @c Copyright (C) 1995, 1996 Ben Wing.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/toolbar.info
-@node Toolbar, Gutter, Dialog Boxes, top
+@node Toolbar, Gutter, Dialog Boxes, Top
 @chapter Toolbar
 @cindex toolbar
 
@@ -16,7 +16,7 @@
 * Other Toolbar Variables::	Controlling the size of toolbars.
 @end menu
 
-@node Toolbar Intro
+@node Toolbar Intro, Creating Toolbar, Toolbar, Toolbar
 @section Toolbar Intro
 
 A @dfn{toolbar} is a bar of icons displayed along one edge of a frame.
@@ -59,7 +59,7 @@
 the user sets the default toolbar to the same position, it will just
 not be visible.
 
-@node Creating Toolbar
+@node Creating Toolbar, Toolbar Descriptor Format, Toolbar Intro, Toolbar
 @section Creating Toolbar
 
 @defun make-toolbar-specifier spec-list
@@ -80,7 +80,7 @@
 of the exact format.
 @end defun
 
-@node Toolbar Descriptor Format
+@node Toolbar Descriptor Format, Specifying the Toolbar, Creating Toolbar, Toolbar
 @section Toolbar Descriptor Format
 
 The contents of a toolbar are specified using a @dfn{toolbar descriptor}.
@@ -193,7 +193,7 @@
 @code{toolbar}.
 @end defun
 
-@node Specifying the Toolbar
+@node Specifying the Toolbar, Other Toolbar Variables, Toolbar Descriptor Format, Toolbar
 @section Specifying the Toolbar
 
 In order to specify the contents of a toolbar, set one of the specifier
@@ -276,7 +276,7 @@
 toolbar descriptors (@pxref{Toolbar Descriptor Format}).
 @end defun
 
-@node Other Toolbar Variables
+@node Other Toolbar Variables,  , Specifying the Toolbar, Toolbar
 @section Other Toolbar Variables
 
 The variables to control the toolbar thickness, visibility status, and
diff -r -u xemacs-21.4.23/man/lispref/tooltalk.texi xemacs-21.4.24/man/lispref/tooltalk.texi
--- xemacs-21.4.23/man/lispref/tooltalk.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/tooltalk.texi	2015-03-25 07:25:33.000000000 -0400
@@ -3,7 +3,7 @@
 @c Copyright (C) 1990, 1991, 1992, 1993 Free Software Foundation, Inc.
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/tooltalk.info
-@node ToolTalk Support, LDAP Support, X-Windows, top
+@node ToolTalk Support, LDAP Support, X-Windows, Top
 @chapter ToolTalk Support
 @cindex ToolTalk
 
@@ -13,7 +13,7 @@
 * Receiving Messages::
 @end menu
 
-@node XEmacs ToolTalk API Summary
+@node XEmacs ToolTalk API Summary, Sending Messages, ToolTalk Support, ToolTalk Support
 @section XEmacs ToolTalk API Summary
 
 The XEmacs Lisp interface to ToolTalk is similar, at least in spirit,
@@ -47,7 +47,7 @@
 simplifies building lists that represent messages and patterns.
 @end itemize
 
-@node Sending Messages
+@node Sending Messages, Receiving Messages, XEmacs ToolTalk API Summary, ToolTalk Support
 @section Sending Messages
 @cindex sending ToolTalk messages
 @cindex ToolTalk message
@@ -57,7 +57,7 @@
 * Elisp Interface for Sending Messages::
 @end menu
 
-@node Example of Sending Messages
+@node Example of Sending Messages, Elisp Interface for Sending Messages, Sending Messages, Sending Messages
 @subsection Example of Sending Messages
 
 Here's a simple example that sends a query to another application
@@ -85,7 +85,7 @@
   (send-tooltalk-message m))
 @end example
 
-@node Elisp Interface for Sending Messages
+@node Elisp Interface for Sending Messages,  , Example of Sending Messages, Sending Messages
 @subsection Elisp Interface for Sending Messages
 
 @defun make-tooltalk-message attributes
@@ -242,7 +242,7 @@
 callback, the Lisp/ToolTalk callback machinery does this for you.
 @end defun
 
-@node Receiving Messages
+@node Receiving Messages,  , Sending Messages, ToolTalk Support
 @section Receiving Messages
 @cindex ToolTalk pattern
 @cindex receiving ToolTalk messages
@@ -252,7 +252,7 @@
 * Elisp Interface for Receiving Messages::
 @end menu
 
-@node Example of Receiving Messages
+@node Example of Receiving Messages, Elisp Interface for Receiving Messages, Receiving Messages, Receiving Messages
 @subsection Example of Receiving Messages
 
 Here's a simple example of a handler for a message that tells XEmacs to
@@ -274,7 +274,7 @@
   (register-tooltalk-pattern p))
 @end example
 
-@node Elisp Interface for Receiving Messages
+@node Elisp Interface for Receiving Messages,  , Example of Receiving Messages, Receiving Messages
 @subsection Elisp Interface for Receiving Messages
 
 @defun make-tooltalk-pattern attributes
diff -r -u xemacs-21.4.23/man/lispref/variables.texi xemacs-21.4.24/man/lispref/variables.texi
--- xemacs-21.4.23/man/lispref/variables.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/variables.texi	2015-03-25 07:25:33.000000000 -0400
@@ -4,6 +4,7 @@
 @c See the file lispref.texi for copying conditions.
 @setfilename ../../info/variables.info
 @node Variables, Functions and Commands, Control Structures, Top
+
 @chapter Variables
 @cindex variable
 
@@ -39,7 +40,7 @@
 * Variable Aliases::	  Making one variable point to another.
 @end menu
 
-@node Global Variables
+@node Global Variables, Constant Variables, Variables, Variables
 @section Global Variables
 @cindex global variable
 
@@ -89,7 +90,7 @@
 @end group
 @end example
 
-@node Constant Variables
+@node Constant Variables, Local Variables, Global Variables, Variables
 @section Variables That Never Change
 @vindex nil
 @vindex t
@@ -113,7 +114,7 @@
 @end group
 @end example
 
-@node Local Variables
+@node Local Variables, Void Variables, Constant Variables, Variables
 @section Local Variables
 @cindex binding local variables
 @cindex local variables
@@ -257,7 +258,7 @@
 @xref{Eval}.
 @end defvar
 
-@node Void Variables
+@node Void Variables, Defining Variables, Local Variables, Variables
 @section When a Variable is ``Void''
 @kindex void-variable
 @cindex void variable
@@ -371,7 +372,7 @@
 @end smallexample
 @end defun
 
-@node Defining Variables
+@node Defining Variables, Accessing Variables, Void Variables, Variables
 @section Defining Global Variables
 @cindex variable definition
 
@@ -557,7 +558,7 @@
 level in a file, where normally no local binding is in effect, and make
 sure to load the file before making a local binding for the variable.
 
-@node Accessing Variables
+@node Accessing Variables, Setting Variables, Defining Variables, Variables
 @section Accessing Variable Values
 
   The usual way to reference a variable is to write the symbol which
@@ -608,7 +609,7 @@
 local binding nor a global value.
 @end defun
 
-@node Setting Variables
+@node Setting Variables, Variable Scoping, Accessing Variables, Variables
 @section How to Alter a Variable Value
 
   The usual way to change the value of a variable is with the special
@@ -760,7 +761,7 @@
     (setq @var{var} (cons @var{value} @var{var})))
 @end example
 
-@node Variable Scoping
+@node Variable Scoping, Buffer-Local Variables, Setting Variables, Variables
 @section Scoping Rules for Variable Bindings
 
   A given symbol @code{foo} may have several local variable bindings,
@@ -798,7 +799,7 @@
 * Using Scoping::  How to use dynamic scoping carefully and avoid problems.
 @end menu
 
-@node Scope
+@node Scope, Extent, Variable Scoping, Variable Scoping
 @subsection Scope
 
   XEmacs Lisp uses @dfn{indefinite scope} for local variable bindings.
@@ -858,7 +859,7 @@
 by @code{foo} instead of the one bound by @code{binder}.
 @end itemize
 
-@node Extent
+@node Extent, Impl of Scope, Scope, Variable Scoping
 @subsection Extent
 
   @dfn{Extent} refers to the time during program execution that a
@@ -894,7 +895,7 @@
 but record additional variable bindings.  XEmacs Lisp does not have
 closures.
 
-@node Impl of Scope
+@node Impl of Scope, Using Scoping, Extent, Variable Scoping
 @subsection Implementation of Dynamic Scoping
 @cindex deep binding
 
@@ -934,7 +935,7 @@
 binding, but runs faster, since there is never a need to search for a
 binding.
 
-@node Using Scoping
+@node Using Scoping,  , Impl of Scope, Variable Scoping
 @subsection Proper Use of Dynamic Scoping
 
   Binding a variable in one function and using it in another is a
@@ -969,7 +970,7 @@
 compiler.  Choose the variable's name to avoid name conflicts---don't
 use short names like @code{x}.
 
-@node Buffer-Local Variables
+@node Buffer-Local Variables, Variable Aliases, Variable Scoping, Variables
 @section Buffer-Local Variables
 @cindex variables, buffer-local
 @cindex buffer-local variables
@@ -988,7 +989,7 @@
                                  that don't have their own local values.
 @end menu
 
-@node Intro to Buffer-Local
+@node Intro to Buffer-Local, Creating Buffer-Local, Buffer-Local Variables, Buffer-Local Variables
 @subsection Introduction to Buffer-Local Variables
 
   A buffer-local variable has a buffer-local binding associated with a
@@ -1039,7 +1040,7 @@
 buffer-local bindings for the buffer that holds the file within XEmacs.
 @xref{Auto Major Mode}.
 
-@node Creating Buffer-Local
+@node Creating Buffer-Local, Default Value, Intro to Buffer-Local, Buffer-Local Variables
 @subsection Creating and Deleting Buffer-Local Bindings
 
 @deffn Command make-local-variable variable
@@ -1202,7 +1203,7 @@
 locals are appropriate for data pertaining to where the file came from
 or how to save it, rather than with how to edit the contents.
 
-@node Default Value
+@node Default Value,  , Creating Buffer-Local, Buffer-Local Variables
 @subsection The Default Value of a Buffer-Local Variable
 @cindex default value
 
@@ -1319,7 +1320,7 @@
 @end example
 @end defun
 
-@node Variable Aliases
+@node Variable Aliases,  , Buffer-Local Variables, Variables
 @section Variable Aliases
 @cindex variables, indirect
 @cindex indirect variables
diff -r -u xemacs-21.4.23/man/lispref/windows.texi xemacs-21.4.24/man/lispref/windows.texi
--- xemacs-21.4.23/man/lispref/windows.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/windows.texi	2015-03-25 07:25:33.000000000 -0400
@@ -31,7 +31,7 @@
 * Window Configurations::  Saving and restoring the state of the screen.
 @end menu
 
-@node Basic Windows
+@node Basic Windows, Splitting Windows, Windows, Windows
 @section Basic Concepts of Emacs Windows
 @cindex window
 @cindex selected window
@@ -125,7 +125,7 @@
   This function returns @code{t} if @var{object} is a window.
 @end defun
 
-@node Splitting Windows
+@node Splitting Windows, Deleting Windows, Basic Windows, Windows
 @section Splitting Windows
 @cindex splitting windows
 @cindex window splitting
@@ -294,7 +294,7 @@
 @end smallexample
 @end deffn
 
-@node Deleting Windows
+@node Deleting Windows, Selecting Windows, Splitting Windows, Windows
 @section Deleting Windows
 @cindex deleting windows
 
@@ -406,7 +406,7 @@
 This function always returns @code{nil}.
 @end deffn
 
-@node Selecting Windows
+@node Selecting Windows, Cyclic Window Ordering, Deleting Windows, Windows
 @section Selecting Windows
 @cindex selecting windows
 
@@ -526,7 +526,7 @@
 See @code{next-window}, above.
 @end defun
 
-@node Cyclic Window Ordering
+@node Cyclic Window Ordering, Buffers and Windows, Selecting Windows, Windows
 @section Cyclic Ordering of Windows
 @cindex cyclic ordering of windows
 @cindex ordering of windows, cyclic
@@ -669,7 +669,7 @@
 @code{next-window}.
 @end defun
 
-@node Buffers and Windows
+@node Buffers and Windows, Displaying Buffers, Cyclic Window Ordering, Windows
 @section Buffers and Windows
 @cindex examining windows
 @cindex windows, controlling precisely
@@ -729,7 +729,7 @@
 the same meaning as for @code{next-window}.
 @end defun
 
-@node Displaying Buffers
+@node Displaying Buffers, Choosing Window, Buffers and Windows, Windows
 @section Displaying Buffers in Windows
 @cindex switching to a buffer
 @cindex displaying a buffer
@@ -848,7 +848,7 @@
 This function returns @code{nil}.
 @end deffn
 
-@node Choosing Window
+@node Choosing Window, Window Point, Displaying Buffers, Windows
 @section Choosing a Window for Display
 
   This section describes the basic facility that chooses a window to
@@ -1043,7 +1043,7 @@
 non-@code{nil}, and nondedicated otherwise.
 @end defun
 
-@node Window Point
+@node Window Point, Window Start, Choosing Window, Windows
 @section Windows and Point
 @cindex window position
 @cindex window point
@@ -1099,7 +1099,7 @@
 @var{position} in @var{window}'s buffer.
 @end defun
 
-@node Window Start
+@node Window Start, Vertical Scrolling, Window Point, Windows
 @section The Window Start Position
 
   Each window contains a marker used to keep track of a buffer position
@@ -1246,7 +1246,7 @@
 @code{t}.  @xref{Horizontal Scrolling}.
 @end defun
 
-@node Vertical Scrolling
+@node Vertical Scrolling, Horizontal Scrolling, Window Start, Windows
 @section Vertical Scrolling
 @cindex vertical scrolling
 @cindex scrolling vertically
@@ -1393,7 +1393,7 @@
 @end example
 @end deffn
 
-@node Horizontal Scrolling
+@node Horizontal Scrolling, Size of Window, Vertical Scrolling, Windows
 @section Horizontal Scrolling
 @cindex horizontal scrolling
 
@@ -1490,7 +1490,7 @@
         (window-width window)))))
 @end group
 @end example
-@node Size of Window
+@node Size of Window, Position of Window, Horizontal Scrolling, Windows
 @section The Size of a Window
 @cindex window size
 @cindex size of window
@@ -1644,7 +1644,7 @@
 included.
 @end defun
 
-@node Position of Window
+@node Position of Window, Resizing Windows, Size of Window, Windows
 @section The Position of a Window
 @cindex window position
 @cindex position of window
@@ -1698,7 +1698,7 @@
 relative to @code{(0,0)} at the top left corner of the window.
 @end defun
 
-@node Resizing Windows
+@node Resizing Windows, Window Configurations, Position of Window, Windows
 @section Changing the Size of a Window
 @cindex window resizing
 @cindex changing window size
@@ -1834,7 +1834,7 @@
 @code{save-selected-window} is what you need here.
 @end defvar
 
-@node Window Configurations
+@node Window Configurations,  , Resizing Windows, Windows
 @section Window Configurations
 @cindex window configurations
 @cindex saving window information
diff -r -u xemacs-21.4.23/man/lispref/x-windows.texi xemacs-21.4.24/man/lispref/x-windows.texi
--- xemacs-21.4.23/man/lispref/x-windows.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/lispref/x-windows.texi	2015-03-25 07:25:33.000000000 -0400
@@ -24,7 +24,7 @@
 * X Miscellaneous::             Other X-specific functions and variables.
 @end menu
 
-@node X Selections
+@node X Selections, X Server, X-Windows, X-Windows
 @section X Selections
 @cindex selection (for X windows)
 
@@ -91,7 +91,7 @@
 This function is called @code{x-set-cut-buffer} in FSF Emacs.
 @end defun
 
-@node X Server
+@node X Server, X Miscellaneous, X Selections, X-Windows
 @section X Server
 
 This section describes how to access and change the overall status of
@@ -103,7 +103,7 @@
 * Grabs::                       Restricting access to the server by other apps.
 @end menu
 
-@node Resources
+@node Resources, Server Data, X Server, X Server
 @subsection Resources
 
 @defun default-x-device
@@ -255,7 +255,7 @@
 resources are found for the application class ``XEmacs''.
 @end defvar
 
-@node Server Data
+@node Server Data, Grabs, Resources, X Server
 @subsection Data about the X Server
 
   This section describes functions and a variable that you can use to
@@ -284,7 +284,7 @@
 @code{GrayScale}, etc.)
 @end defun
 
-@node Grabs
+@node Grabs,  , Server Data, X Server
 @subsection Restricting Access to the Server by Other Apps
 
 @defun x-grab-keyboard &optional device
@@ -317,7 +317,7 @@
 used.  If it is @code{t} the pointer will be released on all X devices.
 @end defun
 
-@node X Miscellaneous
+@node X Miscellaneous,  , X Server, X-Windows
 @section Miscellaneous X Functions and Variables
 
 @defvar x-bitmap-file-path
diff -r -u xemacs-21.4.23/man/term.texi xemacs-21.4.24/man/term.texi
--- xemacs-21.4.23/man/term.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/term.texi	2015-03-25 07:25:33.000000000 -0400
@@ -4,7 +4,7 @@
 
 @titlepage
 @sp 6
-@center @titlefont(Notes about Emacs TERM Mode)
+@center @titlefont{Notes about Emacs TERM Mode}
 @end titlepage
 
 @ifinfo
diff -r -u xemacs-21.4.23/man/widget.texi xemacs-21.4.24/man/widget.texi
--- xemacs-21.4.23/man/widget.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/widget.texi	2015-03-25 07:25:33.000000000 -0400
@@ -38,7 +38,7 @@
 
 @node  Introduction, User Interface, Top, Top
 @comment  node-name,  next,  previous,  up
-@section Introduction
+@chapter Introduction
 
 Most graphical user interface toolkits, such as Motif and XView, provide
 a number of standard user interface controls (sometimes known as
diff -r -u xemacs-21.4.23/man/xemacs/custom.texi xemacs-21.4.24/man/xemacs/custom.texi
--- xemacs-21.4.23/man/xemacs/custom.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/xemacs/custom.texi	2015-03-25 07:25:33.000000000 -0400
@@ -35,7 +35,7 @@
                      behavior of XEmacs.
 @end menu
 
-@node Minor Modes
+@node Minor Modes, , Customization, Customization
 @section Minor Modes
 @cindex minor modes
 
@@ -52,7 +52,7 @@
 enable or disable Auto Fill mode is called @kbd{M-x auto-fill-mode}.  These
 commands are usually invoked with @kbd{M-x}, but you can bind keys to them
 if you wish.  With no argument, the function turns the mode on if it was
-off and off if it was on.  This is known as @dfn{toggling}.  A positive
+off and off if it was on.  This is called @dfn{toggling}.  A positive
 argument always turns the mode on, and an explicit zero argument or a
 negative argument always turns it off.
 
@@ -115,7 +115,7 @@
 * File Variables::      How files can specify variable values.
 @end menu
 
-@node Examining
+@node Examining, Easy Customization, Variables, Variables
 @subsection Examining and Setting Variables
 @cindex setting variables
 
@@ -689,7 +689,7 @@
 (default-value 'fill-column)
 @end example
 
-@node File Variables
+@node File Variables, , Locals, Variables
 @subsection Local Variables in Files
 @cindex local variables in files
 
@@ -838,7 +838,7 @@
 * Kbd Macro Query::     Keyboard macros that do different things each use.
 @end menu
 
-@node Basic Kbd Macro
+@node Basic Kbd Macro, Save Kbd Macro, Keyboard Macros, Keyboard Macros
 @subsection Basic Use
 
 @kindex C-x (
@@ -923,7 +923,7 @@
 keyboard macro, so that the macro is reassigned the same keys when you
 load the file.
 
-@node Kbd Macro Query
+@node Kbd Macro Query, , Save Kbd Macro, Keyboard Macros
 @subsection Executing Macros With Variations
 
 @kindex C-x q
@@ -982,7 +982,7 @@
                 beginners from surprises.
 @end menu
 
-@node Keymaps
+@node Keymaps, Rebinding, Key Bindings, Key Bindings
 @subsection Keymaps
 @cindex keymap
 
@@ -1320,7 +1320,7 @@
         control @@      control space
 @end example
 
-@node Disabling
+@node Disabling, , Rebinding, Key Bindings
 @subsection Disabling Commands
 @cindex disabled command
 
@@ -1387,7 +1387,7 @@
 * Change: Syntax Change.  How to change the information.
 @end menu
 
-@node Syntax Entry
+@node Syntax Entry, Syntax Change, Syntax, Syntax
 @subsection Information About Each Character
 
   The syntax table entry for a character is a number that encodes six
@@ -1485,7 +1485,7 @@
 appear where there is no comment, for example, in Lisp mode where the
 comment terminator is a newline but not every newline ends a comment.
 
-@node Syntax Change
+@node Syntax Change, , Syntax Entry, Syntax
 @subsection Altering Syntax Information
 
   It is possible to alter a character's syntax table entry by storing a new
@@ -1573,7 +1573,7 @@
 * Terminal Init::   Each terminal type can have an init file.
 @end menu
 
-@node Init Syntax
+@node Init Syntax, Init Examples, Init File, Init File
 @subsection Init File Syntax
 
   The init file contains one or more Lisp function call
@@ -1794,7 +1794,7 @@
 @end example
 @end itemize
 
-@node Terminal Init
+@node Terminal Init, , Init Examples, Init File
 @subsection Terminal-Specific Initialization
 
   Each terminal type can have a Lisp library to be loaded into Emacs when
@@ -2092,7 +2092,7 @@
 @ref{Menubar,,,lispref,}, @ref{Toolbar Intro,,,lispref,}, and
 @ref{Gutter Intro,,,lispref,}.
 
-@node X Resources
+@node X Resources, , Frame Components, Customization
 @section X Resources
 @cindex X resources
 @findex x-create-frame
diff -r -u xemacs-21.4.23/man/xemacs/menus.texi xemacs-21.4.24/man/xemacs/menus.texi
--- xemacs-21.4.23/man/xemacs/menus.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/xemacs/menus.texi	2015-03-25 07:25:33.000000000 -0400
@@ -100,7 +100,7 @@
                         operations.
 @end menu
 
-@node File Menu
+@node File Menu, Edit Menu, Pull-down Menus, Pull-down Menus
 @subsection The File Menu
 
 @cindex File menu
@@ -425,7 +425,7 @@
 The Help menu also gives access to UNIX online manual pages via the
 @b{UNIX Manual Page} option.  
 
-@node Menu Customization
+@node Menu Customization, , Help Menu, Pull-down Menus
 @subsection Customizing XEmacs Menus
 
 You can customize any of the pull-down menus by adding or removing menu
diff -r -u xemacs-21.4.23/man/xemacs/programs.texi xemacs-21.4.24/man/xemacs/programs.texi
--- xemacs-21.4.23/man/xemacs/programs.texi	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/man/xemacs/programs.texi	2015-03-25 07:25:33.000000000 -0400
@@ -75,7 +75,7 @@
 supported by XEmacs. Examples include Ada, Awk, C, C++, CORBA (IDL),
 Fortran, Java, Lisp, Modula 2, Objective-C, Perl, Pike, Prolog, Python,
 Ruby, Scheme, Simula, SQL, Tcl, Unix Shell scripts, and VHDL. Some of
-these language have seperate manuals, and some times more than one mode
+these language have separate manuals, and some times more than one mode
 may be available for a language.  For example, there are several
 variants of Lisp mode, which differ in the way they interface to Lisp
 execution.  @xref{Lisp Modes}. 
@@ -271,7 +271,7 @@
 
   In Emacs, a parenthetical grouping at the top level in the buffer is
 called a @dfn{defun}.  The name derives from the fact that most
-top-level lists in Lisp are instances of the special form
+top-level lists in Lisp are instances of the special operator
 @code{defun}, but Emacs calls any top-level parenthetical
 grouping counts a defun regardless of its contents or
 the programming language.  For example, in C, the body of a
@@ -300,10 +300,15 @@
    To operate on the current defun, use @kbd{C-M-h} (@code{mark-defun})
 which puts point at the beginning and the mark at the end of the current
 or next defun.  This is the easiest way to prepare for moving the defun
-to a different place.  In C mode, @kbd{C-M-h} runs the function
-@code{mark-c-function}, which is almost the same as @code{mark-defun},
-but which backs up over the argument declarations, function name, and
-returned data type so that the entire C function is inside the region.
+to a different place.  In Lisp modes, a ``defun'' is merely any sexp
+starting in column 1.  In other modes, a defun is a syntactic unit
+defining an entity, and these modes often bind @kbd{C-M-h} to a
+different function.  For example, in CC Mode's C mode, @kbd{C-M-h} runs
+the function @code{c-mark-function}, which is almost the same as
+@code{mark-defun}, but which backs up over the argument declarations,
+function name, and returned data type so that the entire C function is
+inside the region.  It also knows about struct definitions, macro
+definitions, and many other constructs.
 
 @findex compile-defun
 To compile and evaluate the current defun, use @kbd{M-x compile-defun}. 
@@ -871,7 +876,7 @@
 * List Tags::		Listing and finding tags defined in a file.
 @end menu
 
-@node Tag Syntax
+@node Tag Syntax, Create Tags Table, Tags, Tags
 @subsection Source File Tag Syntax
 
   Here is how tag syntax is defined for the most popular languages:
@@ -1644,7 +1649,7 @@
 
 @itemize @bullet
 @item
-``gnu'' --- The recommeded style from the Free Software Foundation for
+``gnu'' --- The recommended style from the Free Software Foundation for
 GNU software. 
 @item
 ``k&r'' --- The classic style from Kernighan and Ritchie.
@@ -1688,7 +1693,7 @@
   Most customizations for indentation in various CC modes can be
 accomplished by choosing a style and then choosing value for
 @code{c-basic-offset} that meets the local coding convention. CC Mode
-has a very customizable indentation engine and a furthur discussion is
+has a very customizable indentation engine and a further discussion is
 really beyond the scope of this manual. @xref{Indentation
 Engine,,,cc-mode,The CC Mode Manual}.
 
diff -r -u xemacs-21.4.23/netinstall/ChangeLog xemacs-21.4.24/netinstall/ChangeLog
--- xemacs-21.4.23/netinstall/ChangeLog	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/netinstall/ChangeLog	2015-03-25 07:25:33.000000000 -0400
@@ -1,3 +1,7 @@
+2015-03-24 Vin Shelton <acs@xemacs.org>
+
+	* XEmacs 21.4.24 is released
+
 2015-01-29  Vin Shelton <acs@xemacs.org>
  
 	* XEmacs 21.4.23 is released
diff -r -u xemacs-21.4.23/nt/ChangeLog xemacs-21.4.24/nt/ChangeLog
--- xemacs-21.4.23/nt/ChangeLog	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/nt/ChangeLog	2015-03-25 07:25:33.000000000 -0400
@@ -1,5 +1,15 @@
+2015-03-24 Vin Shelton <acs@xemacs.org>
+
+	* XEmacs 21.4.24 is released
+
+2015-02-15  Vin Shelton  <acs@xemacs.org>
+
+	* xemacs.mak (info): Zap the entire makeinfo-test section.  Now
+	that cygwin's texinfo v5.2 is required, the makeinfo-test didn't
+	work anymore.
+
 2015-01-29  Vin Shelton <acs@xemacs.org>
- 
+
 	* XEmacs 21.4.23 is released
 
 2011-12-02  Vin Shelton  <acs@xemacs.org>
diff -r -u xemacs-21.4.23/nt/xemacs.mak xemacs-21.4.24/nt/xemacs.mak
--- xemacs-21.4.23/nt/xemacs.mak	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/nt/xemacs.mak	2015-03-25 07:25:33.000000000 -0400
@@ -1384,22 +1384,7 @@
 	$(MAKEINFO) new-users-guide.texi
 	cd ..
 
-info:	makeinfo-test $(INFO_FILES)
-
-makeinfo-test:
-	@<<makeinfo_test.bat
-@echo off
-if exist "$(MAKEINFO)" goto test_done
-@$(XEMACS_BATCH) -eval "(condition-case nil (require (quote texinfo)) (t (kill-emacs 1)))"
-@if not errorlevel 1 goto suggest_makeinfo
-@echo XEmacs 'info' cannot be built!
-@echo Install XEmacs package 'texinfo' (see README.packages).
-:suggest_makeinfo
-@echo Consider specifying path to makeinfo program: MAKEINFO=path
-@echo as this will build info docs faster than XEmacs using 'texinfo'.
-@if errorlevel 1 exit 1
-:test_done
-<<NOKEEP
+info: $(INFO_FILES)
 
 # Section handling info ends here
 
diff -r -u xemacs-21.4.23/src/ChangeLog xemacs-21.4.24/src/ChangeLog
--- xemacs-21.4.23/src/ChangeLog	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/src/ChangeLog	2015-03-25 07:25:33.000000000 -0400
@@ -1,3 +1,21 @@
+2015-03-24 Vin Shelton <acs@xemacs.org>
+
+	* XEmacs 21.4.24 is released
+
+2015-02-15  Vin Shelton  <acs@xemacs.org>
+
+	* glyphs-eimage.c: Define uint64_t on WIN32_NATIVE.  This is
+	necessary with the Visual Studio 6, compiler, at least.  The
+	preprocessor test should probably be more tightly-focused.
+
+	* dired.c (Fdirectory_files): Use POSIX-approved NAME_MAX if it's
+	available.
+
+2015-02-14  Vin Shelton  <acs@xemacs.org>
+
+	* glyphs-eimage.c: CVE-2009-2688 - Check for images too large
+	(GIF, TIFF, JPEG and PNG).
+
 2015-01-29  Vin Shelton <acs@xemacs.org>
  
 	* XEmacs 21.4.23 is released
diff -r -u xemacs-21.4.23/src/dired.c xemacs-21.4.24/src/dired.c
--- xemacs-21.4.23/src/dired.c	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/src/dired.c	2015-03-25 07:25:33.000000000 -0400
@@ -21,6 +21,7 @@
 /* Synched up with: FSF 19.30. */
 
 #include <config.h>
+#include <limits.h>
 #include "lisp.h"
 
 #include "sysfile.h"
@@ -97,7 +98,11 @@
   directory = Ffile_name_as_directory (directory);
   directorylen = XSTRING_LENGTH (directory);
 
+#ifdef NAME_MAX
+  statbuf = (char *)alloca (directorylen + NAME_MAX + 1);
+#else
   statbuf = (char *)alloca (directorylen + MAXNAMLEN + 1);
+#endif
   memcpy (statbuf, XSTRING_DATA (directory), directorylen);
   statbuf_tail = statbuf + directorylen;
 
diff -r -u xemacs-21.4.23/src/glyphs-eimage.c xemacs-21.4.24/src/glyphs-eimage.c
--- xemacs-21.4.23/src/glyphs-eimage.c	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/src/glyphs-eimage.c	2015-03-25 07:25:33.000000000 -0400
@@ -95,6 +95,10 @@
 Lisp_Object Qpng;
 #endif
 
+#ifdef WIN32_NATIVE
+typedef unsigned __int64 uint64_t;
+#endif
+
 
 #ifdef HAVE_JPEG
 
@@ -407,6 +411,7 @@
    */
 
   {
+    uint64_t pixels_sq;
     int jpeg_gray = 0;		/* if we're dealing with a grayscale */
     /* Step 4: set parameters for decompression.   */
 
@@ -430,6 +435,10 @@
 
     /* Step 6: Read in the data and put into EImage format (8bit RGB triples)*/
 
+    pixels_sq =
+      (uint64_t) cinfo.output_width * (uint64_t) cinfo.output_height;
+    if (pixels_sq > ((size_t) -1) / 3)
+      signal_image_error ("JPEG image too large to instantiate", instantiator);
     unwind.eimage = (unsigned char*) xmalloc (cinfo.output_width * cinfo.output_height * 3);
     if (!unwind.eimage)
       signal_image_error("Unable to allocate enough memory for image", instantiator);
@@ -671,6 +680,7 @@
   {
     ColorMapObject *cmo = unwind.giffile->SColorMap;
     int i, j, row, pass, interlace, slice;
+    uint64_t pixels_sq;
     unsigned char *eip;
     /* interlaced gifs have rows in this order:
        0, 8, 16, ..., 4, 12, 20, ..., 2, 6, 10, ..., 1, 3, 5, ...  */
@@ -679,6 +689,9 @@
 
     height = unwind.giffile->SHeight;
     width = unwind.giffile->SWidth;
+    pixels_sq = (uint64_t) width * (uint64_t) height;
+    if (pixels_sq > ((size_t) -1) / (3 * unwind.giffile->ImageCount))
+      signal_image_error ("GIF image too large to instantiate", instantiator);
     unwind.eimage = (unsigned char*)
       xmalloc (width * height * 3 * unwind.giffile->ImageCount);
     if (!unwind.eimage)
@@ -937,8 +950,12 @@
   {
     int y, padding;
     unsigned char **row_pointers;
+    uint64_t pixels_sq;
     height = png_get_image_height(png_ptr, info_ptr);
     width = png_get_image_width(png_ptr, info_ptr);
+    pixels_sq = (uint64_t) width * (uint64_t) height;
+    if (pixels_sq > ((size_t) -1) / 3)
+      signal_image_error ("PNG image too large to instantiate", instantiator);
 
     /* Wow, allocate all the memory.  Truly, exciting.
        Well, yes, there's excitement to be had.  It turns out that libpng
@@ -949,7 +966,7 @@
 
     padding = 5 * width;
     unwind.eimage = xnew_array_and_zero (unsigned char,
-					 width * height * 3 + padding);
+					 pixels_sq * 3 + padding);
 
     /* libpng expects that the image buffer passed in contains a
        picture to draw on top of if the png has any transparencies.
@@ -1286,6 +1303,7 @@
 
     uint32 *raster;
     unsigned char *ep;
+    uint64_t pixels_sq;
 
     assert (!NILP (data));
 
@@ -1308,12 +1326,15 @@
 
     TIFFGetField (unwind.tiff, TIFFTAG_IMAGEWIDTH, &width);
     TIFFGetField (unwind.tiff, TIFFTAG_IMAGELENGTH, &height);
-    unwind.eimage = (unsigned char *) xmalloc (width * height * 3);
+    pixels_sq = (uint64_t) width * (uint64_t) height;
+    if (pixels_sq >= 1 << 29)
+      signal_image_error ("TIFF image too large to instantiate", instantiator);
+    unwind.eimage = (unsigned char *) xmalloc (pixels_sq * 3);
 
     /* #### This is little more than proof-of-concept/function testing.
        It needs to be reimplemented via scanline reads for both memory
        compactness. */
-    raster = (uint32*) _TIFFmalloc (width * height * sizeof (uint32));
+    raster = (uint32*) _TIFFmalloc ((tsize_t) (pixels_sq * sizeof (uint32)));
     if (raster != NULL)
       {
 	int i,j;
diff -r -u xemacs-21.4.23/tests/ChangeLog xemacs-21.4.24/tests/ChangeLog
--- xemacs-21.4.23/tests/ChangeLog	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/tests/ChangeLog	2015-03-25 07:25:33.000000000 -0400
@@ -1,3 +1,7 @@
+2015-03-24 Vin Shelton <acs@xemacs.org>
+
+	* XEmacs 21.4.24 is released
+
 2015-01-29  Vin Shelton <acs@xemacs.org>
  
 	* XEmacs 21.4.23 is released
diff -r -u xemacs-21.4.23/version.sh xemacs-21.4.24/version.sh
--- xemacs-21.4.23/version.sh	2015-01-29 10:04:29.000000000 -0500
+++ xemacs-21.4.24/version.sh	2015-03-25 07:25:33.000000000 -0400
@@ -2,8 +2,8 @@
 emacs_is_beta=
 emacs_major_version=21
 emacs_minor_version=4
-emacs_beta_version=23
-xemacs_codename="Moral Majority"
+emacs_beta_version=24
+xemacs_codename="Standard C"
 emacs_kit_version=
 infodock_major_version=4
 infodock_minor_version=0
